commit 58eda7a00a87283e4c6426368ddd5e97b8ebe5b1
Author: Leah Rowe <info@minifree.org>
Date:   Thu Aug 18 17:19:44 2016 +0100

    Don't rename the RELEASE file

commit a1df0a9e983acaed38d35575f20feba018fd5aef
Author: Leah Rowe <info@minifree.org>
Date:   Thu Aug 18 16:37:27 2016 +0100

    GNU Libreboot, version 20160818

commit 76e774dbf349ee05164b2e6eccef2e4e5429713b
Author: Leah Rowe <info@minifree.org>
Date:   Thu Aug 18 16:00:09 2016 +0100

    Add RELEASE file

commit d09703d1119df1b68ef989bab762be1448548e2b
Author: Leah Rowe <info@minifree.org>
Date:   Thu Aug 18 15:38:33 2016 +0100

    docs: remove obsolete notes about libreboot 20150518

commit ae7b90f6217ea2a20b7ecbdbf8a194a84c74d2bc
Author: Leah Woods <info@minifree.org>
Date:   Thu Aug 18 15:23:38 2016 +0100

    Disable serial port coreboot log output (not needed in release)

commit 7a70f43f11d95356f228124c49c6c63a8b2de8d4
Author: Leah Rowe <info@minifree.org>
Date:   Thu Aug 18 14:56:50 2016 +0100

    Disable EHCI debug for the release (not needed in the release)

commit 00881095e94ce7f42fcb16cfdd719fbffb15a03a
Author: Swift Geek <swiftgeek@gmail.com>
Date:   Thu Aug 18 01:37:55 2016 +0200

    Add generic libre layouts for cantiga (gm/gs/pm45) and use them for x200

commit d102c19a659750d3c24697b747de21f6fba575b5
Author: Leah Rowe <info@minifree.org>
Date:   Wed Aug 17 22:48:26 2016 +0100

    fix building of cbfstool in release archives

commit d90f0584c9d73054903ac8a5f4b60687d8f77801
Author: Leah Rowe <info@minifree.org>
Date:   Wed Aug 17 22:20:33 2016 +0100

    add cbfstool, nvramtool and ectool to the util archive

commit 4fe6d5b8d60acb00799e61f1dc3bc762826796d3
Author: Paul Koenig <paukoen@gmail.com>
Date:   Tue Jul 19 03:36:25 2016 -0400

    Update references to SPI flash chip node: add Teensy 3.1

commit e983c6b3c0a1b2d46f998bb7918309ee232ed4bb
Author: Leah Rowe <info@minifree.org>
Date:   Wed Aug 17 22:02:28 2016 +0100

    docs: note about MAC Address on GA-G41m-Es2l

commit fed5aaf8c6332f597ee3b66c181a11c2bfa28e82
Author: Arthur Heymans <arthur@aheymans.xyz>
Date:   Wed Aug 17 13:20:29 2016 +0200

    gm45: cleanup of native graphic init
    
    cleans up and corrects some registers in gm45 native graphic init.
    Results is that previously incompatible wxga+ screens now have a strip
    of working display.

commit 9eef871c5c3ae131f1fc170ff1dcba2f1731b212
Author: Leah Rowe <info@minifree.org>
Date:   Wed Aug 10 00:33:39 2016 +0100

    no, use swiftgeek's better sed pattern

commit f975bb023813df2de8038df9c342d6a71a457d6c
Author: Leah Rowe <info@minifree.org>
Date:   Wed Aug 10 00:28:26 2016 +0100

    fix messing sed command in last commit

commit 099225d1e1f0d2501de4a306b95a09883ad17d85
Author: Leah Rowe <info@minifree.org>
Date:   Wed Aug 10 00:21:52 2016 +0100

    hotfix for building on distros with newer flex version
    
    Adapted from https://review.coreboot.org/cgit/coreboot.git/commit/util/cbfstool/Makefile.inc?id=2b80734811ee056f0447bab359ec5961e90101b7

commit 196d9031a8b05cc86d1b05e9d2ea5267e4beb532
Author: Arthur Heymans <arthur@aheymans.xyz>
Date:   Tue Aug 9 13:36:21 2016 +0200

    fix overlapping cmos paramters on t400
    
    overlapping cmos parametes were result of uncarefull reverting.

commit 67babd4f8f5c40dc570457bbaafeb0638ae9a77e
Author: Arthur Heymans <arthur@aheymans.xyz>
Date:   Tue Aug 9 10:31:18 2016 +0200

    fix error that was caused by incorrect revert.

commit c158a5a2058a5368a28a73135e6848e808236a40
Author: Arthur Heymans <arthur@aheymans.xyz>
Date:   Tue Aug 9 00:36:55 2016 +0200

    fix libreboot build issue with gm45.

commit 233aa73ef03b80e80ceac43ebe8360014c65220d
Author: Arthur Heymans <arthur@aheymans.xyz>
Date:   Mon Aug 8 22:16:36 2016 +0200

    gm45,reused.list: fix mistake on using hardcoded intel gpu

commit 84f3bc2e0911408399e02837f0cc9d8a83558b8d
Author: Arthur Heymans <arthur@aheymans.xyz>
Date:   Mon Aug 8 22:03:26 2016 +0200

    hardcode use of integrated graphic device on gm45 laptops

commit 835959ea98cfab6ac608e4171b38c5ab10792a24
Author: Arthur Heymans <arthur@aheymans.xyz>
Date:   Fri Aug 5 20:38:06 2016 +0200

    set gm45 vram default to 256M
    
    The gm45 integrated gpu scales very well with more vram,
    both for video decoding and games.
    Setting it to the highest stable value is a good default for libreboot.

commit f89dc6b58ffddcb1922b677bab3d015c95622412
Author: Arthur Heymans <arthur@aheymans.xyz>
Date:   Thu Aug 4 11:12:02 2016 +0200

    revert hybrid driver cause it does not work on t400
    
    Also removes hardcoded use of igd since code is different.
    Can be added in later patch but since libreboot always
    loads cmos defaults this might not be necessary.

commit a6cc91387a41f7039708e6fce0ea07384381fc29
Author: Arthur Heymans <arthur@aheymans.xyz>
Date:   Wed Aug 3 14:58:37 2016 +0200

    node and subsection title switched: "How to program ..."
    
    Documentation did not build because node
    "How to program an SPI flash chip with BeagleBone Black"
    did not exist. Switching @node and @subsection title fixes this

commit 9b673921eb76ebc5274ebe1a5f93c763203b3af0
Author: Arthur Heymans <arthur@aheymans.xyz>
Date:   Wed Aug 3 13:03:29 2016 +0200

    fix image of spi flash pinout on ga-g41m-es2l

commit 31043c7df6da8c17a43acadb74c64cccb2e5754c
Author: Leah Rowe <info@minifree.org>
Date:   Thu Jul 28 21:52:36 2016 +0100

    update compatibility notes for macbook21

commit 07ed7f9958ec86a78c2d7cd04b099115d3c2ff38
Author: Leah Rowe <info@minifree.org>
Date:   Wed Jul 27 11:03:59 2016 +0100

    update coreboot revision for ga-g41m-es2l (contains some more raminit fixes)

commit 0bdd151da12f18d13aa19a2d90d6fa244e1cb45e
Author: Josh Branning <lovell.joshyyy@gmail.com>
Date:   Sun Jul 24 23:15:39 2016 +0100

    Not Mali, Tamil. (C201 docs)

commit 2f2e2ee1f9a396c3eeed71fb795ad87627d3b5ed
Author: Leah Rowe <info@minifree.org>
Date:   Sat Jul 23 23:50:32 2016 +0100

    update to latest coreboot revision for ga-g41m-es2l

commit dff4f89b818334a0077c7c027f9bef0ee99b954f
Author: Leah Rowe <info@minifree.org>
Date:   Sat Jul 23 00:15:56 2016 +0100

    build/release/tobuild: delete it, because it's not needed anymore

commit 5090b5129fbfe51dbdef36647d4686f8d0ba817c
Author: Leah Rowe <info@minifree.org>
Date:   Tue Jul 19 22:45:52 2016 +0100

    download/crossgcc: update crossgcc version used in libreboot

commit 80b940f7497b0f334f6f06919eb878f7790c89ab
Author: Leah Rowe <info@minifree.org>
Date:   Tue Jul 19 00:22:45 2016 +0100

    update documentation according to build system changes for _util

commit b5df1a4fe87a36d4d9e9434bec15a7a2ac902c44
Author: Leah Rowe <info@minifree.org>
Date:   Tue Jul 19 00:14:40 2016 +0100

    make _util archive for releases source code only

commit 2f4397439fb70ca603d4369a944d8f1e5afa9ac1
Author: Leah Rowe <info@minifree.org>
Date:   Mon Jul 18 23:03:01 2016 +0100

    Update to latest coreboot revision and patch set for GA-G41M-ES2L

commit 0373acaa3ea20b4f93dd25309a7e98173db5f3e3
Author: Leah Rowe <info@minifree.org>
Date:   Mon Jul 18 09:02:34 2016 +0100

    build/roms/withgrub: don't add grub a 2nd time if not using seagrub

commit 7cb691f8a1025653687e698f840a6ce6920cb6f2
Author: Leah Rowe <info@minifree.org>
Date:   Mon Jul 18 01:06:36 2016 +0100

    Only disable SeaGRUB on D510MO an GA-G41M-ES2L

commit 1ce9df7687102141fd39137ee839c7afb1a71ff2
Author: Leah Rowe <info@minifree.org>
Date:   Mon Jul 18 00:59:17 2016 +0100

    Revert "Universally enable SeaGRUB on all GRUB boards"
    
    This reverts commit e4e705e99ccc934e65b9106db808f681216a2e1f.

commit cc6eea3d086a88f9c6b68a180b8798ead8921d4a
Author: Leah Rowe <info@minifree.org>
Date:   Mon Jul 18 00:53:45 2016 +0100

    Enable text-mode graphics initialisation on GM45

commit e4e705e99ccc934e65b9106db808f681216a2e1f
Author: Leah Rowe <info@minifree.org>
Date:   Mon Jul 18 00:51:53 2016 +0100

    Universally enable SeaGRUB on all GRUB boards

commit 1a3cfd3ca6c59c49349925b25e30f6308c47fb26
Author: Leah Rowe <info@minifree.org>
Date:   Sun Jul 17 22:12:27 2016 +0100

    GM45 laptops: Update to the latest coreboot revision

commit 1095b5fd5a01c2392bab878fbc41b0c2f5a661d8
Author: bluevector <usr@bluevector.org>
Date:   Mon Jul 4 18:35:29 2016 +0300

    c201_doc_update

commit 04e70c64065d97f6574aa07ad54aa8b12befb97d
Author: Leah Rowe <info@minifree.org>
Date:   Sat Jul 16 18:57:50 2016 +0100

    Note about script for USB keyboard wakeup on gm45 laptosp

commit 59f06fb79326d118e5cc999004608c734f0debde
Author: Namine Ritsu <ritsu73@ecantorix.moe>
Date:   Sat Jul 16 18:51:04 2016 +0100

    Add workaround for USB keyboard on GM45 laptops

commit 2064e4380273acd424fb4cde4a0657d2e3f809fa
Author: Paul Koenig <paukoen@gmail.com>
Date:   Sun Jun 5 02:29:40 2016 -0400

    docs: build scripts rewrite
    
    ".master" script in resources/scripts/helpers/build/docs
    
    Adds option to build html for libreboot website with
    "./build docs <html-type> w"
    Converts jpegs to eps for dvi and ps output, if these formats
    are built, using imagemagick.
    Archives resources (images) with compressed html manuals.

commit 7aa77afe0bf8ee3849ed8d9c7f6482face022b6b
Author: Leah Rowe <info@minifree.org>
Date:   Fri Jul 15 18:57:39 2016 +0100

    add pic of the teensy 3.1 to docs

commit 2e8f58eb09f6ea727035945f96177e88b89adf71
Author: Leah Rowe <info@minifree.org>
Date:   Fri Jul 15 18:47:48 2016 +0100

    Add note about the Teensy 3.1 SPI flasher

commit 8bc0f550e1469479f2a31707c9934d7b64760871
Author: Leah Rowe <info@minifree.org>
Date:   Tue Jun 28 17:14:35 2016 +0100

    typofix

commit 7c71d042901d3f28fba31549f0942276261e1a6d
Author: Arthur Heymans <arthur@aheymans.xyz>
Date:   Tue Jun 28 14:58:20 2016 +0200

    finetune backlight: add some newlines, clarify stuff
    
    LED needs a higher PWM freq so lower devider.
    Uneven backlight is more important to fix first when there is also
    noise.
    Makes it more clear that you want highest good value for devider,
    which is equal to finding the lowest working frequency.

commit ffc88c45615ed5cdb0fc2df00de2d86f01d18bda
Author: Leah Rowe <info@minifree.org>
Date:   Tue Jun 28 04:06:11 2016 +0100

    Change Leah's surname back to Rowe

commit 832e17262fad58ad4601937fe50f9e43d32f444c
Author: Arthur Heymans <arthur@aheymans.xyz>
Date:   Mon Jun 27 23:47:58 2016 +0200

    guide on tweaking BCL_PWM_CTL
    
    This a add a guide on how to tweak BLC_PWM_CTL.
    This allows to fix problems with uneven backlight, coil whine
    or display flicker.

commit 430d0704771c7e9a37124b7ac71c4055e1ade45e
Author: Arthur Heymans <arthur@aheymans.xyz>
Date:   Mon Jun 27 20:57:48 2016 +0200

    download/flashrom: git checkout 0.9.9 instead of git reset commithash

commit 03a48edc3dfacf1106936fb052923e3fda40ed99
Author: Arthur Heymans <arthur@aheymans.xyz>
Date:   Fri Jun 17 13:10:03 2016 +0200

    x60,t60: delete manually added c4 state
    
    The ich7 datasheet "Intel® I/O Controller Hub 7 (ICH7)
    Family" has a reg called GEN_PMCON_1 in which
    c3 can automatically be upgraded to c4.
    This is already set in coreboot.

commit 68fcccbeca257c76e8e9030980873d5d74feff15
Author: Arthur Heymans <arthur@aheymans.xyz>
Date:   Wed Jun 15 17:03:45 2016 +0200

    Disable native PS2 keyboard init
    
    Both grub and seabios can do keyboard init on their own.
    This option only slows down the boot process.
    On the x60 it even makes the keyboard unresponsive.

commit a87343d8a6ef286a5810d0e7616ce8c08feee99c
Author: Arthur Heymans <arthur@aheymans.xyz>
Date:   Fri Jun 3 18:26:46 2016 +0200

    Add sound card config for x60
    
    The sound card on the x60 is not configured in coreboot.
    This causes the headphones not to be automatically
    detected/used when inserted which it does on the vendor
    bios. The internal microphone is also not set as default.
    
    I found on the coreboot wiki how to get the config from vendor bios.
    In GNU/linux run:
     for x in /sys/class/sound/card0/hw*; do cat "$x/init_pin_configs" > pin_"$(basename "$x")"; done
     for x in /proc/asound/card0/codec#*; do cat "$x" > "$(basename "$x")"; done
    which gives the pin config of the vendor bios.

commit a7f0611357f7cb785881e55065da116eec0e2f44
Author: Leah Woods <info@minifree.org>
Date:   Mon Jun 6 23:41:30 2016 +0100

    docs: Remove note against buying C201. It was misguided

commit 4bbddefc11e24f326f15739f285b814ae19f9017
Author: Leah Woods <info@minifree.org>
Date:   Wed Jun 1 10:53:06 2016 +0100

    grub.cfg: also search cd/dvd for ata 2-3 (for G41M)

commit ad4deb3021f15f9512a571aee67f8678462305ac
Author: Leah Woods <info@minifree.org>
Date:   Wed Jun 1 03:58:36 2016 +0100

    Add dependency to list for Trisquel Add de Trisquel 77

commit 4458330956253d229e14d8e0ccf5d958414cb93d
Author: Paul Koenig <paukoen@gmail.com>
Date:   Tue May 31 02:27:01 2016 -0400

    docs: revert absolute paths for image references to relative paths

commit d0f4e1ce8c50cdb5303fbd0e4d2e9a7227c3780c
Author: Arthur Heymans <arthur@aheymans.xyz>
Date:   Tue May 31 19:40:29 2016 +0200

    Enable extended states and dynamic L2 cache
    
    This patch sets msr bits to enable dynamic L2 cache
    which is a requirement for C4E, which is also enabled
    by this patch.
    the bit for C2E is also set.
    Those msr bits are taken from later cpus and seem to work fine.
    
    C2 state performs particularly bad. Before this patch it consumed ~17-18W.
    After this patch it dropped to 14W.
    
    Idle power usage (C4) seems to remain very similar.

commit 2320d3b823be58dc50b3de42b4a386408f2cb0d0
Author: Leah Woods <info@minifree.org>
Date:   Mon May 30 17:29:26 2016 +0100

    update the dependencies list for Trisquel 7

commit ac8b0c048ff7f1147d8058cf528587f6a8f8848a
Author: Leah Woods <info@minifree.org>
Date:   Fri May 27 22:01:22 2016 +0100

    docs: Add photo of GA-G41M-ES2L to flashing instructions, courtesy of damo22
    
    Photo pulled from the libreboot-dev mailing list. Scaled down for web viewing.

commit c6563ccc64050070b2c35a281c034a460dbae586
Author: Paul Koenig <paukoen@gmail.com>
Date:   Mon May 23 13:58:06 2016 -0400

    docs: build scripts
    
    also update libreboot.texi to use absolute paths for references to
    images, logs, etc.

commit 4aca93689bfff1be7a6a5a5c623af75dc6ce621a
Author: Leah Woods <info@minifree.org>
Date:   Tue May 24 21:19:21 2016 +0100

    GA-G41M-ES2L: Update patches to fix NIC in GNU/Linux (autoconfig works now)

commit ff3ba5b38a7556533e2a25755e7bc7e95cb9cc6a
Author: Arthur Heymans <arthur@aheymans.xyz>
Date:   Tue May 24 19:43:42 2016 +0200

    gm45: 256M default vram
    
    352M vram seems to be quite unstable on targets with
    4GB or more. 256M has yet to show issues on different
    ram configurations. This might be a good default for libreboot.

commit 9bc16d23e0eecb8835782d8ec341268c0f42bbfc
Author: Leah Woods <info@minifree.org>
Date:   Sun May 22 20:04:21 2016 +0100

    Revert GM45 352MiB VRAM patch for now, we'll re-add it later once stable

commit 9c05073f9930b32dc13a742ce459e098fbaad0a9
Author: Arthur Heymans <arthur@aheymans.xyz>
Date:   Sun May 22 12:20:11 2016 +0200

    352M for gm45 now with failsafe if something goes wrong with cmos.

commit 1386da395f498a174b639b798e979b726dcf776b
Author: Leah Woods <info@minifree.org>
Date:   Sun May 22 06:05:41 2016 +0100

    docs g41: mention custom MAC address is needed

commit 50bfdb49f88818f91d20d822dd0183d20cd7faa9
Author: Leah Woods <info@minifree.org>
Date:   Sun May 22 05:58:16 2016 +0100

    Remove patch for 352MiB VRAM on GM45

commit 96178b33c0107bf601eb3bdbbfbaf2d83a5f69e8
Author: Leah Woods <info@minifree.org>
Date:   Sun May 22 05:51:40 2016 +0100

    docs: NIC is now fixed on g41

commit 2f88e3e3bd277299b8f6bd2807cdad207836ea06
Author: Leah Woods <info@minifree.org>
Date:   Sun May 22 03:50:26 2016 +0100

    (bootfix) GRUB-only boards: actually use GRUB as payload, not SeaBIOS

commit 456b444c0deff3ecddcc8e0695a59c231994d065
Author: Leah Woods <info@minifree.org>
Date:   Sun May 22 03:30:03 2016 +0100

    docs: fix invalid formatting for copyright logo on authors list

commit 08aa5f6f64f534a4c412544a81bccc4b1eaa622e
Author: Leah Woods <info@minifree.org>
Date:   Sun May 22 02:18:57 2016 +0100

    Revert "format documentation for 80 character line limit"
    
    This reverts commit e3065addba58b99eff932030f0a5170ed17743f7.
    
    It caused some formatting issues which would have caused problems

commit e3065addba58b99eff932030f0a5170ed17743f7
Author: Leah Woods <info@minifree.org>
Date:   Sun May 22 02:11:56 2016 +0100

    format documentation for 80 character line limit
    
    This was done in Vim
    :set tw=80
    gqG

commit d87eb3639ea31142de06c52c90a8251cb6ae43b6
Author: Leah Woods <info@minifree.org>
Date:   Sun May 22 02:05:46 2016 +0100

    Cleanup/tidy the texinfo documentation, courtesy of Paul <paukoen@gmail.com>
    
    This was submitted on the mailing list. I further added the full list of
    authors to the copying section. There were a few copyright authors missing in
    the file that Paul submitted.
    
    There are some TODO entries at the start of the document, which Paul left for
    us. We need to work on those.
    
    Also TODO: integrate this into build system, so that we have these options:
    ./build docs html
    ./build docs html-onepage
    ./build docs pdf
    etc

commit 8864dc9a01743b7c66a4b63d90ffcf92fcd66535
Author: Leah Woods <info@minifree.org>
Date:   Sat May 21 11:32:17 2016 +0100

    bring back the old backgrounds. They were better

commit 2e58042c9cdd9a57603646f02e5694e441310d63
Author: Leah Woods <info@minifree.org>
Date:   Sat May 21 11:27:11 2016 +0100

    Only use SeaGRUB on i945, KCMA-D8 and KGPE-D16

commit 2717e0ce9a34c664a198bb6b64174d13baae0cb6
Author: Leah Woods <info@minifree.org>
Date:   Sat May 21 11:17:18 2016 +0100

    build/roms/withgrub: add 16:10 background to 16MiB GM45 laptop configs

commit 407f70f2f5d4834297f73b76b2ef5721e66ac90e
Author: Leah Woods <info@minifree.org>
Date:   Sat May 21 11:13:22 2016 +0100

    All board: payload now named payload.elf

commit 095361ebf35d542493e486ea6cce85daa86d216e
Author: Leah Woods <info@minifree.org>
Date:   Sat May 21 08:55:11 2016 +0100

    ga-g41m-es2l: disable CONFIG_PCIEXP_COMMON_CLOCK in config (bootfix)

commit 84869cba09f99ba646c647a9e529dcd29d4245c3
Author: Leah Woods <info@minifree.org>
Date:   Sat May 21 08:41:27 2016 +0100

    use usbdebug on ga-g41m-es2l

commit d95185acdeb00a2096d43cf57f45411b840c070e
Author: Leah Woods <info@minifree.org>
Date:   Sat May 21 08:40:50 2016 +0100

    use seagrub on ga-g41m-es2l

commit ae50eea3f44ef4b1dda61dcdceef4a602f3e5bb2
Author: Leah Woods <info@minifree.org>
Date:   Sat May 21 08:37:39 2016 +0100

    Use damo22's config for ga-g41m-es2l

commit 75368c760d9190442d81ab9091ea08a469609061
Author: Leah Woods <info@minifree.org>
Date:   Sat May 21 07:35:43 2016 +0100

    grub.cfg: also do ata devices for encryption (for ga-g41m-es2l)

commit 2df038d5f1a841d82ca9bd4123e516fd514921f2
Author: Leah Woods <info@minifree.org>
Date:   Sat May 21 07:28:34 2016 +0100

    grub.cfg: Also search on ATA devices (for GA-G41M-ES2L which uses IDE emu)

commit 77c90c894f7433a0117c481867414cb16fa7b3cc
Author: Leah Woods <info@minifree.org>
Date:   Sat May 21 07:09:35 2016 +0100

    Fix broken NIC on GA-G41-ES2L, courtesy of damo22 on IRC

commit 3726a2990fb0e0a76b428c2e6db108f45b53a437
Author: Leah Woods <info@minifree.org>
Date:   Sat May 21 07:03:40 2016 +0100

    GA-G41-ES2L: upgrade to recommended coreboot revision

commit c2bce312e7a4aa3fc523824e4248ff206d6677eb
Author: Leah Woods <info@minifree.org>
Date:   Fri May 20 07:37:25 2016 +0100

    actually, 3 seconds is enough
    
    According to damo22 on IRC, PS/2 only needs 1.2 seconds. Coreboot sets it 3s
    by default, so let's just use coreboot's default setting.

commit d30d97f1a8d11e6eb695205fdeeb4036ca83bb59
Author: Leah Woods <info@minifree.org>
Date:   Fri May 20 07:33:40 2016 +0100

    SeaGRUB: reduce timeout from 60s to 6s
    
    Still higher than default, but tolerable now for those using headless
    systems.

commit 49fcc906561ab05f7a45f329e40cfd4a12260e57
Author: Leah Woods <info@minifree.org>
Date:   Fri May 20 04:58:23 2016 +0100

    build/roms/withgrub: use cbfstool add-int for 0s delay in cbfs (SeaGRUB)

commit b1ff016f3f422c47b5c65a4d3ebfc449f1fd5743
Author: Leah Woods <info@minifree.org>
Date:   Fri May 20 03:25:09 2016 +0100

    Don't use SeaVGABIOS on systems that use SeaGRUB

commit 870be408e848aa884f8bcc6c2213cb31e4cd2615
Author: Leah Woods <info@minifree.org>
Date:   Fri May 20 01:24:53 2016 +0100

    seabios boards: also hardcode cmos settings, like on grub boards

commit 1335225c0c0c44eb2db834345b409bfe4e82692b
Author: Leah Woods <info@minifree.org>
Date:   Fri May 20 01:20:43 2016 +0100

    seabios board configs: update to fix broken  automated build

commit b6730357e23d112d98400335d034110b8c3c3626
Author: Leah Woods <info@minifree.org>
Date:   Fri May 20 01:16:08 2016 +0100

    Add boards: use a static CMOS option table, for consistency
    
    This also forces GM45 to use 352MiB RAM for the Video RAM, for the Intel GPU.
    It's implemented in such a way where the user configures it using nvramtool.
    
    Hardcode it.
    
    This should also force the century byte to be reset on GM45, for those users
    who were affected by this previous issue.

commit c32d7dd2d1987d4839520918e1f8ff21050b53dd
Author: Arthur Heymans <arthur@aheymans.xyz>
Date:   Thu May 19 17:37:56 2016 +0200

    Typo fix, now build dependencies parabola works

commit 74628ec0f0339208e2732d43354785c3f7ba245c
Author: Arthur Heymans <arthur@aheymans.xyz>
Date:   Thu May 19 17:20:56 2016 +0200

    forgot some newlines in reused.list

commit 452664f9b5f332469ac2331321ee7548b2812315
Author: Arthur Heymans <arthur@aheymans.xyz>
Date:   Thu May 19 16:39:44 2016 +0200

    set vram on gm45 to 352M
    
    This patch enables all vram sizes and sets the default to 352M for
    libreboot.
    Normally users have to clear their vram for this to happen. using
    "nvram -c random"
    
    But there a 2 better option:
    coreboot provides to always load the defaults in its menuconfig
    update the flashscript to reset cmos
    
    Signed-off-by: Arthur Heymans <arthur@aheymans.xyz>

commit d48086382951072039226a8cbde1d9d009cfad12
Author: Leah Woods <info@minifree.org>
Date:   Thu May 19 10:52:53 2016 +0100

    build/roms/withgrub: fix broken build (use bash properly. grep is not needed)

commit 3afa15f89f998cdafaf86f949ea370943f1aaf84
Author: Leah Woods <info@minifree.org>
Date:   Thu May 19 10:13:07 2016 +0100

    build/roms/withgrub: Don't add timeout file to ROM if it already exists

commit ff00e9017d033530435a0eee00237d8778df791e
Author: Leah Woods <info@minifree.org>
Date:   Thu May 19 09:58:10 2016 +0100

    typofix

commit 8796cc84a25d48e345ce41c2b46b82f438fc40d0
Author: Leah Woods <info@minifree.org>
Date:   Thu May 19 09:44:22 2016 +0100

    build/roms/withgrub: (buildfix) add missing "print" to cbfstool command

commit 08232a196b7383a0da9c66e75ab6ff2ad7f7a535
Author: Leah Woods <info@minifree.org>
Date:   Thu May 19 09:41:18 2016 +0100

    build/roms/withgrub: (buildfix) only delete ps2-keyboard-spinup if it exists

commit a33099490113b82356bdc2a2b2339a48623fd27c
Author: Leah Woods <info@minifree.org>
Date:   Thu May 19 09:20:46 2016 +0100

    build/roms/withgrub: (buildfix) remove existing default timeout file
    
    Also increase our timeout from 20s to 60s.

commit e2c06ebf4ae25ef2f95d4bc51c06a4c1c8431377
Author: Leah Woods <info@minifree.org>
Date:   Thu May 19 08:55:21 2016 +0100

    grub.cfg: change timeout back to 1s (instead of 10s). SeaBIOS does timeout now

commit ae7f762fa4a868889c1d15ddbd7deb8533476218
Author: Leah Woods <info@minifree.org>
Date:   Thu May 19 08:52:41 2016 +0100

    build/roms/withgrub: add timeout for SeaBIOS (needed on some boards)

commit c405ab82e18b4f7bc4414383cb19a18c5b4d63d5
Author: Leah Woods <info@minifree.org>
Date:   Thu May 19 07:46:01 2016 +0100

    build/roms/withgrub: typofix in script

commit e71577bb8ada10ff8274680674862935458305ee
Author: Leah Woods <info@minifree.org>
Date:   Thu May 19 06:51:08 2016 +0100

    build/roms/withgrub: add grub to the ROM using add-payload, not add

commit 4ec96b04fc8ccf9164a85f05eca26e542be87d39
Author: Leah Woods <info@minifree.org>
Date:   Thu May 19 02:11:55 2016 +0100

    build only x86 and arm gcc

commit 378e04e968a469f89cc410493d604cb9d12eea18
Author: Leah Woods <info@minifree.org>
Date:   Wed May 18 21:41:15 2016 +0100

    temporary hack (./download seabios): don't ask user if they want to delete dir
    
    We'll delete seabios/grub download scripts later and replace with a seagrub
    download script.

commit 6b1d53dc239e27e44b666a87b958332625d4705f
Author: Leah Woods <info@minifree.org>
Date:   Wed May 18 20:40:56 2016 +0100

    add license to README

commit 24b941680d7b405a3a69d91816efa5ce8ea2e433
Author: Leah Woods <info@minifree.org>
Date:   Wed May 18 20:38:20 2016 +0100

    Add README file

commit 5269566a6c37151015dea0d4cf78f341cca0669c
Author: Leah Woods <info@minifree.org>
Date:   Tue May 17 08:19:29 2016 +0100

    Implement SeaGRUB and make it the default payload on all current GRUB boards

commit f6e141b3e2a796fe45b60641417c85234d399436
Author: Arthur Heymans <arthur@aheymans.xyz>
Date:   Tue May 17 12:26:24 2016 +0200

    finally the correct patch for i945 vram

commit c7b7de691f7f97f9e05b50c73f61ad9951e5b397
Author: Leah Woods <info@minifree.org>
Date:   Wed May 18 04:07:18 2016 +0100

    typofix

commit c5c26e0dac4e2fbc72049dd498ec3643ee7b3613
Author: Leah Woods <info@minifree.org>
Date:   Wed May 18 04:02:02 2016 +0100

    Add GNU note to main section of the docs

commit 8145d5d5eeaebf7cefefd45827d0aebc107e3eb2
Author: Leah Woods <info@minifree.org>
Date:   Wed May 18 03:26:55 2016 +0100

    encrypted parabola guide: Remove note about SeaBIOS
    
    We love SeaBIOS now.

commit 5a2bbdf09d38d8920781684324b556346308f50d
Author: Leah Woods <info@minifree.org>
Date:   Mon May 16 13:18:31 2016 +0100

    docs/install/x200_external: non-matching RAM pairs actually do work

commit a9fe29f076ae5e73730c0d80e1a9ce9cb6517404
Author: Leah Woods <info@minifree.org>
Date:   Mon May 16 12:23:16 2016 +0100

    update configs (fix build errors)

commit 5c205cc981a2fd7128843fe1865442fa43cae73e
Author: Arthur Heymans <arthur@hp7600>
Date:   Sun May 15 03:50:09 2016 +0200

    i945: path to enable all VRAM options, libreboot config is set to 64MB

commit 23d9b5e81b82057713803e4ffdba0cd1a699759b
Author: Leah Woods <info@minifree.org>
Date:   Sun May 15 13:11:57 2016 +0100

    docs/hcl/ga-g41m-es2l: remove note about SATA. SATA works now

commit 3a7c7c3a376cd262c58440052b9e298efd713a27
Author: Leah Woods <info@minifree.org>
Date:   Sat May 14 18:09:47 2016 +0100

    Revert "All GRUB board: add equivalent configs for SeaBIOS too."
    
    This reverts commit 83ea3644c7110d3b48ec2d44ec059ec36b000f7f.

commit 83ea3644c7110d3b48ec2d44ec059ec36b000f7f
Author: Leah Woods <info@minifree.org>
Date:   Sat May 14 18:04:33 2016 +0100

    All GRUB board: add equivalent configs for SeaBIOS too.

commit dc8031be93849fd2e7788f78809d6f72a2acb5e6
Author: Leah Woods <info@minifree.org>
Date:   Sat May 14 17:53:55 2016 +0100

    docs/hcl/gm45_remove_me: instructions for 16MiB (MAC address)

commit 8b0b649bf11e1230da2b96ea3fdb82ff8caa0dc5
Author: Leah Woods <info@minifree.org>
Date:   Sat May 14 17:00:09 2016 +0100

    Add 16MiB ROM image configs for all GM45 thinkpads

commit 6ff3d7c8e55226ca58b011d870ab993b16576479
Author: Leah Woods <info@minifree.org>
Date:   Sat May 14 10:07:47 2016 +0100

    ich9gen ich9gen.c: add missing copyright statement in header

commit a3dc019b07e4989665befe349be7e38aeaaac61a
Author: Leah Woods <info@minifree.org>
Date:   Sat May 14 06:58:25 2016 +0100

    build/dependencies/trisquel7: new dependency

commit a874b581de0b7ff9dc1186ec2443e34aa97c3658
Author: Swift Geek <swiftgeek@gmail.com>
Date:   Sat May 14 07:45:11 2016 +0200

    Add 16MiB descriptor generation

commit 3d6abbe4f438b806b4b30ba64da4530df754f4de
Author: Leah Woods <info@minifree.org>
Date:   Sat May 14 05:30:18 2016 +0100

    note about needing latest flashrom to flash ga-g41m-es2l

commit d953432e17e534452514f7a230cd9c36f11ffb1f
Author: Leah Woods <info@minifree.org>
Date:   Sat May 14 05:04:40 2016 +0100

    update flashrom to latest version

commit 4d8aac501d7e9acb258ee24781f1e33a0104c1eb
Author: Arthur Heymans <arthur@hp7600>
Date:   Sat May 14 04:21:17 2016 +0200

    enable c4 state on t60
    
    this is identical to the patch enabling c4 state on x60

commit 9e1fe2f8a988a7c6fe534e1b2afee367e9a74aa1
Author: Leah Woods <info@minifree.org>
Date:   Sat May 14 04:17:06 2016 +0100

    Add proper flashing instructions for Gigabyte GA-G41M-ES2L (TODO: photos)

commit 2ce1cb099d5f3b9deeea36112b475313dc2770b9
Author: Leah Woods <info@minifree.org>
Date:   Sat May 14 03:32:22 2016 +0100

    note about broken NIC on G41

commit 26e0d10cf2f3865a16c5c2e6aff267575be795c4
Author: Leah Woods <info@minifree.org>
Date:   Sat May 14 02:37:07 2016 +0100

    Add support for 4th C-STATE on ThinkPad X60 (courtesy of avph on IRC)

commit fac8b767a28c1bec87382ad323e19cc9c36312ca
Author: Leah Woods <info@minifree.org>
Date:   Sat May 14 02:13:57 2016 +0100

    fix broken SATA support on GA-G41-ES2L (courtesy of damo22 on IRC)

commit 7c2676dee4b30bbdfd5bedcf74ac34ab49620cf8
Author: Leah Woods <info@minifree.org>
Date:   Tue May 10 19:25:21 2016 +0100

    docs (hcl): make d510mo page link to d510mo page for flashing instructions

commit 218707587ef57fe62489935d5a744178704aa3ba
Author: Leah Woods <info@minifree.org>
Date:   Tue May 10 19:13:07 2016 +0100

    Add flashing instructions for Intel D510MO

commit 4631b71838219309fb2810bfe6e9ff9feebfd15c
Author: Leah Woods <info@minifree.org>
Date:   Tue May 10 12:36:53 2016 +0100

    note about SATA on GA-G41M-ES2L

commit 26e9bda6c54ee629069e7491eda41a2f56f3ffc7
Author: Leah Woods <info@minifree.org>
Date:   Tue May 10 11:54:51 2016 +0100

    grub.cfg: increase timeout to 10 seconds instead of 1

commit 168aaa7df900749c19c532e0099c975bb6c23e95
Author: Leah Woods <info@minifree.org>
Date:   Mon May 9 15:33:32 2016 +0100

    delete task list in docs/ - it's on the download page now

commit 89819c5ce3cd5c9a38e9e7e817573dca52cbabcb
Author: Arthur Heymans <arthur@aheymans.xyz>
Date:   Wed May 4 23:00:56 2016 +0200

    add acpi c3 / cpu c4 cstate for gm45 thinkpads

commit f443f08ef0339ff289380d6688aa3b40da8f2d25
Author: Leah Woods <info@minifree.org>
Date:   Sat May 7 21:17:48 2016 +0100

    docs: mention libreboot_grub.cfg, not coreboot_grub.cfg
    
    coreboot_grub.cfg also works, but not in stable release. people had problems
    with these instructions. libreboot supports these (in git):
    * libreboot_grub.cfg
    * autoboot_grub.cfg (for compatibility with autoboot)
    * coreboot_grub.cfg (probably pointless to be honest)

commit fee1cb91532769c3b3a976a18563742258e86072
Author: Leah Woods <info@minifree.org>
Date:   Sat May 7 21:15:16 2016 +0100

    remove beep again from grub.cfg. apparently, everyone hates it

commit 87077045570851ca622ff9240f700bff56f9af38
Author: Leah Woods <info@minifree.org>
Date:   Sat May 7 16:06:19 2016 +0100

    docs (flashrom page): note about strict devmem option in the linux kernel

commit f00198801000eb0bf00d35aa37b1b4f6e6240ba2
Author: Leah Woods <info@minifree.org>
Date:   Fri May 6 09:13:34 2016 +0100

    reassign Minifree Ltd copyrights back to Minifree director
    
    This time under her chosen name.

commit 03690c9dab0c6006546e1f273769cf673f94db5a
Author: Timothy Pearson <tpearson@raptorengineeringinc.com>
Date:   Mon May 2 22:46:12 2016 +0000

    asus/kgpe-d16|kcma-d8: Update for latest round of DRAM training enhancements
    
    Signed-off-by: Timothy Pearson <tpearson@raptorengineeringinc.com>

commit b976e463d49a510bdc654f869a79fa5e555dba56
Author: Minifree Ltd <info@minifree.org>
Date:   Thu Apr 28 11:44:19 2016 +0100

    note about faulty dvd drive on gm45 and fde

commit e276335718f23d5646d0772a54adaef9ae91e205
Author: Timothy Pearson <tpearson@raptorengineeringinc.com>
Date:   Tue Apr 26 18:56:08 2016 +0000

    kgpe-d16|kcma-d8: Update to latest coreboot for RDIMM initialization fixes
    
    Signed-off-by: Timothy Pearson <tpearson@raptorengineeringinc.com>

commit 7fa7cecda0b75fceefced98360d1a724f3bbdc41
Author: Minifree Ltd <info@minifree.org>
Date:   Tue Apr 26 16:29:11 2016 +0100

    reassign copyright from Minifree director to Minifree Ltd

commit 532c2e20da8dd070d482dbfbc62797ebb1c0bc17
Author: Timothy Pearson <tpearson@raptorengineeringinc.com>
Date:   Fri Apr 22 15:47:54 2016 +0000

    Update to include AMD Family 15h DRAM training fixes

commit 8e3b064430300bba4ef15e99ddcda3d861e8e264
Author: Paul Kocialkowski <contact@paulk.fr>
Date:   Tue Apr 19 18:09:30 2016 +0200

    Coreboot, vboot and depthcharge updates to Coreboot 4.3 for CrOS devices
    
    Signed-off-by: Paul Kocialkowski <contact@paulk.fr>

commit d0e903dac630b5d05e4b21dd90e410540ab55b6d
Author: Paul Kocialkowski <contact@paulk.fr>
Date:   Mon Apr 18 14:25:13 2016 +0200

    ressources: Fix indentation on build/roms/withdepthcharge
    
    Signed-off-by: Paul Kocialkowski <contact@paulk.fr>

commit ed306000fc875a27e6e1f1801e4e3c46f98443ad
Author: Minifree Ltd <info@minifree.org>
Date:   Mon Apr 18 11:00:16 2016 +0100

    grub.cfg: fix inconsistent device referencing in search isolinux function
    
    It was searching e.g. usb,0 but it should be doing usb0. etc

commit b080306b2c082c226d5d327df16c34d1d97ddc92
Author: Timothy Pearson <tpearson@raptorengineeringinc.com>
Date:   Mon Apr 11 21:52:41 2016 +0000

    asus/kgpe-d116|kcma-d8: Update coreboot to latest version

commit ca1528915f80ecef86f6b0041511e3de96a92e86
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Apr 11 18:29:25 2016 +0100

    build/release/src: don't delete patches for coreboot
    
    The old model was to have 1 coreboot directory with 1 revision, with all patches
    for all boards, so this behaviour used to be correct. Now it is wrong, because
    different coreboot revisions are used in different directories, and the build
    process does git-init and applies those patches. So we need them.

commit 6fd8f4ba37d825d92ffec94b707e6f72c5c36892
Author: Timothy Pearson <tpearson@raptorengineeringinc.com>
Date:   Mon Apr 11 11:20:36 2016 -0500

    grub: Fix USB boot on KGPE-D16/KCMA-D8

commit 10d5a30eb0fdbaecc00be60fe23d7ec9bb522601
Author: Timothy Pearson <tpearson@raptorengineeringinc.com>
Date:   Fri Apr 8 18:20:38 2016 +0000

    mb/asus/kgpe-d16|kcma-d8: Enable CMOS option table

commit 3f3357f6d5345b80c04d6c15e6209accfe11bcb6
Author: Timothy Pearson <tpearson@raptorengineeringinc.com>
Date:   Fri Apr 8 18:19:40 2016 +0000

    asus/kgpe-d116|kcma-d8: Update coreboot to latest version to fix RAM and SB issues

commit bab79f11aabf67404a7d14e8d47f28ca04ea19a6
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Apr 6 18:46:47 2016 +0100

    Notes about memory compatibility on D8/D16

commit 0eba0ff17ede4cde674a63fa44b94ae13c5cbf3f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Apr 4 17:28:10 2016 +0100

    add more changes to tasks list

commit e3ad709adad344a37ea5a7505a67ab13adfd4e09
Author: Timothy Pearson <tpearson@raptorengineeringinc.com>
Date:   Mon Apr 4 16:17:09 2016 +0000

    mainboard/asus/kgpe-d16|kcma-d8: Include additional coreboot MCT fixes for Kingston RDIMMs
    
    Signed-off-by: Timothy Pearson <tpearson@raptorengineeringinc.com>

commit ec7c3b2b088cc97fb7318900b26e111d221487c8
Author: Timothy Pearson <tpearson@raptorengineeringinc.com>
Date:   Mon Mar 28 22:08:22 2016 +0000

    mainboard/kcma-d8|kgpe-d16: Reenable GRUB builds

commit ed1f721bfe11e7c568a820d1840f528879eb7c4f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Mar 28 20:27:23 2016 -0400

    docs/tasks: cleanup
    
    There were a bunch of tasks that were either pointless, already done or didn't
    really needed to be documented (common sense).

commit 9d3eb000ff247041ef91d7f4c2857f8c9d8c7c57
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Mar 28 13:03:10 2016 -0400

    build/module/crossgcc: build for all architectures

commit 61ab1d14825064b02c3b16150f4a48b01f3e32ff
Author: Timothy Pearson <tpearson@raptorengineeringinc.com>
Date:   Mon Mar 28 15:04:15 2016 +0000

    mainboard/asus/kgpe-d16|kcma-d8: Include coreboot MCT fixes for Kingston RDIMMs
    
    Signed-off-by: Timothy Pearson <tpearson@raptorengineeringinc.com>

commit 7ce97e5bc8b13d1ceb29a8edfe3951a7570cbf47
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Mar 24 18:52:02 2016 -0400

    Revert "grub: re-introduce old GNU Love background (with libreboot logo super imposed)"
    
    This reverts commit 6419e80e79db5a263bb222b0815797f5c9a471dc.

commit 6419e80e79db5a263bb222b0815797f5c9a471dc
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Mar 20 17:46:59 2016 -0400

    grub: re-introduce old GNU Love background (with libreboot logo super imposed)

commit e9d7562f386998944af6e7609bc7361386e05494
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Mar 20 17:35:07 2016 -0400

    Revert "T60 headless config"
    
    This reverts commit d0ea6701083f30fe87a401da04b8804fef39f5a3.

commit a36033dcd55e5f58540d3855a8db2addb2d64b6b
Author: Timothy Pearson <tpearson@raptorengineeringinc.com>
Date:   Thu Mar 17 17:42:09 2016 -0500

    mb/kcma-d8,kgpe-d16: Disable USB debug support
    
    This resolves a long standing issue with Libreboot manifesting
    as extremely slow boot and GRUB failure.
    
    Also clean up other debug-related options.

commit d4d2f8cb6142531b180dc4d7e40709c35cfbd60a
Author: Timothy Pearson <tpearson@raptorengineeringinc.com>
Date:   Thu Mar 17 17:41:01 2016 -0500

    helpers/build/crossgcc: Honor NPROC environment variable

commit d0ea6701083f30fe87a401da04b8804fef39f5a3
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Mar 19 15:52:37 2016 -0400

    T60 headless config

commit 5af75ee7f94ceef1a1162328a3a720bd93bd310c
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Mar 15 10:30:59 2016 +0000

    build/roms/seabios: support both text-mode and vesafb mode

commit 8515852f6be032b22844b78e7daac199a8bc5c90
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Mar 15 10:22:24 2016 +0000

    build/roms/seabios: copy coreboot config, NOT THE SEABIOS CONFIG, for building
    
    Yeah.

commit 4c914d5abfa28c8ff238c7451224f70af0860a2e
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Mar 14 20:53:16 2016 +0000

    Update crossgcc

commit 2b82b7ca087cc0045c5521449338076445bd1f52
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Mar 14 19:33:41 2016 +0000

    Add SeaBIOS payload to libreboot

commit 04f9d1207dd1257889316ba368f62f5ff7444995
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Mar 14 19:17:52 2016 +0000

    Update KGPE-D16, KCMA-D8 and KFSN4-DRE to current latest coreboot version

commit f0f8bc4bfcd75cf114cf7bf5b22279b3a597799d
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Mar 11 07:02:17 2016 +0000

    dependencies/trisquel7: add libusb for building flashrom

commit b8ef9d9b120526ea7156b7d5f7cf1ef9494eb729
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Mar 11 06:52:41 2016 +0000

    Update flashrom to revision 99b2468c9eaa97f7209ee919aa254ba536fd84c2

commit de41363b4bb5416fc2ab2abc9bfd5d52df63457b
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Mar 11 05:26:38 2016 +0000

    Update to GRUB 7f2a856faec951b7ab816880bd26e1e10b17a596

commit 464076335d6ca5e6f801f863e95dc3847616a595
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Mar 11 04:20:52 2016 +0000

    Remove ThinkPad R500 support (wasn't ready for production use yet anyway)
    
    R500 support in its current state should not be merged in the master branch.
    This will likely not make it into the immediate upcoming release. This patch
    will be reverted in a separate experimental branch, for the time being.

commit 2d68bc1581647ca27ce8350a295de03cb7ff23d8
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Mar 11 03:54:01 2016 +0000

    qemu: bump to coreboot 2a3434757ef425dbdfedf1fc69e1a033a6e7310d

commit 2116a7e48849b8d3c744970673d95330e32c1883
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Mar 11 02:59:58 2016 +0000

    coreboot-libre cleanup: remove blob lists for unused coreboot versions

commit 23048a45b56d28efc7de37c1063277817d6bd9d0
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Mar 11 01:47:27 2016 +0000

    i945 and gm45 laptops: use cb 2a3434757ef425dbdfedf1fc69e1a033a6e7310d
    
    This should fix the RTC century byte issue (fix merged upstream).
    Some patches were removed, in those cases where they became merged upstream.

commit c64485ec850ca901f1c7adde48e19bb84397e591
Author: Klemens Nanni <contact@autoboot.org>
Date:   Wed Mar 9 14:09:04 2016 +0100

    build/dependencies: Check architecture only once

commit e15beed400f3ced1ba2c60fb78232de177a05e30
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Mar 10 22:03:32 2016 +0000

    build: show help output when there is an error

commit 8f41da759a0f5352093ced98a2f03e62c970f8de
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Mar 10 21:59:28 2016 +0000

    build: allow unlimited number of additional parameters
    
    This restores previous functionality, which is needed for the build/roms/
    scripts.

commit 25a828190b2a08105ad561b5b417bb61a383fc4f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Mar 10 20:18:49 2016 +0000

    build system: allow arbitrary specification of number of cores used
    
    Use NPROC=foo
    Replace "foo" with a number. By default, the build system uses $(nproc).
    This patch allows the user to specify any number of cores. This is useful
    on some systems, or certain chroot environments.

commit 2628a25901d35bd267fba945100864578f920770
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Mar 10 19:19:57 2016 +0000

    build: re-introduce variable names for $1 and $2
    
    This is necessary, so that we can use "shift 2", so that additional
    parameters can be added which are passed to the scripts that the build script
    then calls.

commit eea45e77dc0eb2f477e911a590c35d5f2275b1a6
Author: Klemens Nanni <contact@autoboot.org>
Date:   Thu Mar 10 19:07:05 2016 +0000

    build: Simplify, make code more readable
    
    Use functions for common subroutines, get rid of unneeded variables, use
    a here document instead of multiple invocations of printf and slightly
    restructure the code to make it more concise.

commit e69d207f428b3fabfee69778368a6c13f1aefede
Author: Klemens Nanni <contact@autoboot.org>
Date:   Tue Mar 8 18:19:37 2016 +0100

    build/grub: Change wording, use a subshell

commit f1cc58c58a29e6183f6300c99e1f113edcecffe8
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Mar 10 18:42:14 2016 +0000

    build scripts: use $(nproc) not "$(nproc)" for make -j option

commit 4120c8a2f626134fda30390c5f39661379c4a1a2
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Mar 9 23:05:24 2016 +0000

    jgpe-d16, kcma-d8, kfsn4-dre: remove unneeded patches

commit c7d2a776aeb9b1b4210c187b705e8d8e79918419
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Mar 9 23:04:24 2016 +0000

    Revert "kgpe-d6,kcma-d8,kfsn4-dre: use cb 67e11d1e4f5fa4ba7e864bb0487bf5a835fb2919"
    
    This reverts commit 735b6a3e7250a52c5fa04cdd400cb7f44f37b89e.

commit a37ceb2405d51098a5e70065af47ba2c5eec5a8c
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Mar 9 23:04:23 2016 +0000

    Revert "add missing deblob updates (missing in last commit)"
    
    This reverts commit ef811f185a79e8284a7464a5f7d120783bb0b0e4.

commit 7b1c9b9b53cbe799f53f055ed6a66a5ca8ec00be
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Mar 9 23:04:22 2016 +0000

    Revert "re-add missing directory for coreboot-libre (fix build issue)"
    
    This reverts commit 8aa0e048db53b43d2c808c39b1f41ca17c8a5287.

commit f7f00b35e26dadd721092f571d907dc6a383b629
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Mar 9 23:04:21 2016 +0000

    Revert "rename wrongly named patch directory (fix build issue)"
    
    This reverts commit 41dd699e78587f3e83e354f6897057305300699b.

commit d886706777ce97fc51bae7e48d4d925f4824f637
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Mar 9 23:04:19 2016 +0000

    Revert "re-add accidentally deleted kcma-d8 config. oops!"
    
    This reverts commit a47fcda7a29f5629d12ede8cf7a66e54baf0677b.

commit a47fcda7a29f5629d12ede8cf7a66e54baf0677b
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Mar 9 22:57:22 2016 +0000

    re-add accidentally deleted kcma-d8 config. oops!

commit 41dd699e78587f3e83e354f6897057305300699b
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Mar 9 22:53:42 2016 +0000

    rename wrongly named patch directory (fix build issue)

commit 8aa0e048db53b43d2c808c39b1f41ca17c8a5287
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Mar 9 22:36:15 2016 +0000

    re-add missing directory for coreboot-libre (fix build issue)

commit ef811f185a79e8284a7464a5f7d120783bb0b0e4
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Mar 9 22:29:42 2016 +0000

    add missing deblob updates (missing in last commit)

commit 735b6a3e7250a52c5fa04cdd400cb7f44f37b89e
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Mar 9 22:24:22 2016 +0000

    kgpe-d6,kcma-d8,kfsn4-dre: use cb 67e11d1e4f5fa4ba7e864bb0487bf5a835fb2919
    
    This revision is reported to work correctly.

commit 7b3449e35aa99310d4f247952a1e4fbd8f76ef2e
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Mar 9 18:45:19 2016 +0000

    grub.cfg: Don't check ahci1 in main menu

commit dfa21bb8ee01eac21a2acee79011a634cb67e373
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Mar 8 06:00:09 2016 +0000

    Update coreboot (kgpe-d16,kcma-d8,kfsn4-dre,d510mo,ga-g41m-es2l)
    
    Update to the latest coreboot and vboot versions at the time of writing:
    coreboot 2a3434757ef425dbdfedf1fc69e1a033a6e7310d
    vboot d187cd3fc792f8bcefbee4587c83eafbd08441fc

commit 2e5e505da125f9d90dd63c1cbcb08bf5316b21ae
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Mar 8 05:51:47 2016 +0000

    build/config/*: Update to work with new build system

commit 5b29f719ac3b226ca17937c4c9e82abca39675fc
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Mar 8 01:33:00 2016 +0000

    build/roms/withdepthcharge: fix build issue (wrong working directory)

commit eed8d580347ae4e5606b759f6f6ba3d98457c93e
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Mar 7 20:03:00 2016 +0000

    typofix in coreboot-libre script

commit fb9d0d76256caffc2c69104134a45191188953ac
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Mar 7 19:52:17 2016 +0000

    download/crossgcc: Don't delete coreboot files
    
    Turns out there are needed parts.

commit 89f01c4f795247b506df6ff0796ac9546cfaf7ce
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Mar 7 16:30:28 2016 +0000

    build/module/crossgcc: Don't automatically clean crossgcc when building
    
    Remember. One task. Do it well.

commit 01fad71236a6753b85a0df4a2da9caed4cdaa6af
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Mar 7 16:28:16 2016 +0000

    build/module/crossgcc: Allow user to specify what architectures they want
    
    By default, libreboot will built for all relevant architectures, but this patch
    allows the user to skip some if they want to.

commit 239bfb38a5586047fa8268d1aa0966133fb3ee0b
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Mar 7 16:10:10 2016 +0000

    Download, compile and clean crossgcc separately to coreboot
    
    This means that coreboot can be re-downloaded and re-built without affecting
    crossgcc. The crossgcc directory also now only contains crossgcc; previously,
    it contained the entire coreboot source code too, which was unneeded because
    that directory was just for crossgcc, where the real coreboot directories
    symlink to it during the build process.

commit d40b5c7b1a7b16b0c27828f615159c525306adb0
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Mar 7 14:45:22 2016 +0000

    download/coreboot: Add backup repository for coreboot
    
    Download from the backup repository, if the main repository is unavailable.
    Coreboot.org is sometimes offline, so it's nice to have a backup.

commit 62ddede396aa8eccc35528a720e7e0b5e132ab2e
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Mar 7 14:21:42 2016 +0000

    download/coreboot: Fix error that caused .git not to be deleted in crossgcc
    
    For the crossgcc archive, we were deleting *.git, but this is wrong. It meant
    that yes, we were deleting the .git directory, but not the .gitmodules file,
    which meant that 3rdparty repositories were being cloned when re-adding our own
    deblobbed .git directory. This patch fixes that freedom bug.

commit 139f3728d55a35485d20287f1520e99c3807bea7
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Mar 7 13:54:55 2016 +0000

    download/grub: use http:// if git:// fails
    
    At the time, Savannah had an issue cloning from git:// for GRUB. They probably
    fixed this already, but http:// worked alternatively. So add a catch that makes
    it download from http:// if git:// fails

commit bfd6aafebf8b3632ffa17ad71b21ec61274546fa
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Mar 7 13:46:20 2016 +0000

    download/coreboot: Add missing trailing slash to directory path

commit 7318057ee0d0990c450bdf35d786ae9edb2dac13
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Mar 7 07:33:51 2016 +0000

    coreboot-libre: fix wrong path

commit 1c01211ae6dbde629904476803d046564e2a907c
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Mar 7 07:15:50 2016 +0000

    download/coreboot: fix build issue (unknown command)

commit 4dd16f5a28d0d799d450a49b759f28353bf5e07f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Mar 7 00:59:00 2016 +0000

    copy coreboot directory per revision, not per board
    
    This will speed up the build process. The plan is to, if possible,
    always use 1 revision.

commit b7e798ce0819a8a23c4cd4614d052e03246bba40
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Mar 4 01:17:24 2016 +0100

    grub.cfg: remove repeated entry

commit b65623ca6fb6a9f440cb59946163dcab0f514753
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Mar 3 21:15:39 2016 +0100

    grub.cfg: fix broken for loop

commit 79d015913feef9257bfd19f70d3733cefb0bb0cd
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Mar 3 21:10:29 2016 +0100

    Revert "Revert "Revert "iunfinished patch: copy coreboot per revision, not board"""
    
    When you have to revert a revert of a revert in the same 20 minute window
    then you my friend are an idiot. And that's exactly what I am.
    
    This reverts commit d105b4a8b74645d5936cf8a51b1517f3ba89fd26.

commit 903fac5e654bd7f0db210aea1de00effbf7db413
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Mar 3 21:09:33 2016 +0100

    grub.cfg: re-add last resort method to boot an installed distro

commit d105b4a8b74645d5936cf8a51b1517f3ba89fd26
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Mar 3 21:00:28 2016 +0100

    Revert "Revert "iunfinished patch: copy coreboot per revision, not board""
    
    This reverts commit 2f3d87aec85f5759180380cbc156472378164d11.

commit 2f3d87aec85f5759180380cbc156472378164d11
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Mar 3 20:55:50 2016 +0100

    Revert "iunfinished patch: copy coreboot per revision, not board"
    
    I'm an idiot. This patch wasn't supposed to be pushed yet because
    not finished. Reverting it for the time being.
    
    This reverts commit 89cc8c38c1cf3865c3684e5bd6658eedf0e61cfd.

commit 278362ead551ebc1ed767df2e0896b04b51242cd
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Mar 3 20:51:13 2016 +0100

    grub.cfg: fix wrong notation for RAID volumes

commit 6cd26f562dd4765e905cc4569c2ed1ba5d94c346
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Mar 3 20:40:48 2016 +0100

    grub.cfg: re-add searching for coreboot_grub.cfg

commit c0da4d71c3f38133914dd14a6400c63ef7547421
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Mar 3 20:37:46 2016 +0100

    grub.cfg: don't use wildcards for lvm searches. This is too slow.

commit 35104a5a1951ef602eb1217dd0dccb6269a26c82
Author: Klemens Nanni <contact@autoboot.org>
Date:   Thu Mar 3 19:48:46 2016 +0100

    grub.cfg: merge changes from autoboot
    
    Subrouters for searching bootloaders/configurations files have
    been split into individual subroutines for searching and
    loading user configuartion.
    
    LVM is searched via wildcards again. This is slow, and will
    be removed on subsequent commits.
    
    Intergrated keyfile support has been removed for now since
    it's only been introducing errors. We need a better way
    to accomplish this (keyfiles are not ideal anyway, so
    whatever).
    
    GRUB2 support supports keyfiles, the menuentry just
    doesn't look for them on USB devices anymore on its own.
    
    Usage of quoted variables has been unified.
    
    Comments have been shortened to make everything readable.

commit 89cc8c38c1cf3865c3684e5bd6658eedf0e61cfd
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Feb 27 17:06:38 2016 +0100

    iunfinished patch: copy coreboot per revision, not board

commit 756ee1f9eb4583b127b2233666643d16ad7fd8d2
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Feb 27 12:23:12 2016 +0100

    use only 1 crossgcc revision in libreboot

commit fa2cf05665cac94ea797555e543c34222cb84dc6
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Feb 27 11:29:33 2016 +0100

    download/coreboot: reset to common revision

commit 131c5f4ca35db3ca96f1b2fc503af7e57cbe7263
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Feb 21 06:42:56 2016 +0000

    grub docs: recommend coreboot_grub.cfg instead

commit aec9b977b3ea17cdcc0638e418e58b5033abff9b
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Feb 21 04:47:42 2016 +0000

    fix missing trailing slash in grub.cfg

commit e0e8e1200411f8a4027601e183e01696d5a54979
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Feb 21 04:34:47 2016 +0000

    typofix

commit e692402f658bc55ca4afd5dcc69e5a62ea85355e
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Feb 21 04:29:23 2016 +0000

    grub.cfg: also search for coreboot_grub.cfg and autoboot_grub.cfg

commit d4f967a1a5aecf96518e32987a2a3e9ae3795ded
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Feb 21 04:23:55 2016 +0000

    Update to latest GRUB
    
    secfix directory removed (patches merged upstream)

commit 1d4ecda3f59df844d28c93cc756a447adb65ce16
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Feb 16 23:16:08 2016 +0000

    update docs regarding macbook21 compatibility

commit 5986492494b2891305b0555e0d89abe34af485d4
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Feb 16 23:10:48 2016 +0000

    note about GM45 RAM compatibility

commit 53993438fabcc9f1600ee01c7ecb937251a3758c
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Feb 16 22:17:09 2016 +0000

    docs/tasks: urgent tasks for upcoming release

commit ad28e4784664dfe9216b97d0f67cb11db45ea6d8
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Feb 6 12:55:43 2016 +0000

    typofix

commit 9243225c394328ca1b964ccec20ed27fb5bf12f7
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Feb 6 12:53:46 2016 +0000

    docs/hcl/kgpe-d16: note about CPU compatibility

commit f9019b2c3af2b211e86d944bc95321b339cd532e
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Feb 6 12:49:37 2016 +0000

    hocs/hcl/kcma-d8: note about CPU compatibility

commit 8824bc858d68be30fc198770cc699cc20503743a
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Feb 4 11:26:49 2016 +0000

    docs/gnulinux/encrypted_*: use consistent names for LVM

commit ecf9b30ae7f88458e646d6331a30b4c95b587741
Author: Jookia <166291@gmail.com>
Date:   Thu Feb 4 09:45:49 2016 +0000

    grub.cfg: Search in lvm/matrix-root and lvm/matrix-boot.

commit 1de6fcf679ef485de5395f97767989993bcd9f1d
Author: Albin Söderqvist <albin@member.fsf.org>
Date:   Wed Feb 3 13:21:49 2016 +0100

    Fix the menu entry "Search for GRUB configuration"
    
    On at least the MacBook2,1 the "Search..." menu entry
    couldn't load existing configuration files, for example
    that of the GuixSD USB installer. This commit reverts
    a part of ee9f1bd4dc64786026c34267919441266c49c039.

commit 33d259035c1d138a369e7b400ef76dd804c4b60a
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Feb 3 16:30:43 2016 +0100

    typo

commit 39f81460fceb9449a1fb34053ebdfbc4753aacdd
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Feb 3 16:26:17 2016 +0100

    kcma-d8 is a desktop board, not a server board

commit af1cd6089b1710d07e697bc3a2254c90c36397fe
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jan 31 09:13:26 2016 +0100

    fix build issue on kcma-d8

commit c73f0a110058398ff3bd03bc624f4cacc2477267
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jan 30 18:05:04 2016 +0100

    add preliminary documentation for Intel D510MO

commit f07a3481210d78c8874b119842a135fe52a578c8
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jan 30 16:58:02 2016 +0100

    New board: Intel D510MO

commit 75ab59d4e141d106970f397c31d52ba486117fc9
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jan 30 10:58:46 2016 +0100

    New board: ASUS KCMA-D8 desktop/workstation motherboard

commit a1357659b2a72c349091a0abd7a0276b4fd6946d
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Jan 29 00:03:59 2016 +0100

    Revert "reset x60/t60/macbook21 to older coreboot revisions"
    
    This reverts commit 3b56767917dccd59c4af7c289450a053982e984a.

commit 3b56767917dccd59c4af7c289450a053982e984a
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Jan 28 23:13:54 2016 +0100

    reset x60/t60/macbook21 to older coreboot revisions
    
    This is a temporary fix for an upcoming release.

commit bcf3ffdfe2ea88e34a915be3a08b04b2d8ec2c8e
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jan 23 06:37:44 2016 +0000

    docs/gnulinux/encrypted_parabola: note for macbook21 users

commit efb38e59240d11db6a1bb4fd7cde03b2c1537402
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Jan 22 18:03:07 2016 +0000

    docs/install/*_external: quad-core doesn't work on gm45

commit 6e932e0db57dac36827c793b71c912b6f9d99eb8
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Jan 19 16:30:57 2016 +0000

    docs/install_encrypted_parabola: lat9w-16 not Lat9w-16 (typofix)

commit 0f9813f74613c04b3b3b96d32246fdf9f9b545c4
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Jan 19 16:11:51 2016 +0000

    download/coreboot: use HTTPS (works reliably now, but didn't before)

commit 4fd8ac3d2ac87cfb274bb91a2b61f722b43b913e
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jan 18 15:51:57 2016 +0000

    docs/install/kgpe-d16: remove mention of X200

commit 04ae5687b9bc4eb01a81a4cb85d4dcd360dc00d0
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jan 10 21:24:36 2016 +0000

    hcl/x200: note about microcode version 1067a (vt-x)

commit 48e79bfae3a29a9d3b58a1e0eeb8be46a1c53b11
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Jan 6 16:38:46 2016 +0000

    grub.cfg: fix remaining one-liner for loops

commit d2b9429a11c0c3b92d1139d3f98ea64c99a36394
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Jan 6 15:35:54 2016 +0000

    grub.cfg: get rid of 1-liners

commit fda6467630868f8d6dad5128bdd7c2a10c8d4ae7
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Jan 5 19:17:06 2016 +0000

    add preliminary documentation for Gigabyte GA-G41M-ES2L

commit 6dd6e82634c37ec05b78a9ba012ffd500bffbd6e
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Jan 5 18:38:07 2016 +0000

    docs/src/git/index.texi: Make config instructions generic

commit 1f7008011f37fe2b1ef29a8865a0221d1adeaad0
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Jan 5 13:54:39 2016 +0000

    download/coreboot: fix unsafe rm -Rf

commit 1def85456156ab670c3e5798b1b101caeb45a248
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Jan 5 04:53:45 2016 +0000

    build/roms/withgrub: don't build vesafb images for ga-g41m-es2l
    
    Only text mode works on this board.

commit 6d54891f12424dd04274d26683d88e68411a16d5
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Jan 5 03:34:22 2016 +0000

    Gigabyte GA-G41M-ES2L (desktop board) added to libreboot

commit 2f3959533b2bfb9f2524066f5e4f765977ce11ae
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Jan 5 00:27:57 2016 +0000

    Revert "grub.cfg: remove option for isolinux parsing on CD/DVD"
    
    This reverts commit b28116cf43bb8845530798da1d3676b8c71d4e09.

commit c70934cd5b4ee590ef2298ec0d8ef513904a6f9a
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jan 4 23:13:01 2016 +0000

    Revert "grub.cfg: Don't load module for usbserial_pl2303"
    
    This reverts commit 0c651b42de90173206bcbfc5d5aa4e71e973177f.

commit d1f408f3725aa02bc1d76c4c6aadb4697bd073c0
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jan 2 22:10:32 2016 +0000

    Use different coreboot revisions and patches per board
    
    The release archives will be bigger, but this is a necessary change
    that makes libreboot development easier.
    
    At present, there are boards maintained in libreboot by different
    people. By doing it this way, that becomes much easier. This is in
    contrast to the present situation, where a change to one board
    potentially affects all other boards, especially when updating to
    a new version of coreboot.
    
    Coreboot-libre scripts, download scripts, build scripts - everything.
    The entire build system has been modified to reflect this change
    of development.
    
    For reasons of consistency, cbfstool and nvramtool are no longer
    included in the util archives.

commit 91aec7e72005dcda72d19f2d024a02d8c0f86590
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jan 2 19:41:28 2016 +0000

    build/roms/withgrub: only dd the .rom files

commit 7fa8e4a5c3695c6204c94aa257d5eeb4f06006df
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jan 2 18:49:18 2016 +0000

    grub.cfg: don't search for grub.cfg on RAID volumes
    
    Unfortunately, this means that GRUB is searching all devices,
    which again causes boot delays on buggy DVD/CD drives in ahci1
    or ata0

commit fedae71006c211758dfe159325a7a04c195d7813
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jan 2 18:03:16 2016 +0000

    grub.cfg: 0 is not a valid index for usb0,X or ahci0,X

commit b28116cf43bb8845530798da1d3676b8c71d4e09
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jan 2 17:46:45 2016 +0000

    grub.cfg: remove option for isolinux parsing on CD/DVD
    
    The option was misleading, since only CDs work. Optic media is
    obsolete, and we recommend using USB instead. Most libreboot
    systems don't even have optic media drives to begin with. Not only
    that, but there was no real guarantee that an optical disc drive
    would be present on ata0/ahci1 anyway, and was just an approximated
    assumption/guess.

commit 9e548dae39a5b825f29d5073ba433188d5e20b45
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jan 2 17:43:47 2016 +0000

    grub.cfg: don't touch ahci1
    
    This slows down boot on some systems that have buggy CD/DVD drives

commit 8e6582b18989d7749158b6bad4b79e4245af09de
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jan 2 17:29:53 2016 +0000

    grub.cfg: simplify isolinux parsing to a single function

commit 818db48b4fa355255a87f76ae27f65b8fe1a7160
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jan 2 17:15:14 2016 +0000

    grub.cfg: re-factor switching to grub.cfg to a function

commit 417361f8b794ffe433f1400e043c6bd6e9778ffc
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jan 2 16:59:41 2016 +0000

    grub.cfg: eliminate use of * wildcard
    
    This causes huge boot delays, because GRUB is extremely slow at
    enumerating the list of available devices/partitions.

commit b17525f25651cfd2e98f25fabdb6e0786fbeb2d9
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jan 2 16:19:08 2016 +0000

    grub.cfg: don't look inside lvm volumes
    
    This means using * which is slow in GRUB.

commit 97e0f1baecbfc5a13ab1626ce1b333f4b26129a9
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jan 2 16:16:07 2016 +0000

    grub.cfg: md/X,Y is invalid notation for RAID volumes in GRUB

commit 0c651b42de90173206bcbfc5d5aa4e71e973177f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jan 2 15:39:38 2016 +0000

    grub.cfg: Don't load module for usbserial_pl2303
    
    Should solve this error message in GRUB:
    --MORE--Unknown key 0xff detected
    
    Noone really uses these serial adapters on libreboot systems in
    any case.

commit 0c16347162f3031c0a7d1cde189cafc5882a4430
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Dec 31 16:55:49 2015 +0000

    download/coreboot: note about new patch in upstream (2)

commit 39efae517578933b7f9ddadd084895a2b0f33264
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Dec 31 16:53:10 2015 +0000

    download/coreboot: note about new patch in upstream

commit 7c5fc471cfcdc48086491c87773a3667ae016873
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Dec 22 15:42:38 2015 +0000

    docs/src/*/c201*: it's packages, not package (fix typo)

commit 6425a49d06c20e4680e2e6a6cf18fae3dbb91ca1
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Dec 22 15:41:11 2015 +0000

    download/flashrom: fix typo: it's git, not subversion

commit ecf0ceff19f61e4a97636b3d8886f0208fadf8d9
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Dec 19 23:47:26 2015 +0000

    docs/*/c201.html: clarify that we still want development work done

commit dd34b4e7b6ff216ddac56941383290dc1da99ba8
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Dec 19 23:42:34 2015 +0000

    tell user not to buy ASUS Chromebook C201

commit d0865e1848ad29de002f39b4f62fe804e4d853a3
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Dec 19 21:57:13 2015 +0000

    docs/install/index.texi: tell user to chmod downloaded script

commit cec77fe261983b5bd1328ac80cb3b1baf3c3b644
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Dec 19 21:48:58 2015 +0000

    docs/src/index.texi: tell user to wget from libreboot git, not patch

commit 910b212e90c6f9c57025e1c7b0c08897af787496
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Dec 17 06:23:31 2015 +0000

    docs/hcl/kgpe-d16.texi: note about microcode for 6300/6200 opterons

commit 48821e53b0d6c367d743bb1f1ea4f4da983b9d08
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Dec 15 23:15:52 2015 +0000

    GRUB: fix security issue with password auth (integer underflow)

commit 273615b005ad1c7fd5cac81c30d190dc9a114d76
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Dec 13 22:32:50 2015 +0000

    build/roms/*: remove coreinfo-related instructions

commit 93e9ac85ae7171dc596c84c351e99cf5f6e6d613
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Dec 13 22:31:00 2015 +0000

    remove seabios from grub.cfg

commit 32d14f56fac4f82e5c07eb483cd0bc7ac6e8c022
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Dec 13 22:29:26 2015 +0000

    delete coreinfo

commit 34e0269745c16a8a70438dfb5a32931907e33161
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Dec 13 22:18:48 2015 +0000

    remove seabios (this time permanently)

commit dceca1731aa0c2e888eb06a66ade2e9901199df3
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Dec 12 08:19:50 2015 +0000

    Revert "grub.cfg: Disable the beep on startup"
    
    This reverts commit 74131d40624876d69967f966d41a780751f95b50.

commit 6998a845c2415b57c85dbe7537df246998150314
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Dec 9 21:23:39 2015 +0000

    Revert "grub.cfg: link to coreinfo on all ROMs, not just text-mode"
    
    This reverts commit e89e17c8d5d5169eed0b28c218f27a9358c07df9.

commit db30b1b67d51eaf86e3d6c87abdf4f9b1ea445b6
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Dec 9 21:09:58 2015 +0000

    coreinfo: force use of tinycurses, not pdcurses, when building

commit e2d03cca2de1b7f8380d40aea2034c0e9350b5ec
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Dec 9 18:18:13 2015 +0000

    libpayload: use tinycurses, not pdcurses
    
    Fixes this error when running coreinfo on X200:
    initsrc(): Unable to create stdscr
    exited with status 1

commit f6a37910472e0b558a16a3718844837c7bb8b252
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Dec 9 16:46:37 2015 +0000

    remove redundant files

commit e89e17c8d5d5169eed0b28c218f27a9358c07df9
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Dec 9 16:44:07 2015 +0000

    grub.cfg: link to coreinfo on all ROMs, not just text-mode

commit c4b5cf26bbbc33c6692ef74da79e2bf3c060b073
Author: Klemens Nanni <contact@autoboot.org>
Date:   Wed Dec 9 17:16:35 2015 +0100

    build/clean: Add missing script for coreinfo

commit 4fe6a7e48e17f0668919d9230a392663f7ff7390
Author: Klemens Nanni <contact@autoboot.org>
Date:   Wed Dec 9 12:35:32 2015 +0100

    New payload: Coreinfo
    
    Add coreinfo as optional payload providing various
    useful system information.
    
    As part of coreboot, coreinfo does not need to be
    downloaded seperately, just build it using
    
             $ ./build module coreinfo
    
    after downloading and building coreboot.
    
    See https://www.coreboot.org/Payloads#Coreinfo for
    more information.

commit 6af64c59134384a3960546764d5baac884942704
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Dec 7 02:05:21 2015 +0000

    build/roms/withgrub: get custom gm45 macaddress from the right file

commit 1d699df7c4bbd55117a9c769988eb9313165601a
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Dec 6 21:37:27 2015 +0000

    update .gitignore

commit 7f1f030f716488cac29e3573695f4b51ef8447b7
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Dec 6 21:36:18 2015 +0000

    build/roms/withgrub: use user-supplied gm45 mac address if given

commit 757634917b10c07228b15bbd905d45d5ad382820
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Dec 6 21:14:23 2015 +0000

    build/module/coreboot: don't parallelize building of utils

commit 8ee8365f291176b751a1a8deff813f19630e04fe
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Dec 6 21:13:40 2015 +0000

    build/module/i945pwm: don't parallelize the build

commit 8c5df87b6fd4c0e2f5e5658c740d7c5f35ce87a7
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Dec 6 21:12:56 2015 +0000

    build/module/ich9deblob: don't parallelize the build

commit 1d1b6c8fc9393d7cc304a72e37d8dff5f9f09340
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Dec 6 20:49:14 2015 +0000

    build/roms/*: Don't put lbversion file in CBFS (no longer needed)
    
    We now tell coreboot's build system what version string to use.

commit b0652dc6045b5164f4a0180dc755faf3d23ce415
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Dec 6 20:13:40 2015 +0000

    build/roms/*: use .coreboot-version, not lbversion in CBFS

commit 0e426bbeb9e45ad5ca1ab8ee43d12361923a1856
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Dec 6 20:05:34 2015 +0000

    update .gitignore (/version and /versiondate are ignored)

commit abd61106d770a765fded2ca12dce0e0bbcbe4914
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Dec 6 15:01:57 2015 +0000

    update SeaBIOS

commit 910bf9d25322cabcc86c4edeb2ab99d4e5d302f5
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Dec 6 14:35:31 2015 +0000

    GRUB: use sane file names for reproducibility patches

commit aa3cccfdaed8b4012465fcc8ab14c6796b992162
Author: Paul Kocialkowski <contact@paulk.fr>
Date:   Sun Dec 6 11:44:46 2015 +0100

    docs: The cros-flash-replace scripts has to be made executable
    
    Signed-off-by: Paul Kocialkowski <contact@paulk.fr>

commit 60e0e66caa82be9b4b3f031c9337a871d08c0ffe
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Dec 6 14:19:19 2015 +0000

    docs/tasks.texi: add notes about reproducibly builds

commit ad48dc0e209dcb53e1b9b3166660a473e4430f7c
Author: Alexander Couzens <lynxis@fe80.eu>
Date:   Sun Dec 6 12:44:53 2015 +0100

    memtest86plus: don't build it parallel
    
    memtest is very small and doesn't support parallel builds (yet)

commit 737435f08214e09844611edabc3ebf026e8814a3
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Dec 6 05:51:53 2015 +0000

    build/release/src: don't exclude the documentation
    
    The documentation is being converted to texinfo, and we will have
    intergration in libreboot's build system for compiling it into
    other formats like HTML.

commit 610ab4080996a2c6808ddbfdbddef4de102051d6
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Dec 6 05:40:29 2015 +0000

    GRUB: really make it reproducible
    
    Use older version of Alexander's patches, for now. Wait until
    the final versions are merged upstream in GRUB.

commit fc4c24864a0672fce04f79abe76586ae487c104d
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Dec 6 05:36:40 2015 +0000

    Revert "Revert "grub: build reproducibly""
    
    This reverts commit 6278d578f6f47ae2d2742b95c99df087a06d0e90.

commit 4f4ec55f08d55acadd6723a54db638bd5ef04484
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Dec 6 01:27:11 2015 +0000

    build/roms/*: put libreboot version in .coreboot-version file
    
    This is one of the things needed, for building coreboot in a
    reproducible fashion.

commit c13fe7aad75a74096f0e8d090c282e254fd78108
Author: Paul Kocialkowski <contact@paulk.fr>
Date:   Sat Dec 5 09:38:10 2015 +0100

    docs: Notes about running the instructions as root
    
    Signed-off-by: Paul Kocialkowski <contact@paulk.fr>

commit 494e8a2abdd0c0757c7aadfae2c0c97333eb0d24
Author: Paul Kocialkowski <contact@paulk.fr>
Date:   Sat Dec 5 09:36:23 2015 +0100

    docs: TTY is accessed with Ctrl + Alt + Next on the C201
    
    Signed-off-by: Paul Kocialkowski <contact@paulk.fr>

commit 6278d578f6f47ae2d2742b95c99df087a06d0e90
Author: Francis Rowe <fchmmr@minifree.lan>
Date:   Fri Dec 4 19:17:38 2015 +0000

    Revert "grub: build reproducibly"
    
    This reverts commit 26d16fa5cdc9e351fcb582104cf8c7b3bf9ddaf0.

commit 26d16fa5cdc9e351fcb582104cf8c7b3bf9ddaf0
Author: Francis Rowe <fchmmr@minifree.lan>
Date:   Fri Dec 4 19:03:52 2015 +0000

    grub: build reproducibly

commit 2e7fde09174aed5f3cc7d714dbe32e451873f3c9
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Nov 30 21:40:40 2015 +0000

    update GRUB

commit a6a7f8723564a67bc10c6f879fde528589a6521b
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Nov 29 22:56:48 2015 +0000

    grub: only run distclean if a makefile exists (fixes build error)

commit b2c87be0ae8c70bc57963cfe508bd0fa7288b20f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Nov 24 16:29:31 2015 +0000

    docs/src/hcl/c201.texi: Note about Parabola on ARM

commit 78fae022e66387f66a975ce551ea5d793afc4d40
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Nov 22 10:59:09 2015 +0000

    build/release/*: create ChangeLog/NEWS when building from archive

commit 9a4e9bb75aee17ec7d5ee288dfbe1045bfc568c0
Author: Klemens Nanni <contact@autoboot.org>
Date:   Sat Nov 21 17:14:22 2015 +0100

    build/clean/*: Use make properly (-C flag)
    
    Instead of manually cd'ing into and out of
    directories, use make's -C flag.

commit e9e8f47951b4658d4b9e7dcf01926863d5142804
Author: Klemens Nanni <contact@autoboot.org>
Date:   Fri Nov 20 11:24:49 2015 +0100

    roms/withgrub_helper: Slight commenting changes

commit 460c5af7c66f43517a29a2d7d7d23b5a07fa8c88
Author: Klemens Nanni <contact@autoboot.org>
Date:   Thu Nov 19 00:56:21 2015 +0100

    download/Memtest86+: Use patches not raw files

commit 04dcb0d63ca111915a0a644543a1b2a9ea84c3a5
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Nov 18 19:54:02 2015 +0000

    docs/src/tasks.texi: remove task that was completed (memtest86+)

commit eb410db18e42883febe04277f74e80a833399c17
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Nov 16 13:53:44 2015 +0100

    release build scripts: add ChangeLog and NEWS to release

commit 54f5b2622fb3765ba0b68c0f33450f299e86f540
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Nov 14 09:03:48 2015 +0100

    build/clean/seabios: make it executable
    
    otherwise release building is screwed up

commit 513cf7edd6ad4575452f86ba035b2d617ae0b331
Author: Paul Kocialkowski <contact@paulk.fr>
Date:   Fri Nov 13 22:43:52 2015 +0100

    docs: There are actually 8 screws to remove to open the C201
    
    Signed-off-by: Paul Kocialkowski <contact@paulk.fr>

commit 9ecd349e0e48c22131ca45e534bc76951ca6e881
Author: Paul Kocialkowski <contact@paulk.fr>
Date:   Fri Nov 13 22:39:06 2015 +0100

    docs: The installation script for CrOS is cros-flash-replace, fix typo
    
    Signed-off-by: Paul Kocialkowski <contact@paulk.fr>

commit 43438b995be890eed297b5721417ea789f2dc7f9
Author: Albin Söderqvist <albin@member.fsf.org>
Date:   Fri Nov 13 00:54:52 2015 +0100

    Make the first few sections of 'bbb_setup' more readable and, to a greater extent, link to third party websites that work reasonably well without running non-free JS code.

commit dbf9829a07cbe3f749e8f41010c995cd397de7e9
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Nov 8 03:49:03 2015 +0000

    Fix up the docs

commit 6f42593a83636e820e6aaa4e25a0be04e4f51e4a
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Nov 8 02:25:32 2015 +0000

    build/dependencies/trisquel: add missing "install" instruction

commit ba94316ec0c365248a145d3d98ba0cc4369776cb
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Nov 7 06:38:32 2015 +0000

    build/dependencies/*: install texi2html

commit 67190214aa92c7bd6bfaa4dedfaf074acb3e5c69
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Nov 7 05:03:07 2015 +0000

    reorganize docs to build building html sources easier

commit 95259e28ef047923258434898113d70c8e544eab
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Nov 6 22:43:29 2015 +0000

    convert documentation to texinfo

commit 707f9383a8189b0054730134340f20709f56f976
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Nov 6 22:30:29 2015 +0000

    add pandoc to parabola/trisquel dependencies script

commit a98d00810b592fd5ccdc26445cdf46c66e33ed75
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Nov 6 18:46:51 2015 +0000

    Update config for ASUS C201

commit 6be3490d4d751eaa4af3823d3fd6eacb55a4b9bf
Author: Paul Kocialkowski <contact@paulk.fr>
Date:   Fri Nov 6 19:10:44 2015 +0100

    Replace Chromebook mentions with CrOS, that is more generic
    
    Not all CrOS devices are Chromebooks (laptops) or run on ARM, not all RK3288
    CrOS devices are Chromebooks, either.
    
    We want to support more CrOS devices, including some that are not Chromebooks,
    such as the ASUS Chromebit!
    
    Signed-off-by: Paul Kocialkowski <contact@paulk.fr>

commit 4d81de68316cae4d91050b829e8a795cefbfebc7
Author: Paul Kocialkowski <contact@paulk.fr>
Date:   Fri Nov 6 18:52:58 2015 +0100

    docs: Improve c201 install images, with better contrast for color blind people
    
    Signed-off-by: Paul Kocialkowski <contact@paulk.fr>

commit 7d3a4adb3bb12eef55454c3f6605be0a0dd1d0fa
Author: Paul Kocialkowski <contact@paulk.fr>
Date:   Fri Nov 6 11:35:09 2015 +0100

    veyron_speedy config update, depthcharge menus improvement

commit 20d932ce09c78e88be73909474e558e6378ec809
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Nov 6 08:24:44 2015 +0000

    download/coreboot: add missing copyright attribution

commit c56b6b903c9feb56c67616c967e1784c38d0e249
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Nov 6 08:22:13 2015 +0000

    download/coreboot: remove false information

commit 0d9bed81ee14c31bcd5d22a5febbaadcc7fbcbdb
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Nov 6 08:19:49 2015 +0000

    Update coreboot-libre configs (forgot to do it earlier)

commit 181da2777a6028a87df53939253fb2e83c364f34
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Nov 6 08:06:55 2015 +0000

    Don't build ifdtool. Not needed in libreboot.

commit 60453ff2cbd1befe24959fba1d24f734406444e3
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Nov 6 07:45:49 2015 +0000

    Update coreboot to new version (use latest stable kgpe-d16 tree)

commit 51f5487e7d2c8809bdc7690fe26948064257b34d
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Nov 6 07:39:02 2015 +0000

    download/coreboot: temporary fix: revert vboot (for ASUS C201)
    
    Temporary fix for build error.

commit a64698a7152796956f191f35d424ef013ad37be6
Author: Paul Kocialkowski <contact@paulk.fr>
Date:   Fri Oct 30 17:16:56 2015 +0100

    docs: Make the C201 hcl page more factual (with corrections), without ordering users
    
    This rewrites parts of the C201 hcl page in more factual ways. This adds details
    about the relationship between Google's Chromebook-related decisions and free
    software, without giving a too strong opinion about Google given that it's a
    company so big that it makes little sense to judge it as a whole.
    
    Also, a few sentences were rewritten to not tell users what to do or what to
    think, but to inform them about the current problems and solutions when it comes
    to running the device with free software.
    
    Signed-off-by: Paul Kocialkowski <contact@paulk.fr>

commit 21be45c2ac8bf59a69d8194d028fd66ba3e2a8ef
Author: Paul Kocialkowski <contact@paulk.fr>
Date:   Fri Oct 30 17:16:55 2015 +0100

    docs: Introduce instructions to install Libreboot on the ASUS Chromebook C201
    
    Signed-off-by: Paul Kocialkowski <contact@paulk.fr>

commit 86d5504969ce26d27cc778c6b5ffcb3fe345b472
Author: Paul Kocialkowski <contact@paulk.fr>
Date:   Fri Oct 30 17:16:54 2015 +0100

    docs: Introduce instructions to use and configure depthcharge
    
    Signed-off-by: Paul Kocialkowski <contact@paulk.fr>

commit 3e1e4dec6ea9bba2b974f1b961378c00803ddf07
Author: Paul Kocialkowski <contact@paulk.fr>
Date:   Fri Oct 30 17:16:53 2015 +0100

    docs: Introduce instructions to configure coreboot-libre with depthcharge
    
    Signed-off-by: Paul Kocialkowski <contact@paulk.fr>

commit 9d454f942ca0b5599eeacc2440cde885f4904448
Author: Paul Kocialkowski <contact@paulk.fr>
Date:   Fri Oct 30 17:16:52 2015 +0100

    docs: Introduce instructions to maintain depthcharge
    
    Signed-off-by: Paul Kocialkowski <contact@paulk.fr>

commit 44ac10c68ded7f7804e72cb17d1c5651913de99d
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Nov 6 03:21:42 2015 +0000

    scripts: say ROM images, not ROM's. ROM's is wrong!

commit 8241c45f0d6762729a9f02e41ca04784d210e259
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Nov 6 03:08:47 2015 +0000

    build/module/coreboot: also build crossgcc arm

commit 56878e05bf9e889f28c93f71934bdede2aecc4de
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Nov 6 03:05:16 2015 +0000

    build/roms/withgrub: use sub shell instead of cd ../

commit 0a3c0421b4b110906a88e1ff9967fffb8a968cd7
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Nov 6 03:02:27 2015 +0000

    build/roms/withgrub_helper: use quotes where needed

commit 97da098c9ef480a3ab75c48a94df63e45dafe3b7
Author: Klemens Nanni <contact@autoboot.org>
Date:   Fri Nov 6 01:48:49 2015 +0100

    roms/withgrub: Fix brace expansion

commit 24d1fa4eb08bc1aa9ee6ee4dcf12169210dc43ef
Author: Klemens Nanni <contact@autoboot.org>
Date:   Fri Nov 6 01:31:16 2015 +0100

    roms/withgrub_helper: Create correct ROM layouts
    
    find bin/grub [...] also searches other boards'
    ROMs and thus would print a ROM layout not
    neccessarily belonging to the same board images
    got built for.

commit 6ad0da705d8201782fdbbc482c8eaafa5af1923a
Author: Klemens Nanni <contact@autoboot.org>
Date:   Thu Nov 5 20:35:59 2015 +0100

    grub.cfg: Add MemTest86+ hotkey, fix lowercase
    
    Appearently --hotkey can only be used once,
    therefore remove uppercase Letters overwriting
    lowercase ones.

commit ec162e45ee82503306b66c5e19cd9946ded5668f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Nov 5 19:29:00 2015 +0000

    grub-assemble: remove redundant line break on EOF

commit 02f43b2f7c932d667127de546904935619512782
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Nov 5 19:28:43 2015 +0000

    grub-assemble: simplify if/for blocks

commit 5f46ca4dd142548cdabd0d507fa891429aa696a6
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Nov 5 19:27:53 2015 +0000

    grub-assemble: remove a bashism

commit 0fb52ba55c21b6ecbb7bd06b97c78c090e980aad
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Nov 5 19:26:54 2015 +0000

    grub.cfg: use memtest.bin, not memtest

commit aca0276b7ddd1622ca26b7d043c6a85486e119ab
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Nov 5 19:04:26 2015 +0000

    grub.cfg (text mode): linux16 memtest, not chainload memtest

commit 77584e5efc861334f0f5b79765c27daca5040e14
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Nov 5 19:03:13 2015 +0000

    grub-assemble: use memtest.bin, not memtest

commit 39da2b659e56a2e988c61291d1772fc92c129832
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Nov 5 18:10:15 2015 +0000

    build/roms/withgrub: re-introduce standards compliance
    
    klemens, please merge this!

commit e907dfc60b411ff2406821bd4344be2643fc189a
Author: Klemens Nanni <contact@autoboot.org>
Date:   Thu Nov 5 19:00:43 2015 +0100

    roms/withgrub: Typofix

commit d3b1dbf0013988b18f35645996ca37d3f4357cef
Author: Klemens Nanni <contact@autoboot.org>
Date:   Thu Nov 5 18:37:16 2015 +0100

    roms/withgrub: Keep it simple

commit 58caf14937c73246b1b2aca31b5c92c49332fb01
Author: Klemens Nanni <contact@autoboot.org>
Date:   Thu Nov 5 18:17:26 2015 +0100

    Simplify ./build module routines

commit 03196594ba97c9b3a29e3ebf4f0ce1af218b80ee
Author: Klemens Nanni <contact@autoboot.org>
Date:   Thu Nov 5 17:39:47 2015 +0100

    grub.cfg: Search for keyfile only once

commit 965b63da30cc3d73209e178dc4697abc7c7365a9
Author: Klemens Nanni <contact@autoboot.org>
Date:   Wed Nov 4 15:05:47 2015 +0100

    grub.cfg: Search {boot/,}grub2 as well (OpenSUSE)

commit f32e5a040c9105c826dc99732af219b2951bdf67
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Nov 5 16:27:43 2015 +0000

    grub.cfg: remove redundant space

commit 5c057fcada5133ae7c2f24edcf87b6cb122e34fc
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Nov 5 16:26:45 2015 +0000

    grub.cfg: search on usb first, not ahci

commit 179b5ba3bedcb632d375014f4cd9249e1f26fdad
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Oct 29 06:04:48 2015 +0000

    docs/gnulinux/*: recommend the diceware method for passphrases

commit 935142e062583afb6f454ffa8b655b471938472f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Oct 29 04:03:51 2015 +0000

    more typofixes

commit 2b18e26e34f4f61bd4fe6a61754726620f89c17b
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Oct 29 04:00:06 2015 +0000

    typofix

commit 97e5cf967d9ef0f7632915406ad3e227562a79d9
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Oct 23 14:01:16 2015 +0100

    typofix2

commit 35816e6637ab0796abcdc2d09eb586a029669fd1
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Oct 23 12:32:32 2015 +0100

    typofix

commit aa13fc0705a4d1a82abf180f3bceed7c10f34fb7
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Oct 22 08:20:09 2015 +0100

    docs/install/index.html: note about kgpe-d16

commit 6bda6e92226a363732cccaadde628338b0d6d411
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Oct 22 05:10:02 2015 +0100

    docs/hcl/kgpe-d16: remove non-issue from list of issues

commit 6b2ead38633d16c53f3bd36145139f63c4bdbfc5
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Oct 21 21:15:21 2015 +0100

    docs/tasks.html: clarify that Tyan S8230 is similar to KGPE-D16

commit 2a49e61b65225ce4e93f8237d3d46f9e7d9ab8e5
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Oct 21 21:14:37 2015 +0100

    docs/tasks.html: remove kgpe-d16 (it's ported now)

commit d5574e570c3cb699da15138f23ec9ce883711a6d
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Oct 21 21:10:18 2015 +0100

    docs/tasks.html: notes about suspend on gm45

commit 0e9df053c97ead803d88cb0e833ab3d0dbdc30e4
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 20 20:43:10 2015 +0100

    docs/install/kgpe-d16.html: New guide (basic info added)

commit 6817606b1b47a2cbcc4b2cf26d0275fa891c57a8
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 20 20:33:13 2015 +0100

    docs/install/index.html: clarify options for KFSN4-DRE

commit b0c8d15ba8f23c9e7fc034edce8cbb77b9eeaa5c
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 20 20:29:27 2015 +0100

    docs/hcl/kgpe-d16: Clarify which CPUs are fam15h

commit bad5618a147fb76910e5fa79541ab779b8875aa1
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 20 20:13:41 2015 +0100

    docs/hcl/kgpe-d16.html: Remove #memory section (listed in specs)

commit eb72fbdbf0bbcd4b028e876a189d723d135a1cd6
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 20 20:12:59 2015 +0100

    docs/hcl/kgpe-d16.html: Add more information about this board

commit 21cc348798f0fccd34e5734d0d2ecf7d5b45a03b
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 20 20:00:23 2015 +0100

    docs/hcl/kgpe-d16.html: Notes about RAM compatibility

commit c880d7566c413cfbeaf5681363c1f62d14fac093
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 20 18:15:52 2015 +0100

    docs/hcl/kgpe-d16: warn about IPMI iKVM module

commit cdd32facab7a97b0ec2568705256b318eafc8402
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 20 18:10:53 2015 +0100

    docs/hcl/kgpe-d16.html: note about configs (flash chip sizes)

commit ba2b14b405de8753d0e6e5715daaa2085bce286b
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 20 18:07:53 2015 +0100

    kgpe-d16: add configs for more flash chip sizes (4, 8 and 16 MiB)

commit a2ddb6e4027564185dc4da1f12fdf85be5277d4e
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 20 18:02:16 2015 +0100

    docs/hcl/kgpe-d16.html: add note and fix typo

commit e636ddc9770f84452715dbf8f4b6d86032c73980
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 20 18:00:57 2015 +0100

    docs/hcl/kgpe-d16.html: link to board status page (raptor eng.)

commit 064b10c6591b97d2da322cfcdcc371e6ef501070
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 20 17:54:43 2015 +0100

    docs/hcl/kgpe-d16.html: note about external flashing

commit 01667f6466ecd9b6a536c9e40260afa3d5012da4
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 20 17:52:23 2015 +0100

    docs/hcl/kgpe-d16.html: add note about flash chip sizes

commit 8d598ea24b0b2100b337f2956c6b7aa8eb7701b8
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Oct 19 16:30:21 2015 +0100

    build/dependencies/trisquel7: add libcrypto (libssl-dev) to script

commit 2f145e29c9fbf7db6e046049c3f28d7a0291bbc0
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Oct 19 03:23:37 2015 +0100

    docs/hcl/gm45_lcd.html: Clarify that display doesn't work in GRUB

commit fecd062121e47bc1ffaa926b3be56e43946129c8
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Oct 19 03:21:08 2015 +0100

    docs/hcl/gm45_lcd.html: Notes about LVDS dual/single auto-detect

commit 0f32e478e9f0014ab36e57b94407f686d11575f5
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Oct 19 02:47:24 2015 +0100

    Add preliminary info about KGPE-D16 to documentation

commit 0622df6194dbb1b2120743c0fd1cc5e72c380128
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Oct 19 00:12:53 2015 +0100

    KGPE-D16: update patch set (also update coreboot and vboot)
    
    Also contains other fixes from coreboot, like:
    * 551cff0 Derive lvds_dual_channel from EDID timings.
    ^ makes single/dual channel LVDS selection on GM45 automatic
    * 26fc544 lenovo/t60: Enable native intel gfx init.
    ^ was being maintained in libreboot, now upstreamed so not needed
    
    Framebuffer mode was disabled for the KGPE-D16, because only
    text-mode works at the moment.

commit 5999dba5f71f1c05040a551d2420ab8c7f3a9da4
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Oct 17 16:10:53 2015 +0100

    New board: ASUS KGPE-D16
    
    coreboot build errors:
    
    In file included from src/northbridge/amd/amdfam10/misc_control.c:35:0:
    src/include/option.h:13:27: error: static declaration of 'get_option' follows non-static declaration
     static inline enum cb_err get_option(void *dest, const char *name)
                               ^
    In file included from src/northbridge/amd/amdfam10/misc_control.c:34:0:
    src/include/pc80/mc146818rtc.h:176:13: note: previous declaration of 'get_option' was here
     enum cb_err get_option(void *dest, const char *name);
    
    Ping tpearson about this.
    
    Also ping him about the fact that there isn't actually an option to
    enable or disable native graphics initialization, but that the option
    MAINBOARD_HAS_NATIVE_VGA_INIT_TEXTMODECFG is in fact available and set to Y in the
    Kconfig file. I think this is probably since there isn't even an option
    ROM available for the machine, so it's pointless to offer the setting.

commit 4d909153e79661e54999e51693668f6d1ecc1cca
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Oct 16 15:23:08 2015 +0100

    docs/misc/index.html notes about processor.max_cstate=2

commit e665b159fb896880b4e9bb16948b696acf647691
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Oct 16 15:17:29 2015 +0100

    notes about powertop --calibrate

commit e7007b6900c7d8d5b16a131d9310cca51afa953a
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Oct 15 18:55:24 2015 +0100

    Add 2MiB option for KFSN4-DRE

commit 4fb68277aef3a2ae37ac253c19dbf8770b13ead5
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Oct 15 17:26:32 2015 +0100

    docs/hcl/c201.html: It's not our place to decide the user's actions

commit 2deabf4a1da7f04683d0a0468275510bc0944477
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Oct 15 04:51:00 2015 +0100

    libreboot is not autoboot

commit ea633dc95f6a8d45511911239638d1064b9900df
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Oct 15 03:18:00 2015 +0100

    download/seabios: say SeaBIOS, not GRUB

commit cb0f79033fa366f1348629e66cf567b979db84ef
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Oct 15 01:02:18 2015 +0100

    grub-assemble: fix bug: keymaps not being included

commit e042a4acb38f49f31a8314786d21ed07db272fca
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Oct 15 00:17:28 2015 +0100

    Update SeaBIOS to 6bcacf7d19b1dc7fcd99f55491e93514f1f19279

commit 46468d131c69199bc76a075b0226b33e92044f58
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Oct 15 00:15:37 2015 +0100

    build/roms/withgrub_helper: add the SeaBIOS payload
    
    Forgot to do this during rebase

commit e897f56253ef951482c2d2c525caa7c97907630c
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Oct 15 00:12:19 2015 +0100

    build/clean/seabios: use distclean, not clean

commit 6f6d228fd230f94e91e7b42eacb2aa222bd52fb3
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Oct 15 00:11:22 2015 +0100

    Remove .git from seabios on release

commit da0b13bc655a4dab57d28697e73b1d44fa611cf3
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed May 13 19:27:38 2015 +0100

    Integrate SeaBIOS payload as option on top of GRUB, with SeaVGABIOS

commit 479070b54390a415b77883fb88d2e0a68e212e57
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Oct 14 19:04:35 2015 +0100

    download/coreboot: add note about patch

commit 022d51be96c072d880c8dabb67f6c94f96f598ad
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 19:51:10 2015 +0100

    docs/hcl/c201.html: don't say unex

commit 74e6e32ac106f9f5073e2ed9445f9220b62574e0
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 17:17:26 2015 +0100

    screw Debian/Fedora. What the hell was I even thinking...

commit a08feb2436b074ec9116885b8cfe9a4f5dd5c344
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 04:46:49 2015 +0100

    what the fuck is "WiFi acceleration"?

commit 6bc8463ed5b019bd63b8e652974f05389ab5b39f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 04:29:14 2015 +0100

    docs/hcl/c201.html: talk about the screw at the bottom of the page

commit 4a88928776a188f5c77839605b0f4fa43d268165
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 04:20:24 2015 +0100

    docs/hcl/c201.html: be less enthusiastic about the Debian project

commit 3e8aa11841cec7949fc0df9582f8faa1f5534c84
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 04:14:51 2015 +0100

    docs/hcl/c201.html: further clarify why debian/fedora is mentioned

commit caa58312244773f55cf8442d04c65fcd87e35fee
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 04:13:38 2015 +0100

    docs/hcl/c201.html: clarify that we mean worse that debian/fedora

commit c7d6d8c56d692b9972409ee7ee248a4c7b13e8e8
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 04:12:46 2015 +0100

    docs/hcl/c201.html: explain why debian/fedora is mentioned

commit e1f1319032978e22aaa003899ba21903409d4586
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 04:04:12 2015 +0100

    docs/hcl/c201.html: clarify that linux-libre must be compiled

commit d5e148c1dab5826337affdff85037c86d846b78d
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 03:46:38 2015 +0100

    docs/hcl/c201.html: remove useless comma

commit a147f669d54c49383c556e0478eb6276124ab188
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 03:42:25 2015 +0100

    docs/hcl/c201.html: s/"not ideal"/"ethically questionable"

commit 6121f782e6ab884bdc0dce640d5fe886b33a2f76
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 03:41:36 2015 +0100

    docs/hcl/c201.html: remove redundant word

commit 06e7adfad3dc3dc55df9a03121f6fa69e1d5ca1b
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 03:40:26 2015 +0100

    docs/hcl/c201.html: use less offensive language

commit cc8c9962b5297fa8c479a7bdcc3b1bba66026d65
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 03:38:36 2015 +0100

    docs/hcl/c201.html: remove obnoxious language

commit 225b321dd6d0c131ce07c800c04ab2baf17be018
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 03:30:34 2015 +0100

    docs/hcl/c201.html: Debian/Fedora: use less callous language

commit ee3bf61c84440a59b6d576b38c9ed96b90ebaa19
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 03:24:58 2015 +0100

    docs/hcl/c201.html: clarify which type of evil maid attack

commit b523072656419b0fd540f8a65af2ae2100666573
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 03:24:17 2015 +0100

    docs/hcl/c201.html: the screw

commit 95d2de50171d5096e737b00033328fe1f2b82cd1
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 03:21:52 2015 +0100

    docs/hcl/c201.html: remove unnecessary parethesis

commit 7d99823d8b58a3cfe651e743510e1633ae9ab19f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 03:20:58 2015 +0100

    docs/hcl/c201.html: use correct wording on sentence

commit bb90684cdbb5675c04278468cc6298fbf344fc9b
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 03:19:24 2015 +0100

    docs/hcl/c201.html: link to docs/install/bbb_setup.html

commit 06b10813d8c5299619243f92d8d0f51e53f1ba95
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 03:17:40 2015 +0100

    docs/hcl/c201.html: clarify that the SPI chip is a SOIC-8 pinout

commit 2ed08c6e54f475a4516bc6613e80ea5f395e86bb
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 03:16:28 2015 +0100

    docs/hcl/c201.html: clarify that the screw is protected by screws

commit ec0b73a941f91c3be8e0c74dddfe807b88ec9205
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 03:13:12 2015 +0100

    docs/hcl/c201.html: clarify that it's the lima developer

commit a0f73b125cf731045094c81fef262dc25797f74b
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 03:12:12 2015 +0100

    docs/hcl/c201.html: clarify that video is only free without blob

commit 32b635b60004fef0d9c53b5afc4fe52d65c8057e
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 03:10:01 2015 +0100

    docs/hcl/c201.html: add missing comma

commit 51875fe7116ea5c0ced8d05eeb506cea38861fdf
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 03:08:33 2015 +0100

    docs/hcl/c201.html: s/these/those

commit 3c42f19b2ffc8b94fb3e732181cccd51fe3dd026
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 03:04:04 2015 +0100

    docs/hcl/c201.html: Link to FAQ entry, describing what an EC is

commit c1abfff7bd5c142f283108c98440f52d112035a3
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 03:02:09 2015 +0100

    docs/hcl/c201.html: s/"the same argument"/"a similar argument"

commit a4e149725119aa5ed34a1f48ea004bbfb34c231c
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 02:51:34 2015 +0100

    docs/hcl/c201.html: Clarify that only non-malicious microcode's ok

commit 9317cc2da9d06dec263267e9f61f0bfd166dcdbf
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 02:46:59 2015 +0100

    docs/hcl/c201.html: Add links to freesh and freedora linux builds

commit e2afac1569dc8532185f36aee1578276d915d9ff
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 02:40:00 2015 +0100

    docs/hcl/c201.html: give paulk some credit. Thank you, Paul!

commit c1987354458fa7961300c6720aa24561b3de2174
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 02:17:22 2015 +0100

    docs/hcl/c201.html: Note about building on ARM

commit 01ba56afb95660c7507d7250ae7bac6f53ac7878
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 01:22:10 2015 +0100

    docs/hcl/c201.html: be more clear about "with some tweaking"

commit 5db2428ef979beef1b4c64ef3a10ccae4a9e5827
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 01:20:20 2015 +0100

    docs/hcl/c201.html: advise further caution regarding debian/fedora

commit 9f948a6075056b5ead8bef0a0168732bfb35b4f7
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 01:15:17 2015 +0100

    docs/hcl/c201.html: link to luc's blog post about libv

commit 50d2f42ccab75b40f5f4e7bc9249fe4146c89954
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 01:13:06 2015 +0100

    docs/hcl/c201.html: use less aggressive language regarding wifi

commit 166bac1ed938817ac53c696978979fc744409308
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 00:48:25 2015 +0100

    docs/hcl/c201.html: clarify that depthcharge is free software

commit c31b38b823cd7887e32ca2502188b30fb52433fc
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 00:45:48 2015 +0100

    docs/hcl/c201.html: notes about browser plugins on fedora/debian

commit 91f3bda96fe91882ae1e85d75c33eb978eac49cf
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 00:42:25 2015 +0100

    docs/hcl/c201.html: add missing closing bracket

commit efa94c7c4afca9d06b83f36b84dcfa994fd5ecdc
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 00:39:59 2015 +0100

    docs/hcl/c201.html: typofix

commit 3d9d7b2a9e2c0dd9350d412611fef38f17712c30
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 00:34:53 2015 +0100

    docs/hcl/c201.html: add link to FSF notes about Fedora

commit ae631ce6c360856ab83557b977a182c38fefa56d
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 00:31:53 2015 +0100

    docs/hcl/c201.html: move anti-ChromeOS sentiments nearer the start

commit f44162ed052f6377040ad5cbd3bfc4e164a48b0e
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 00:14:44 2015 +0100

    docs/hcl/c201.html: clarify that microcode on x86 is read-only

commit 9b0a8f155e2aac5dce148585e7e590ed444e05ee
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 13 00:12:59 2015 +0100

    docs/hcl/c201.html: clarify that microcode is software

commit d4eec78b6e14f4aa24ef4fd60c7240af16d9d122
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Oct 12 23:57:35 2015 +0100

    docs/hcl/c201.html: fix incomplete language

commit 069a9ecf5f93f79d25c3e5a4d1a4a662a11d6822
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Oct 12 23:53:11 2015 +0100

    docs/hcl/c201.html: further clarify how bad ChromeOS is

commit 0b2007d39dfd5be1f851a65c94300652884022f6
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Oct 12 23:50:47 2015 +0100

    docs/hcl/c201.html: note about (lack of) CPU microcode

commit f1b2c4e7a545d28e7998af88bf2cab90c8a91c51
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Oct 12 23:43:13 2015 +0100

    docs/hcl/c201.html: Fix confusing language

commit 8c3a227f1efe8b9588397cee9e1116ace61f7ee9
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Oct 12 23:42:13 2015 +0100

    docs/hcl/c201.html: fix confusing language

commit 175c822c57d74e8e580f5231903c539ccf63e539
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Oct 12 23:40:51 2015 +0100

    docs/hcl/c201.html: fix html formatting

commit dcc12e0de6021fbdf653a60394b85755977574d9
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Oct 12 23:40:13 2015 +0100

    docs/hcl/c201.html: Add table of contents

commit 1a08ae6ab384c534685147cde97d8c8aa0ba1f79
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Oct 12 23:30:28 2015 +0100

    docs/hcl/c201.html: Note about disabling wifi

commit fc0da7144f973f7c07d0f85920136b84e1780e25
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Oct 12 23:28:15 2015 +0100

    docs/hcl/c201.html: Make it more useful to read

commit 826ec5bedb06bca40d1b0bbf615f45b4bcc10d09
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Oct 12 04:57:11 2015 +0100

    docs/hcl/index.html: Note about macbook21 touchpad on linux 3.15

commit d7b950158f19b3128090ff489875895749b93b4f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Oct 12 03:49:15 2015 +0100

    download/coreboot: note about patch that was merged upstream

commit 389f66842aacfcace901ab73f92d143f0e65f42d
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Oct 12 03:18:20 2015 +0100

    docs/gnulinux/*: Add notes about the depthcharge payload

commit fc6e5aef0cb5a214854845c651cd8677c9ddd6ec
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Oct 12 02:57:19 2015 +0100

    docs/hcl/c201.html: s/chipset/SoC

commit 2c63b142eed004af869c9c8f16fffcb5a9170bef
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Oct 12 02:55:58 2015 +0100

    docs/hcl/index.html: further categorize the HCL

commit 21b6aa2c0e6054ff4fd4bdd8bd825bc3177de069
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Oct 12 01:51:56 2015 +0100

    docs/hcl/index.html: separate compatibility list into sections

commit 162ed3fcd5d524f09755fa060920fc649d4e5f1f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Oct 12 01:48:16 2015 +0100

    docs/git/index.html: depthcharge boards get their own section

commit 715cccfff28e039c7efb5555427b41d8003d96a9
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Oct 12 01:39:37 2015 +0100

    docs/git/index.html: Config notes for ASUS Chromebook C201

commit 26c5938d616716eb0f0eacd384e10eebb67520d4
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Oct 12 01:29:53 2015 +0100

    docs/depcharge/index.html: New section (empty for now)

commit 31de09cbd12e462c6c1493f306024166ce6e6af9
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Oct 12 01:09:44 2015 +0100

    docs/hcl/c201.html: Add link to "Who does that server serve?"

commit ceec9e13a5c514ba6ec9ec88dd020c1495cf2913
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Oct 12 00:52:56 2015 +0100

    download/coreboot: comment the git reset instruction for vboot

commit 5c113449fb0700d41da2c2a5f2976a6f688db056
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Oct 12 00:46:35 2015 +0100

    docs/maintain/index.html: Notes about depthcharge board configs

commit 23dc3394ae48d358c9ca73cd686182535f5aba64
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Oct 11 22:53:43 2015 +0100

    docs/tasks.html: typofix

commit 655a2b17cbb9b207c16bb1b511b55927025313fd
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Oct 11 22:46:39 2015 +0100

    docs/git/index.html: notes about depthcharge

commit a0eda7d94863d2c8c4383d0b900b08d18df28fc6
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Oct 11 22:38:44 2015 +0100

    Revert "c201: rename config from veyron_speedy to c201"
    
    This reverts commit a48c2ebe2733b3af0755c44dc6525ecf4f21c0ab.

commit a48c2ebe2733b3af0755c44dc6525ecf4f21c0ab
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Oct 11 22:37:27 2015 +0100

    c201: rename config from veyron_speedy to c201

commit 2e8d91bf7c2b9c7d39cf182eabfda08f5ddc486c
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Oct 11 22:34:51 2015 +0100

    build/release/src: delete more patches not needed in release

commit 7058140b80d71df6ff14f7c4896d1a35948a90b9
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Oct 11 22:28:53 2015 +0100

    build/release/src: delete .git files for depthcharge

commit 5ca114300e3fb9fa755766146a572ada2ec06e18
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Oct 11 22:26:51 2015 +0100

    docs/maintain/index.html: add TODO for depthcharge

commit 80f1cfeddda5dea9f5715efa8062aad6c90f79c5
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Oct 11 22:24:44 2015 +0100

    docs/hcl/c201.html: note about depthcharge payload

commit 1bccd4180fcf934a105077bb4b0ae8e9a89661f7
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Oct 11 22:22:19 2015 +0100

    docs/tasks.html: xhci firmware on terga124

commit 9472631a5801675aa28087217766fa6bda015902
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Oct 11 22:20:41 2015 +0100

    docs/tasks.html: add link

commit 1763041566d1cdc9dbadd8c96de662cc1d037d01
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Oct 11 22:19:34 2015 +0100

    docs/tasks.html: tegra124

commit aa9c3bdd8643a5ece549ae5bb3f07192926072ed
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Oct 11 22:00:29 2015 +0100

    thank you paulk!

commit 7cfbdbe2cfa12b13ab72b52eb30d425e3f0229f7
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Oct 11 21:53:34 2015 +0100

    docs/hcl/c201.html: note about EC firmware

commit efa034b397c0ed15b5ae116b5b1221627d278c7d
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Oct 11 21:51:01 2015 +0100

    docs/hcl/c201.html: add note about the screw

commit 7f9454e3982fb481d3ea93c7d4b138c3e8b46534
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Oct 11 21:24:26 2015 +0100

    preliminary documentation for the ASUS C201

commit f6b9f3c92156e4598fec4b6685814a9cffd37724
Author: Paul Kocialkowski <contact@paulk.fr>
Date:   Sun Oct 11 22:07:22 2015 +0200

    coreboot-libre: futility test data deblob, padding data is not a blob
    
    Signed-off-by: Paul Kocialkowski <contact@paulk.fr>

commit 823c1922ed13d4ab60d975495564f36b57e1f600
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Oct 11 21:05:40 2015 +0100

    coreboot-libre: move non-blob to nonblobs list

commit d8b597f33e75d04b84be7c9d7081a3b97821617d
Author: Paul Kocialkowski <contact@paulk.fr>
Date:   Sun Oct 11 17:48:46 2015 +0200

    Chromebook C201 (codename veyron_speedy) support
    
    This introduces Libreboot support for the Asus Chromebook C201 (codename
    veyron_speedy). At this point, this produces a standalone Libreboot image that
    can be flashed to the RO Coreboot partition of the SPI flash, as well as the
    Libreboot version that can be flash to the RO Firmware ID partition.
    
    Libreboot on the Chromebook C201 uses the depthcharge bootloader, modified to
    display text messages instead of ChromeOS bitmaps (that encourage the use of
    ChromeOS).
    
    For convenience, an installation script, chromebook-flash-replace, is provided
    along with a description of the flash layout, to ease the replacement of the
    Coreboot and RO Firmware ID partitions on the full SPI flash image.
    
    Signed-off-by: Paul Kocialkowski <contact@paulk.fr>

commit d6b6b1ea62f555f38152ab475d98c57f739f8b8d
Author: Paul Kocialkowski <contact@paulk.fr>
Date:   Sun Oct 11 17:30:24 2015 +0200

    coreboot-libre: Crypto constants in vboot are not proprietary blobs
    
    Signed-off-by: Paul Kocialkowski <contact@paulk.fr>

commit 27a813cac18c122d092ad93689c61099f3f52fd5
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Oct 11 03:47:37 2015 +0100

    Add patches for R500 (will finish later, and upstream them)

commit 0822755786a7f97faef9b2c8a10ff92f380f69d9
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Oct 11 03:43:24 2015 +0100

    download/coreboot: add coreboot version info

commit dcda30deb167742f2f369225141a6495239bcb7f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Oct 10 20:54:15 2015 +0100

    Update coreboot-libre based on coreboot a2bed346a
    
    More microcode blobs were deleted upstream, which are therefore no
    longer deleted by coreboot-libre.
    
    util/broadcom/secimage/misc.c is not a blob.
    
    Some non-blobs were deleted upstream, which are therefore no
    longer listed in libreboot's nonblobs list.
    
    New non-blobs were found, added to the nonblobs list.
    
    vboot submodule was added, since there are parts of it that
    cbfstool needs. This submodule is now deblobbed by libreboot.

commit 3841d9a98e10620a47e1b8151458c21584ca983e
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Oct 10 19:54:42 2015 +0100

    macbook21 three-finger tap script

commit 56ac898dc1ac8bb78dea208e6bdba8cec672018d
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Oct 7 21:03:31 2015 +0100

    docs/tasks.html: tidy it up (2)

commit 9918bfbd73024914207775c3bdbd2ffc40942d37
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Oct 7 21:02:40 2015 +0100

    docs/tasks.html: tidy up

commit a94a391696f9941bb3ab95a442e23c03d62f8fbf
Author: Klemens Nanni <contact@autoboot.org>
Date:   Tue Sep 15 16:07:34 2015 +0200

    GRUB2: Cryptomount enhancements: Hotfix

commit f2f83c051c33a0446f13b66d6ba0146580a4552e
Author: Klemens Nanni <contact@autoboot.org>
Date:   Tue Sep 15 15:44:08 2015 +0200

    GRUB2: Cryptomount enhancements, grub.johnlane.ie

commit b66edef4fd1c4424238ca30ff6ff78fe3e032eac
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Oct 7 12:00:21 2015 +0100

    Update GRUB

commit d0c54b9ca11bdcae0b179d21028c722aeb9f9095
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Oct 6 23:40:30 2015 +0100

    grub.cfg: replace autoboot with libreboot
    
    kl3 told me to do it before pushing the last patch, but I wasn't
    concentrating and didn't see his message

commit 5dad7b53413384d1a93180dacbc51f3480bb3300
Author: Klemens Nanni <contact@autoboot.org>
Date:   Tue Oct 6 23:25:48 2015 +0100

    Merge kl3's GRUB enhancements from autoboot

commit 4f924a4b50679ec0308d93a56634feedbc0af3f6
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Sep 28 06:23:33 2015 +0100

    docs/hcl/index.html: add new wifi chips

commit c2d6c5e5b88e32fd1a1b8c7e749639b699147d53
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Sep 26 10:30:44 2015 +0100

    docs/tasks.html: note about gm45 text mode

commit 7446b3093877bd9ca3451d6cfb7d8e55e9159f56
Author: Paul Kocialkowski <contact@paulk.fr>
Date:   Thu Sep 24 20:07:00 2015 +0100

    build: remove invalid example

commit bc7e99abaaa1e3a8a5528fab5cdc2a3e8d9028ef
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Sep 24 17:27:11 2015 +0100

    memtest86plus: add -fgnu89-inline to Makefile
    
    fixes GCC 5

commit 196ae33323d65c7de6d45d5ab333298d5e21ebe8
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Sep 22 13:02:48 2015 +0100

    grub.cfg: RAID support (2)

commit 03409abe1196e85f5c72e20448dec135b35b9287
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Sep 22 12:54:10 2015 +0100

    grub.cfg: RAID support (note: ugly hack. TODO: re-write)

commit d9b63be109dd591e23c2f6b7b0000a84266d11c1
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Sep 20 09:27:22 2015 +0100

    docs/tasks.html: KGPE-D16 now being privately funded

commit d1bb5d6fcc75f07ca6a58b5536906980aff9d253
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jul 19 00:31:16 2015 +0100

    New board: ThinkPad R500 (experimental)
    
    The ich9deblob and ich9gen utilities were modified, so that they
    support reading and/or writing descriptor images where the GbE
    region is not defined. These utilities were also re-factored
    and tidied up a bit.
    
    A quick was noticed during the course of this work, in that
    Compenent 1 Density was being set to 8MiB constantly, even
    on systems with 4MiB flash chips. Component 2 Density was
    set statically to 2MiB. ich9gen now sets both to 4MiB or 8MiB,
    depending on whether building the descriptor for a 4MiB or
    8MiB ROM image.
    
    There are still some ACPI bugs (see docs/hcl/r500.html), which
    will have to be fixed upstream. TODO: get hw reg dumps from
    a factory R500, and compare with the X200 or T400 dumps.

commit 919af0e6b7cbff2171d370a0b830f2b9d740410b
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Sep 18 21:14:11 2015 +0100

    docs/grub/index.html: notes about changing background

commit aa71ba7132e07afbe934cedcfdf5e5aeff504fab
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Sep 17 12:07:27 2015 +0100

    docs/maintain/index.html: emphasize that libreboot is a coreboot distro

commit 5dc11b2f025757553b07a2ff90db65c83d503036
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Sep 12 21:27:48 2015 +0100

    docs/install/{r4,t5}00_external.html: recommend T400

commit 574b99fcd71c72e1b902110c05f9ff09e2f57956
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Sep 12 20:43:21 2015 +0100

    docs/install/*: link to suppliers page

commit e4247834c99afbdb6032e45461c71f085368fc62
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Sep 8 13:23:24 2015 +0100

    docs/install/bbb_setup.html: Note about 20cm cables for PSU

commit dd3b96cd29a5d1228766dc168312ef1feafc81ea
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Sep 8 12:55:24 2015 +0100

    docs/install/bbb_setup.html: Don't recommend 20cm cables

commit df6c8efb891dfbb2c0ebba4d0d2a7d5768fa2389
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Sep 4 14:59:27 2015 +0100

    notes about D510 CPU

commit e241cdbd30107e570e3d7d3fadb77e0d9954079c
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Sep 4 14:58:52 2015 +0100

    docs/tasks.html: more notes

commit 62ec6bc7ff2576a3d4e08160b2fbfe8b82d430c5
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Sep 4 14:57:09 2015 +0100

    docs/tasks.html: notes about Intel  D510MO motherboard

commit 90f78aa949d913c33c066245c71b18ec1e31173c
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Sep 3 03:09:09 2015 +0100

    grub.cfg: fix indentation and empty line

commit 60794355b970cb931bfe9e893961591d11220b2d
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Sep 3 03:06:25 2015 +0100

    grub.cfg cbfs: put set root and unset superusers in the submenu

commit c467a6b275ccc21291747ec4b336a2c767d0efe3
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Sep 3 03:00:17 2015 +0100

    grub.cfg: re-add searching for grub.cfg on USB devices

commit a67a4c252b33b1c24d18edcb30a4ceab1dc97f03
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Sep 3 02:57:08 2015 +0100

    grub.cfg: only search for grub.cfg on ahci0

commit c2ec6fa153bbc3d259648a612d5b53c306eece6e
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Sep 3 01:35:46 2015 +0100

    docs/index.html: Fix typo

commit a4681726de459cd12616591c611137f5c64fcb82
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Sep 3 01:23:44 2015 +0100

    docs/gnulinux/encrypted_parabola.html: notes about -c flashrom arg

commit 3bfd3b7c8e65d923b789758f14e41ac5fc4605d7
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Sep 3 01:21:49 2015 +0100

    docs/gnulinux/grub_cbfs.html: Fix HTML errors

commit 5f83d76f7f116cfa624077edb8c60238794acdfc
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Sep 3 01:13:06 2015 +0100

    docs/gnulinux/encrypted_parabola.html: Fix HTML errors/formatting

commit d1b4fd5475e06cb7743b4b26840cd0f3cb654a69
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Sep 3 00:59:50 2015 +0100

    docs/gnulinux/encrypted_parabola.html: Fix HTML error

commit 26ce6880a1c38ef208b907f70d95a7282c3cac7d
Author: Jeroen Quint <jezza@diplomail.ch>
Date:   Wed Sep 2 23:22:00 2015 +0200

    docs/gnulinux/grub_cbfs.html: Make it more user-friendly

commit 825356828d908da16fed7ac78eb1d5163a6fd43a
Author: Jeroen Quint <jezza@diplomail.ch>
Date:   Wed Sep 2 18:09:06 2015 +0200

    docs/gnulinux/encrypted_parabola.html: Make it more user-friendly

commit 9e989616e3c5175a2b70f96a5006018e301a57cf
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Sep 1 17:06:54 2015 +0100

    docs/tasks.html: note about coreboot version information

commit 4f3ef213601d038544c92db64ddfacd27fb671b0
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Aug 31 00:36:35 2015 +0100

    build/dependencies/*: Don't install subversion
    
    Only flashrom required this, but libreboot now downloads this
    from a git repository, so subversion is no longer needed.

commit 15bed20e8eb3e212daf9752b42ea568d4f186f0c
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 22:02:25 2015 +0100

    grub.cfg: add missing end quote

commit 6ac7bc90f8671e1b0b85c6c71c609060e4b1cd83
Author: Henry Bennett <henry.bennett@yandex.com>
Date:   Sun Aug 30 20:20:14 2015 +0100

    docs/install/index.html: Change to exact x60 flashing messages

commit 7671e56819cb5aa35136941e22ff9c79fcb46f72
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 17:10:39 2015 +0100

    docs/gnulinux/grub_config.html: note about libreboot_grub.cfg

commit 73085d664c374b7742e6419acf8e244d2073b55a
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 16:22:44 2015 +0100

    grub-assemble: use GPLv3+
    
    The original script used a permissive license, but my changes
    over time have completely taken over, to the point where none of
    the original code exists. Therefore, I am re-releasing it under my
    favourite license.

commit 4674ee4f23b0abb03250e3055b2dcbbc4e2d82eb
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 16:17:54 2015 +0100

    grub-assemble gen.sh: only run list_keymaps once

commit 3b3f7fe50c8092ddb7b09363b4d9f45c4cf38d39
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 16:14:42 2015 +0100

    grub-assemble: generate keymap list using function, not script

commit 4c15117d2b2a7b8e9dc2967992fe9b742602ee27
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 16:04:24 2015 +0100

    build/config/coreboot*: unify config path

commit 09fe37e979847cd83a581698366270224c68babd
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 15:55:31 2015 +0100

    build/config/coreboot{modify,update}: cd ../ if returning

commit 467d77bd0d191b38e5b2cc11e7ae4207fcb87b17
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 15:53:54 2015 +0100

    more scripts: don't use the [[ bashism

commit 82e5f8d5fc8aa8bfe013b84460b296ce188ab7da
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 15:49:01 2015 +0100

    build/config/coreboot{replace,update}: for function for for loop

commit a8de16a388680e179f97fe2fdfbdb307fabc9b8e
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 15:41:17 2015 +0100

    build/roms/withgrub: don't use [[ bashism

commit af97439e96b64b1d0b638ed4a8dd6a1791ff6271
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 15:39:17 2015 +0100

    build/config/corebootmodify: s/continue/return

commit a5c7dbe4943d761ad17376a754257ae4237ecfed
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 15:37:55 2015 +0100

    build/config/corebootmodify: use function instead of for loop

commit 618e41670702af8dc51909700c99b0c601a7547e
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 15:22:08 2015 +0100

    grub-assemble/grub_memdisk_keymap: simplify for loop

commit 8c1fe4093f57380af78aba4e7e9bdf83ba09a2df
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 15:15:43 2015 +0100

    build/roms/withgrub_helper: simplify for loop

commit e1ddb130d9ac48cbd6abdc42adc5581825a42e46
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 15:06:43 2015 +0100

    build/roms/withgrub: simplify for loop

commit 4dc83bd7c03b233fccc1cea5848d41899d916939
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 14:40:59 2015 +0100

    build/roms/withgrub: simplify use of rm commands

commit a7ae3b69f0abdd08689e9d6992e488cde473c59d
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 14:39:16 2015 +0100

    build/roms/withgrub: use function instead of array

commit 61a8051b71ca4d494b43966154da00b9f3d7b367
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 07:05:45 2015 +0100

    docs/hcl/: Add new hardware register dumps for X200 and R500

commit 861f95fa67b615b5eb608a0dffdbd7ecf81ddecb
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 06:21:34 2015 +0100

    docs/hcl/{t400,t500,x200}.html: Simplify links to hw dumps

commit 7ca586c79ab59da293ff8ecdcb6ba9ebd51a1903
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 06:15:04 2015 +0100

    coreboot-libre: update linux-libre deblob-check to v2015-08-15

commit 3ffa8997d89ad808592aa5ff99a9a9afe70d172c
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 05:35:24 2015 +0100

    docs/tasks.html: notes about coreboot version information

commit 028aee45553a352a9d34dc840ce6a8772acbfc62
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 05:32:45 2015 +0100

    docs/tasks.html: notes about ThinkPad R60, Z61

commit 70064b9eb55c7104169e8c68665cf098e5e12ebe
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 05:31:09 2015 +0100

    docs/gnulinux/encrypted_parabola.html: ahci transfer timeout notes

commit 7097bcc8d4ee3ba5de09bbcef4f68a232bd9eefb
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 05:28:11 2015 +0100

    docs/gnulinux/grub_config.html: Notes about symlinks

commit c2dcb1da01a8fa7937ec36cb1e5c4a9bcd1bf2fe
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 04:49:05 2015 +0100

    grub-assemble: delete useless COPYING file (public domain data)

commit a57f26f2c62805b9e61719361ca17ccf53c897ad
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 04:47:29 2015 +0100

    all scripts: general fixes and clean up

commit 8c07c380121cdab4efd50cff453875903b8c67ef
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 03:52:53 2015 +0100

    build/release/{docs,roms,src}: use GNU BASH

commit 116f491fdfe087264d65110cc59c47eb23d3063a
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 03:35:27 2015 +0100

    build script: avoid conflicting with existing variable ($option)

commit 3b2c1818aed5fa119374f36c62cc74dc04c6dc7d
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 03:31:25 2015 +0100

    build script: don't use ls

commit 7cc3ecfbc6a3bb5403d065c0adaa4e4c0101b9b8
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 03:24:21 2015 +0100

    bulid/config/*: don't use ls

commit b39f62fb1bb2b0a61fa727922142482296e66fa8
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 03:17:55 2015 +0100

    build/config/corebootupdate: don't use ls

commit 4b42375113701d661a025d7d8ef70d62b90fb3a6
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 03:12:00 2015 +0100

    build/roms/withgrub: don't use ls

commit d8e0d2fe09a663645cb82178e54169de4029e896
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 03:00:29 2015 +0100

    build/roms/withgrub_helper: don't use ls

commit 54aa29ae12ff414f4e23b7fa9bc9ba9c090782e0
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 02:51:15 2015 +0100

    grub-assemble/grub_memdisk_keymap: don't use ls

commit fd9368b2dd1817a6f0ca30adb4fcc4391264888a
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 01:08:41 2015 +0100

    download script: simplify

commit 26c8db5f5975db5df26a172d67570ea3f107ff73
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 00:46:50 2015 +0100

    download script: standards compliance (don't parse ls)

commit d2656247bf7f24dd071ba32ba0cfdbfc50429b41
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 30 00:07:59 2015 +0100

    download script: fix typo

commit 661faa994be69bfff51d34d32ba9d408db291c5d
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Aug 29 23:46:32 2015 +0100

    Don't say programme. That's actually wrong.

commit cfe7f633cfb610d8a1105f377434e448b433dcd0
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Aug 29 23:37:01 2015 +0100

    download script: (emergency fix) use ls for now
    
    it's wrong. Will be fixed.

commit b4d69f3f0b6612b5402186b877083e986e82515d
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Aug 29 23:06:48 2015 +0100

    download script: more standards compliance fixes

commit be680422f05221fb7ad6c277b601ff3eb73be8f6
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Aug 29 23:02:09 2015 +0100

    download script: use printf, not echo

commit 6e5ef9793e6f80393d55101a99a5f5694c2175ae
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Aug 29 22:59:22 2015 +0100

    download script: fix standards compliance issues

commit 437bc6cac4a70521969f38624878221a0be081e0
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Aug 29 22:28:08 2015 +0100

    download/grub: remove dead code

commit d6387a2f642fcb993ae5c9bb67728e2446a3e6b3
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Aug 29 22:22:31 2015 +0100

    download script: fix typo in help text

commit 6974f807a406aa3fdde07c990511ca47f9f168a9
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Aug 29 22:21:30 2015 +0100

    download script: show help text if no argument is given

commit d63a420737a5811b4f1c5a4e2da4782f50e60a9d
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Aug 29 22:06:29 2015 +0100

    download script: add note about --noconfirm and -y options

commit 6763e8d21f048c064ef33fe99656b6e8a3043867
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Aug 29 22:02:55 2015 +0100

    download script: add --noconfirm and -y option for downloading

commit 67c8330aad941b769e6a2887f02a865eb01a858a
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Aug 29 21:59:19 2015 +0100

    download script: produce error if no argument given

commit 5609232858950a676434adc7a96a722ae27dba76
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Aug 29 21:57:04 2015 +0100

    download script: ask before replacing an already downloaded module

commit 434f8e0b03e4b693e065c0afdb4505c529d40e53
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Aug 29 21:55:44 2015 +0100

    download script: exit if using help/list option

commit ed8516c4d21d049ef48be0656e40b04ac5c1d305
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Aug 29 21:52:01 2015 +0100

    download: fix bug: valid programmes being declared invalid

commit 610711747339162004801b28a08cf81c33d65e48
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Aug 29 21:44:02 2015 +0100

    download script: re-factor. only have 1 loop for downloading

commit fcb1cfffb0e62aafd72994922b9c7aec1d4fbb5c
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Aug 29 20:40:44 2015 +0100

    download/flashrom: screw svn use stefanct's unofficial git repo

commit 6bb7ae93fa8f17dcf488ea84d2a7cca2f5fbd76a
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Aug 29 20:25:41 2015 +0100

    downloads: don't check sha512 on git/svm downloads
    
    Resetting to those commits already implies that they are correct,
    because git already does integrity checking.

commit 7dc0fd8b48c53439b5f8b07689b078bdd5c8f90a
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Aug 29 19:46:13 2015 +0100

    docs/hcl/x200.html: note about docking station undock button

commit 64edb9ba32912a229cfde440995bc88562fe606a
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Aug 29 19:37:59 2015 +0100

    docs/maintain/index.html: typofix

commit cc40b7d62f68380f6ce36965b5f2a185e060b014
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Aug 29 19:33:21 2015 +0100

    download script: put ending characters on new line
    
    Less chance to screw it up when adding more commands, and more
    readable.

commit d67bf7155da5a8943c5c47785887e6079a58ca8f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Aug 29 19:29:35 2015 +0100

    build/module/memtest86plus: fix typo

commit 762983788b9c1fb93f423227522e333b553c3bf0
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Aug 29 19:26:16 2015 +0100

    really make memtest86plus naming consistent

commit d406f8beccb29e2eff4b62fae2dca59fa571ca44
Author: Klemens Nanni <contact@autoboot.org>
Date:   Thu Aug 27 18:20:49 2015 +0200

    Make memtest86plus be named consistently
    
    Conflicts:
    	resources/utilities/grub-assemble/gen.sh

commit 7c25df4580a8fcd763497214ee66c9e2e192a757
Author: Klemens Nanni <contact@autoboot.org>
Date:   Mon Aug 24 13:24:34 2015 +0200

    Fix: Download all passed modules

commit 33c9e3dea85d5274f9a19db10195f3b2e5bcccd2
Author: Klemens Nanni <contact@autoboot.org>
Date:   Mon Aug 24 12:34:09 2015 +0200

    download script: Don't download if argument is invalid

commit 47dc32fb4a0170956e5b9dd33ff6e2447b9f977c
Author: Klemens Nanni <klemens@posteo.de>
Date:   Sat Aug 29 18:36:11 2015 +0100

    grub.cfg: fix indentation on if statement

commit 8419c163e6381390c5508249e9c9b81f75a3a266
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Aug 29 17:22:12 2015 +0100

    docs/index.html: Fix dead link

commit bda4da56455988056c020a64b88eb2403f212df4
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Aug 29 17:19:44 2015 +0100

    docs/hcl/index.html: Fix dead link

commit d2121582c31b58280514fc0027b46584fe9bd032
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Aug 29 14:38:18 2015 +0100

    docs/tasks.html: note about bucts on i945

commit 9324b62abb7069d42fb0f94aa60f1fafdbe6d601
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Aug 29 01:11:58 2015 +0100

    docs/gnulinux/encrypted_parabola.html: Fix formatting issues

commit 3591b15498a6b9d33e19c4f7c3aaa9ddf3429709
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Aug 28 10:49:23 2015 +0100

    build/release/src: properly delete unwanted binaries

commit a605973998dbe9f39dfb522b1a283f807521d3e9
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Aug 27 23:40:18 2015 +0100

    build/roms/withgrub: delete ich9gen-related files

commit 6450a79afa9630565738d56a793e171a8d81a175
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Aug 26 21:46:20 2015 +0100

    docs/tasks.html: notes about possible WSON chip for iKVM on S8320

commit eb7dae00fb8a9ccdc6df842520ea3cfd317d11e5
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Aug 26 21:27:47 2015 +0100

    docs/tasks.html: Tyan S8230 notes about IPMI/iKVM firmware

commit aa45a0215d15a04138a7fb715f4ad52c647aefdb
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Aug 26 21:25:54 2015 +0100

    docs/tasks.html: Tyan S8230 notes about SAS firmware

commit 28c1617de1ba3678ca2ef3d975c1e45924204d9a
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Aug 26 21:23:30 2015 +0100

    docs/tasks.html: Tyan S8230 notes

commit 4de966a6fc0c73fd8d2ae98c25a1a15394fa5159
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Aug 26 21:04:20 2015 +0100

    docs/tasks.html: Tyan S8230 more notes

commit 45607cbf2dae7d6350f654f2f88e477899ecfb62
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Aug 26 20:48:14 2015 +0100

    docs/tasks.html: notes about socket type on Tyan S8230

commit 14b01654eae9ff4e3e58ab513a0ab8470c71ce68
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Aug 26 20:46:20 2015 +0100

    docs/tasks.html: more notes about Tyan S8230

commit 0aca085ab093d026f20c03bab79e7308d90fb695
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Aug 26 20:37:00 2015 +0100

    docs/tasks.html: TYAN S8230

commit 99741efc52a9ca9134a38057f2ad11a4f8e5c403
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Aug 26 18:19:46 2015 +0100

    grub-assemble: add RAID modules

commit 01e3cb72536c763e066a256ebfeb8880a06ac008
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Aug 26 03:23:21 2015 +0100

    docs/gnulinux/encrypted_parabola.html: clearer pword instructions

commit 02f4e0fe03070da674a5d78b77edef3b6e833385
Author: Jeroen Quint <jezza@diplomail.ch>
Date:   Wed Aug 26 01:26:15 2015 +0100

    docs/gnulinux/encrypted_parabola.html: bring it up to date

commit f79da2b1d1c5ffe168a77e94488fc3b9e1b3d0b2
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 23 14:53:22 2015 +0100

    grub config: update email address on request of author

commit 200489793db21a012a1d061fb8908a902f9e6b33
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 23 11:42:22 2015 +0100

    grub.cfg files: update copyright author info

commit a9b048ff234d247378a7f73c37982204f1a83c79
Author: Klemens Nanni <klemens@posteo.de>
Date:   Sun Aug 23 11:34:20 2015 +0100

    grub.cfg: Be more intelligent: automatically decrypt, etc

commit 9ae80494f13a64d6ebaff2f34048b49c45973f03
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Aug 18 22:35:57 2015 +0100

    grub.cfg: refer to variables properly

commit 0925e7d1acad14f876be5717414fd0663be6305f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Aug 18 22:31:32 2015 +0100

    grub.cfg: Don't load on-disk grub.cfg, just libreboot_grub.cfg
    
    This maintains behavioural compatibility with release 20150518.

commit d2907e83962109fb47dcb225fdc4a85cabf80bfb
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Aug 18 12:59:22 2015 +0100

    docs/hcl/gm45_remove_me.html: emphasize that programmer is needed

commit c5d41a8438e03da4dcdb56e50c16f4decfce24b4
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Aug 17 11:56:48 2015 +0100

    GRUB keymaps: Add Esponal (Spanish) Qwerty

commit bb40b7e278509c45c65e94f8dfa7d6c68b971271
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 16 23:32:50 2015 +0100

    docs/gnulinux/encrypted_*.html: emphasize use of grubtest.cfg

commit 7cf4e3d3d1da8162a344f1b9d574c68445569329
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 16 21:29:54 2015 +0100

    grub.cfg: re-add missing if check for initrd.img

commit ee9f1bd4dc64786026c34267919441266c49c039
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 16 19:52:50 2015 +0100

    grub.cfg: simplify (remove repetition)

commit 20614bf4f94f6d6e63d2a43e948e59a7720dc83e
Author: Klemens Nanni <klemens@posteo.de>
Date:   Sun Aug 16 17:23:27 2015 +0100

    build/dependencies/parabola: skip already installed packages

commit 09697c3a0b079e4bbdbd518e4933c97dbeb6e8ec
Author: Klemens Nanni <klemens@posteo.de>
Date:   Sun Aug 16 17:18:23 2015 +0100

    build/dependencies/parabola: better messages, plus failover

commit 094dcb6907373bb62165bee33311419600d8a4cc
Author: Klemens Nanni <klemens@posteo.de>
Date:   Sun Aug 16 17:01:21 2015 +0100

    scripts: use the -j option in make (multithreaded compilation)

commit 5016e9e0c6dd30fb49e50b698fc857f15aae6de7
Author: Klemens Nanni <klemens@posteo.de>
Date:   Wed Jul 29 02:11:34 2015 +0200

    Fix double "pacman -S"

commit fb4a21edd27a120e58c00e91a60ddf4767ed742e
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 16 15:08:43 2015 +0100

    typofix

commit 44a0f763b1cbb93ca31e2029eff7c94c20817a86
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 16 14:23:18 2015 +0100

    docs/hcl/gm45_remove_me.html: Extra note

commit 540cb706c135fde7f3275c7443706a57f377caad
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Aug 16 14:20:44 2015 +0100

    docs/hcl/gm45_remove_me.html: Fix write-protect instructions

commit 9d0376588cbac320dfd565070fab862d433f081e
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Aug 10 22:47:50 2015 +0100

    typo

commit b367ca7bfda160b2100ed17a92a5be117fac1c15
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Aug 10 22:05:46 2015 +0100

    MX-4 is better than AS5

commit 175fa122909aaec478b9a8d484fbc577bbfc6b37
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Aug 5 00:27:17 2015 +0100

    docs/maintain/index.html: fix broken commands

commit c136b69b4cc1e65b5aea333a727555e0a4ff2bab
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Aug 4 23:39:33 2015 +0100

    Update coreboot to the latest as of 4 August 2015

commit 39354fba57f35c6f5a226deea7d71c4800a23676
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Jul 24 21:11:33 2015 +0100

    typo

commit a704dab7b21c986f3236738ac8fb6e470154c325
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Jul 24 21:10:37 2015 +0100

    typo

commit b4ddf86745bde118d37e313d86f2d3a12053298a
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Jul 24 21:08:19 2015 +0100

    docs/gnulinux/grub_boot_installer.html: remove NixOS
    
    NixOS is very unGNU.

commit 5db6bad67cd53f425874b6b09ea59df3306fe287
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jul 18 08:52:42 2015 +0100

    flash script: add laptop=force_I_want_a_brick to forceupdate

commit e7bf566abb94487f093c302035d6295feded550a
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jul 18 08:49:13 2015 +0100

    docs/install/index.html: fool-proofing for X60 guide

commit f83e10675e54e6307c80b50596e900ea2f006f45
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Jul 17 10:59:39 2015 +0100

    docs/install/bbb_setup.html: notes about soldering

commit 08fbbf99e5bb26162c4ce524ecb967d4de9f1097
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Jul 17 10:58:03 2015 +0100

    docs/install/bbb_setup.html: clarify that BBB needs no blobs

commit 579d9672912e848508a0b7812cb4dd4977c45a90
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Jul 17 10:57:02 2015 +0100

    docs/install/bbb_setup.html: a few more notes

commit d06d5ee0d55c6142c435efe31039dd586b98a88f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Jul 17 10:23:53 2015 +0100

    docs/install/bbb_setup.html: Improve the shopping list

commit ab9a005dfb60ef0846cc9cc8cbd54e4a1383ce7e
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jul 13 21:37:27 2015 +0100

    docs/tasks.html: notes about new coreboot release model

commit 7c384caafb45eeabe03115712fd761c8f7f225d1
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jul 13 16:54:45 2015 +0100

    docs/hcl/gm45_lcd.html: linux kernel can set dual channel

commit bd1723001db04d84bedf1b811aa6e2ed0f3e6f4b
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jul 13 02:40:57 2015 +0100

    t400_external: delete/replace soic-8 photo
    
    Re-use the t500 one. the t400 one was released under cc by-sa
    and I only just realized this. This commit fixes the violation.

commit 07eed3f09109963501744bd5196a9df2321d9226
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jul 12 23:31:34 2015 +0100

    typo fix

commit ea9df7ce95e514b66c26ff0b315a961beb8be98d
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jul 12 23:30:32 2015 +0100

    docs/tasks.html: Update notes about pricing (KGPE-D16)

commit 1df8738366add1579fdf571bc27a6330fc1d2a39
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jul 12 23:27:09 2015 +0100

    docs/tasks.html: clean up

commit 8afe1310800862adc418cc7a4744b750ed6f88bf
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jul 12 23:17:58 2015 +0100

    more notes

commit 01b0b5ff07c3c4faf717efc60217a18618afded8
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jul 12 23:16:21 2015 +0100

    docs/tasks.html: Possible projects to contact

commit 60e53b1bc04f973fbce4bfd679d69d70a7c69d51
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jul 12 22:00:41 2015 +0100

    docs/hcl/gm45_lcd.html: Add dmesg output logs

commit 08b4126023fa16f1d473fa71800560e84f4684da
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jul 12 21:54:02 2015 +0100

    grub.cfg: apped cbmemc to terminal output

commit 1bfe723c80c5a56f0030046d3b63353e81ef434c
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jul 12 18:02:43 2015 +0100

    docs/install/bbb_setup.html: clarify what 512 means

commit b73bd08941501047e1468579bee83a9633fafd53
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jul 12 17:55:25 2015 +0100

    typo fix

commit 5234c4dab37639f05bc5820e0b767b6fa8513137
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jul 12 17:22:00 2015 +0100

    download/flashrom: Verify checksums of downloaded files

commit ef5d5bf15910fc5bfe02df2afe9861691a9e4e32
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jul 12 17:15:18 2015 +0100

    download/bucts: Verify checksums of downloaded files

commit 5b44cb159bbc2b46bcc9cd6b8612f7e05d4f3ae5
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jul 12 16:35:14 2015 +0100

    download/coreboot: verify the checksums of downloaded files

commit 6fb9ffefdd9cc64c08cf7627efd8a87a894b0419
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jul 12 16:02:39 2015 +0100

    download/grub: verify checksums of downloaded files

commit aaab9127058293da378b2639a9907a1d83326514
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jul 12 15:40:07 2015 +0100

    download/memtest86plus: delete tarball if invalid

commit bda8d94f379657469fac2dfe78e01d09b06da137
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jul 12 15:34:44 2015 +0100

    download/memtest86plus: add missing line break on printf

commit 8353e0be52e9547f5b5f9760eb0d3c94755f4afb
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jul 12 15:29:16 2015 +0100

    download/memtest86plus: verify checksum when downloading

commit d76c58113ee7d569a71b616b5c7d429c01bf298e
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jul 12 13:44:37 2015 +0100

    docs/future/index.html: Add new EDID for T60

commit 2be40d74606cb2c09a0b3e741e4420c5195ca956
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jul 12 01:23:45 2015 +0100

    docs/git/index.html: notes about build/module/list

commit 152d973b05c98f35ef995c5c117086d64ec08ab4
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jul 12 01:22:04 2015 +0100

    docs/maintain/index.html: notes about crossgcc

commit 49b0161f0b0c3b241b128244a9377459caa63f9b
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jul 12 01:16:54 2015 +0100

    typo fix

commit 87524d12a3c552f820adc88d54e7a8676161d575
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jul 12 01:01:41 2015 +0100

    typo fix

commit b557c12a5f5b1efed3d161af81d18e8592a15f9b
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jul 12 00:53:20 2015 +0100

    docs/hcl/gm45_lcd.html: Add note about X200

commit 6742740ff0b7e84c359da0637b15cb1ae2f43af5
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jul 12 00:51:31 2015 +0100

    docs/hcl/gm45_lcd.html: standardize notes on GM45 LCD support

commit 4197efeb3d9430b94521c587ed4a297be2ffc80f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jul 11 23:10:56 2015 +0100

    docs/gnulinux/encrypted_trisquel.html: Troubleshooting

commit 94a263826703c7926be71bf1104c01396c536a3a
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jul 11 22:45:16 2015 +0100

    docs/install/bbb_ehci.html: re-license to GFDL
    
    I received the authors permission to change the license, via IRC
    and email messages.
    
    IRC log (#libreboot freenode IRC) on 11 July 2015:
    <francis7> tty0_, I sent you an email.
    <francis7> (your gmail address)
    <tty0_> There isn't that much work of mine there, and i am ok
    with what you will decide. But i would protest GFDL if i was in
    your place
    <francis7> tty0_, does this mean that you accept GFDL?
    <tty0_> I give you permission to do it if you decide that it is
    the best option for libreboot

commit 520c7545eb5de269addab46f5c06fd32ffaf52da
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jul 11 21:50:47 2015 +0100

    docs/index.html: fix broken link

commit befeea2ee3c969471a30becb38cd2abf9c4e2413
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jul 11 18:26:40 2015 +0100

    Documentation: convert to GFDL
    
    Some sections were owned by other people; these were re-written,
    deleted, or moved. Alternatively, they were re-licensed as-is,
    with permission from the relevant author(s).
    
    Patrick "P. J." McDermott on #libreboot freenode IRC:
    Saturday, 11 July 2015 log:
    <francis7> pehjota, you made a few changes to the
    libreboot documentation
    <francis7> pehjota, do I have your permission to re-license those
    parts under GFDL 1.3/higher, with no invariant sections or
    back/front cover texts?
    <francis7> (if so, can you write to the mailing list?)
    <pehjota> francis7: Sure, I'll send a message to the libreboot-dev list later.
    (pehjota=Patrick McDermott)
    (francis7=Francis Rowe, the person making this commit)
    
    TODO: docs/install/bbb_ehci.html: Get permission from author to
    re-license it (contact Alex David. tty0_ on IRC)

commit c94328112af92906ecc55c6f14d96481b723e3e4
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jul 11 18:11:07 2015 +0100

    build/release/src: Don't separate crossgcc
    
    Also delete build/release/crossgcc
    
    Crossgcc is now once again integrated into the _src release
    archive.

commit a1a31353a479cce3c590dec290ed1e9413619124
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jul 11 18:03:26 2015 +0100

    build/module/coreboot: Don't build crossgcc automatically
    
    Don't download it, either.

commit ab4d49ce5399a6a3f3f4f6391beaeddb7b2fabc2
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jul 11 07:50:08 2015 +0100

    fix wrong information

commit 0f67dc660642a496a749a28dd0cbdc9994cd163f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jul 11 04:25:10 2015 +0100

    typo fix

commit a70470f2ad7fd036d61fceb5e5b0cb384ab44671
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jul 11 04:23:23 2015 +0100

    docs/tasks.html: New candidate: TRS-80

commit 4cd66b8b15d50f811d51ce36921fbb6d30ece653
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jul 11 03:52:49 2015 +0100

    grub.cfg: switch to on-disk grub.cfg if it exists

commit e1d8c6060215cbe2beccc977604301dcdb3394ca
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jul 5 01:29:34 2015 +0100

    docs/archive_old.html: fix typo

commit 6dcfd6e42e4a52975e17934ca04e4f6073168cea
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Jul 3 12:05:14 2015 +0100

    build/roms/withgrub_helper: delete the correct directory

commit 4f2ce3a8520ab7a01e6ef97a4953d36745124a14
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Jul 3 07:54:05 2015 +0100

    build/roms/withgrub: use correct path for i945 dd commands
    
    Otherwise, these are brick.rom images

commit 85a59c7bfd2909433660bb41c48de7510571f343
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Jul 3 07:53:14 2015 +0100

    build/roms/withgrub: fix path names when running ich9gen
    
    Otherwise, these images are brick.rom images

commit 3eb9cfb44d310767c562590a17b8ee999100b368
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Jul 3 01:59:33 2015 +0100

    docs/tasks.html: Add link to KGPE-D16 feature matrix

commit 9d085bc545492925704da478b2a1d6f73464af32
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Jul 2 03:12:59 2015 +0100

    docs/tasks.html: It's raptor doing the upstreaming

commit 258937ed7281e7332461c6ffae0b5be8132b9741
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Jul 2 03:01:03 2015 +0100

    docs/tasks.html: fix grammar

commit 8b251a58865e257e1d05f9ff1eab9dcc33a9d490
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Jul 2 02:39:27 2015 +0100

    extra promotion

commit 5069bee6ee5c034cdaf59aa2fd215c7fae73dfb9
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Jul 2 02:32:47 2015 +0100

    docs/tasks.html: Update notse about KGPE-D16

commit a8541811e98467478948b57db1e6c23ff72dcc7a
Author: Tobias Heinicke <theinicke@bss-wf.de>
Date:   Thu Jul 2 01:03:46 2015 +0200

    Changed cryptomount occurences to exclude SOURCE.
    
    The GNU/Linux installation guides call 'cryptomount -a', which ignores
    any SOURCE parameter given and mounts all encrypted volumes regardless.
    
    To avoid confusion I removed the parameter and added a small note
    regarding mounting only specific partitions.

commit fa9e47ac349a26806b74347d2e41e0b1ebce675a
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Jul 1 18:08:13 2015 +0100

    docs/tasks.html: Fix HTML formatting error

commit df6cf20129120208b9d04f3244f45276cc5f4aa2
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Jul 1 13:55:50 2015 +0100

    docs/hcl/x200.html: Notes about raminit, S3 and microcode

commit cbf54ec337ecbf1cbdfb9e5b345a75477da04d6e
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Jul 1 00:42:00 2015 +0100

    docs/hardware/x60_keyboard.html: Add notes about X200

commit 61702365ab53be41fb7e2d7bdad774776e484119
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 28 23:58:42 2015 +0100

    build/release/roms: copy version information directly

commit 0bf121dc31a7a045fa15319ed0e3f8410481f947
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 28 21:27:52 2015 +0100

    docs/install/x200_external.html: Add notes about X200 Tablet

commit b193beec882735eb755a5eb6b4a8be84698602f1
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 28 21:25:23 2015 +0100

    docs/hcl/x200.html: Remove useless information about LCD panels
    
    All panels are known to work on these laptops.

commit 1054ad94ddf4d3a19d7d7e3d34265363a18ae7d2
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 28 21:23:18 2015 +0100

    docs/hcl/x200.html: Delete obsolete information

commit 7c82fca26642d4c43f84beb6c4f6ea7ce7b01d39
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 28 21:20:55 2015 +0100

    docs/hcl/{x200,t400,t500,r400}.html: Tidy up

commit 6f6d0068196405b505bbde5dc0ab8645856d7f52
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 28 21:14:18 2015 +0100

    docs/install/index.html#rom: Simplify it
    
    It is currently difficult to maintain, but not only that, the
    information is useless and confusing.

commit ea7b16b210b5add04f28a583ed6b7758ce80a3b4
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 28 20:57:18 2015 +0100

    Documentation for KFSN4-DRE: link to photos of chip extractor

commit 5640bf36bb8ce0dd4b7c8c8cca49885b130f1934
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 28 20:13:02 2015 +0100

    build/release/roms: Put ROM images in rom/payload/, not rom/

commit d0e61be244c417bdbd89a8c71d80c9194e14ed73
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 28 19:34:25 2015 +0100

    build/roms/withgrub: Put ROM images in bin/grub/, not bin/

commit cfcd51979895909825b89ce09e2434e80691bfb0
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 28 19:28:59 2015 +0100

    docs/git/index.html: GRUB-payload configs get their own section

commit feec68749343970dc32d2b8792ed64ea2d4fe8cf
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 28 19:20:30 2015 +0100

    docs/git/index.html: Update config paths

commit be4a2902d69a09469d3a93fb9467e32b39b4543d
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 28 19:15:42 2015 +0100

    docs/maintain/index.html: Notes about payload for configs

commit c21e85bbfe85057208af548fc13d5bcc14aca86b
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 28 19:11:47 2015 +0100

    Delete obsolete information about coreboot-libre trimming
    
    This feature was removed from libreboot, so it's nonsense that
    it's still documented.

commit 6aea9b8beb130b109a3c5a9a99c65a173c271bfd
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 28 19:04:38 2015 +0100

    docs/maintain/index.html: Example commands for config

commit c0818b74cea34d29bc2f14eed2b5863ca8837e43
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 28 19:00:16 2015 +0100

    docs/git/index.html: Link to the maintenance guide for configs

commit 46821c70a11422c0154d1dfa2746ed7db9bc3c75
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 28 18:57:03 2015 +0100

    coreboot-libre: move GRUB configs to grub/

commit 09f162099645089d0763cf78f92ff13610ab23b3
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 28 03:51:52 2015 +0100

    docs/install/index.html: Fix typo (2)

commit 59a01ad7e40cb366371c7f12eeee6e97dead47ec
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 28 03:37:54 2015 +0100

    docs/install/index.html: Fix typo

commit c5d91719bd77136a7fd3fc5e92a307ca6f9e1f67
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 28 02:55:06 2015 +0100

    docs/hcl/kfsn4-dre.html: Update notes about 30 second delay

commit 09f5a11e786d93674fd311b8bbe6ded64ea56504
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 28 02:52:54 2015 +0100

    docs/hcl/kfsn4-dre.html: Notes about jittery text-mode

commit 85ce0c0a9f4ad0e572def9b64efe49fb2d287017
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 28 02:45:38 2015 +0100

    docs/install/index.html: Notes about KFSN4-DRE ROM images

commit be1cc34a2a4e2034b05abe78fb0a5594edb4bf1d
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 28 02:40:52 2015 +0100

    docs/hcl/kfsn4-dre.html: Notes about PLCC chip extractors

commit 0e3520f74d25bc43572a1afeaa4439bfedcc0d78
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 28 02:20:19 2015 +0100

    s/machine/system
    
    It was annoying me.

commit d56f1258cc63b9981d29f37530fafd72b5acf904
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 28 02:05:39 2015 +0100

    docs/install/index.html: Notes about PLCC chip extractors

commit 3eba33a46c04ad7f8ed2bd227176310e9b66da11
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 28 02:03:52 2015 +0100

    docs/install/index.html: Notes about KFSN4-DRE

commit c938401698726a317a66befc2c76122c87d0855b
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 28 01:30:11 2015 +0100

    docs/hcl/kfsn4-dre.html: Notes about RAM

commit 9654748bcf8e19a72ebd8aa5abcd4e549c29a781
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 28 00:32:06 2015 +0100

    docs/hcl/kfsn4-dre.html: Re-order the sections

commit c7486c9db6eec3dfb8fcc9ea6eca7473102d1f77
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 28 00:29:37 2015 +0100

    docs/hcl/kfsn4-dre.html: Notes about XGI Z9S and serial port

commit 30d6d082fbc2b338e40adacf22e78e70a8ff2c01
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 28 00:27:13 2015 +0100

    docs/tasks.html: notes about XGI Z9s graphics cards

commit a3f0ae947a933aed18be6fc5aa8414cc90c65715
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 28 00:23:44 2015 +0100

    docs/hcl/kfsn4-dre.html: Notes about form factor

commit 3a60153fddc4ce92f1fcf5260fc5cedad0fce936
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 28 00:18:40 2015 +0100

    docs/hcl/kfsn4-dre.html: Fix HTML formatting error

commit 3a0bd5d2b05bfad368fc45f9d0cefbf401d09ed3
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 28 00:18:06 2015 +0100

    docs/hcl/kfsn4-dre.html: Add notes about hex-core CPUs

commit 3f6b112430ec6bb451f8552fbf10b4b7bc2d6775
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jun 27 23:52:07 2015 +0100

    docl/hcl/kfsn4-dre.html: Info about KFSN4-DRE compatibility

commit c6daf7c4ae822f75ed1144bffb0b7bcdf9e50f31
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jun 27 20:28:54 2015 +0100

    docs/release.html: Add KFSN4-DRE to the HCL

commit 2e2e4f48a2f2c03b15625f2af625e0eefcea6570
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jun 27 20:07:26 2015 +0100

    docs/git/index.html: say that the KFSN4-DRE has 64-bit CPUs

commit d61da1497795c04aa16f21b5c6ff00453f532a7f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jun 27 20:03:10 2015 +0100

    docs/git/index.html: Add configuration for kfns4-dre

commit 2c392ffea97b7850af02bd5c3e3a142b805e3936
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jun 27 04:52:24 2015 +0100

    download script: re-factor

commit c4b79d6baa2222d748c3ac6436ba1235e42ec974
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jun 27 04:10:58 2015 +0100

    download script: fix mistake in the last two commits

commit 0731a062158b74e02543e98a887bdd28e624d61d
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jun 27 04:06:44 2015 +0100

    download script: add a list option

commit d7718287d29e1d96c382a0ce262bc725de85628f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jun 27 04:03:12 2015 +0100

    download script: support specifying more than one option
    
    Also, invalid options now generate a warning, instead of
    producting an error.

commit 2f72e90c475f8e3ceeeb1c4ea067798d39c522ce
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Jun 26 21:16:46 2015 +0100

    kfsn4-dre: Add CONFIG_VGA=y to the config
    
    Video initialization won't work without it.

commit 9b709fb2d734933fb3d11fa0104e3003b673cdc4
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Jun 26 19:15:21 2015 +0100

    New board: ASUS KFSN4-DRE

commit d88076bf03a3ad453887584c1e74a299f794f132
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Jun 26 19:14:17 2015 +0100

    build/roms/helper: re-enable building of txtmode images

commit 3dc63663309d121a98ebe412a5ac74dbf319d6bd
Author: P. J. McDermott <pj@pehjota.net>
Date:   Thu Jun 11 07:58:47 2015 -0400

    flashrom: Add whitelist for Libiquity Taurinus X200

commit 39b90f02ab13dc04314fa0888c57df78c1ec3ca0
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Jun 25 19:51:11 2015 +0100

    grub-assemble: Add German QWERTZ keymap files
    
    Libreboot has always had lots of German users, yet I didn't think
    to add German keymaps to GRUB.
    
    Entschuldige bitte, dass ich es vergessen habe.

commit bb81fba841e29ec34c3d4c04de43f5b39310bcf3
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Jun 25 17:56:43 2015 +0100

    build/config/*: Improve the message output a bit

commit 60f101996663ec94f63b97cd4615c6a723a62c27
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Jun 25 17:53:39 2015 +0100

    build/config/*: Wait 2 seconds, not 5 seconds.
    
    2 seconds is less annoying.

commit cfb4ac12782dfffe39d32b9832ccbb4cd553cc7b
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Jun 25 17:50:57 2015 +0100

    build/config/coreboot{modify,update}: skip non-existent configs
    
    But do not abort. Only issue a warning.

commit 9b03deac0e7fa09e7f2a19aaf01505579ee28309
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Jun 25 17:46:36 2015 +0100

    build/config/corebootreplace: make directory if not exist

commit 2c79f20291b6ad47c8f422285eaaac03a4c470f1
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Jun 24 15:10:15 2015 +0100

    docs/index.html: Add historical context to the description

commit e082827eeb5c641897a900218e081a6997e100b1
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 22 16:20:22 2015 +0100

    docs/security/*_security.html: WWAN has no DMA (it's USB)

commit bdf52575727b447523f8b71de633240cd3241d0a
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 22 16:18:37 2015 +0100

    docs/security/*_security.html: It's 3g modem, not 3d modem

commit 118e6d46315dea0623c3b34f88d687c8e65d4eaa
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jun 20 16:07:38 2015 +0100

    docs/misc/index.html: more notes about power beeps

commit 7d5e669c4b12895da37e96156646c48d71def4ce
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jun 20 16:04:43 2015 +0100

    docs/misc/index.html: Notes about power management beeps

commit d79ac751b2adddfaae4cd41d9f0c3f8c9c42fa59
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Jun 16 16:32:33 2015 +0100

    Update GRUB
    
    vesamenu.c32 patch removed (merged upstream)

commit 8658a0cb5c79a334484db926ca2fce75b5265a87
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Jun 16 11:25:45 2015 +0100

    Update coreboot again (a patch was merged upstream)
    
    The patch for only requiring cmake for clang users was merged.
    This patch is important, because libreboot doesn't want to use
    clang, and doesn't want any dependences that it relies on which
    it doesn't need.
    
    Also, this and the other recent update re-add support for ACPI
    brightness methods on the Thinkpad X60 and T60.

commit 68ea144f45aeddb9cfb8a6a69e08ca7940ca669f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Jun 16 05:03:41 2015 +0100

    docs/tasks.html: add note about acpi brightness on i945

commit bd95009839337576c1d7ac6d022228c4ec4248a5
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 15 20:15:36 2015 +0100

    Update coreboot-libre
    
    Rebase all patches. Remove the ones that are no longer needed.
    
    More CPU microcode updates were moved to coreboot's 3rdparty
    repository, so there are less blobs for libreboot to delete
    now (because the 3rdparty repository is not checked out in
    libreboot).
    
    Correct HDA verbs used for T400 (also R400, T500) (patch is in
    coreboot, merged).

commit 9f8eced929a99b2ad7b10d1b8d237779afdd98d5
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 14 17:02:26 2015 +0100

    download/coreboot: update notes

commit ce5288f8247f870b7dbacb444b1431d524fb783f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 14 16:52:40 2015 +0100

    docs/tasks.html: clean up

commit 10a921d3e45df0ee750179783ba3b094b3bea4cb
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 14 16:02:11 2015 +0100

    coreboot-libre: delete the 3rdparty/ directory
    
    Libreboot doesn't even checkout this submodule in coreboot, so
    this change is quite redundant. However, it can't hurt.

commit bc0a0aa0185878cb19808ec4d87b3ed92997a224
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 14 16:01:06 2015 +0100

    download/coreboot: add notes for when updating coreboot-libre

commit 229bf484ade3c97106e4e0de0e590d00584622db
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jun 13 19:36:32 2015 +0100

    build/release/util: add powertop script

commit 510e9792c5add61aeb7a048d4e98b242c0b79878
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jun 13 16:13:22 2015 +0100

    build script: use a standard style (compared to other scripts)

commit 3ca13619e3b8abca9d8ed0b2ac46263e82fa2223
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jun 13 16:02:57 2015 +0100

    download script: use a standard style (compared to other scripts)

commit f2b4de9e7cd357ef87c9a2f65ecd0368f1b26e88
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jun 13 15:56:13 2015 +0100

    flashing script: improve readibility

commit 8bc655f014eeb24bf52ffc83e0b8ae9d987569d5
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jun 13 15:52:26 2015 +0100

    flashing script: fix broken if/else chain

commit 7818c6b797fbe0a5f864a11dd52412ebc5d0d98f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jun 13 15:45:58 2015 +0100

    flashing script: use a standard style (compared to other scripts)

commit afb4db99e3932e5b57d2c51d40ae1ecc7aa9d643
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jun 13 15:43:50 2015 +0100

    build/release/tobuild: fix typo

commit 52bdffd8b6fe4ee4da19ddfd011bf49ccb4d8bcd
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jun 13 15:16:28 2015 +0100

    build/release/tobuild: add version to archive file name

commit 886a5e81be0957c529ce59ee4fd314640ad36c75
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jun 13 15:10:07 2015 +0100

    build/release/roms: put version in directory name

commit f621383ca3249becaf6eab78d3cc5e5997d756a9
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jun 13 13:56:06 2015 +0100

    docs/gnulinux/grub_boot_installer.html: GuixSD, not GSD

commit 0f55ffa6d23df9982430044f8cccc17ae2da60b3
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jun 13 13:38:25 2015 +0100

    docs/gnulinux/grub_boot_installer.html: clarify notes about guix

commit b8a5cadbed8d1c7b05e768387cfb8bb8e145a269
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jun 13 13:37:11 2015 +0100

    docs/gnulinux/grub_boot_installer.html: add link to FSDG distros

commit b480c845ff366de81fc428aa86c4ea6ec3b4cebb
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jun 13 13:36:01 2015 +0100

    docs/gnulinux/grub_boot_installer.html: prefer Guix over NixOS

commit df71b65e73af3c09385dad7746d317277db2e302
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Jun 13 13:29:26 2015 +0100

    docs/gnulinux/grub_boot_installer.html: NixOS is like Guix

commit 7e990ce2fe4a2dd7176cbc5ebafe69e45ea695c2
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Jun 12 22:27:28 2015 +0100

    build/release/util: fix reference to variables (use correct style)

commit a1045a6c6d8a6e4b3ab3cc21fee399ffaa9fdbeb
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Jun 12 22:16:35 2015 +0100

    build/release/util: re-add nvramtool

commit 19b6e504ddda009e4d6cbc4122086239c37abbc4
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Jun 12 22:14:26 2015 +0100

    coreboot-libre configs: enable changing nvram settings

commit d5460629e4ffd3f1b0290e87687afb57cea31f6a
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Jun 12 22:08:42 2015 +0100

    docs/install/index.html: Remove empty unordered list
    
    Not really sure how this got here, to be honest.

commit 32de3d015c4c419946d405afdbeb94d96872e64a
Author: P. J. McDermott <pj@pehjota.net>
Date:   Wed Jun 10 21:06:39 2015 -0400

    COPYING: New file

commit 7a9d3b718b726506c077d6f38b496e145c222335
Author: P. J. McDermott <pj@pehjota.net>
Date:   Wed Jun 10 20:57:24 2015 -0400

    .gitignore: Simplify using some patterns

commit ddcac0d02211a40d8543c16fdde826556adb3cd8
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Jun 11 01:51:11 2015 +0100

    add missing file from last commit

commit 403c9223c53559e89a5cfd10260be9aa93fe4fdb
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Jun 11 01:50:02 2015 +0100

    docs/install/index.html: Notes about mistake in flashing script

commit 88f3dd258954126b209c9ddf5565c7ced628194a
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Jun 11 01:37:08 2015 +0100

    utilities/grub-assemble: use printf properly

commit 12c50f7939c02db85f05830c4b9fccf464b3977a
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Jun 11 01:30:48 2015 +0100

    all script: use a standard style
    
    Based on the style used for the script in
    resources/scripts/helpers/build/release/

commit 34270811fce1ecf0bcf3b1363b0dc3dbf284ab09
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Jun 10 23:53:28 2015 +0100

    flash script: fix a really really really dumb mistake

commit a247734e8803d15ddc98a7434273b8c885fbf611
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Jun 10 22:46:36 2015 +0100

    build/release/docs: properly name directory inside archive

commit f2e609fd287c05fbce18f57f415a19feafc1b291
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Jun 10 12:17:27 2015 +0100

    docs/gnulinux/encrypted_parabola.html: update license header
    
    (previous commit had a sign-off-by, but didn't update the license
    header. this patch corrects that)

commit 3fb9a15a88b17149c70ed00fdde4e69e3046a1af
Author: Arthur Heymans <arthur@aheymans.xyz>
Date:   Tue Jun 9 20:06:13 2015 +0200

    The patch for encrypt hook in is not needed. Just use cryptkey=rootfs:/path/to/key
    
    Signed-off-by: Arthur Heymans <arthur@aheymans.xyz>

commit 8630b33bb885becd47078a823a399d45ec2c58be
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Jun 9 23:19:15 2015 +0100

    docs/index.html: more info

commit 383894382968ce611e08802ac95aeddb729de8fa
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Jun 9 23:16:29 2015 +0100

    docs/index.html: improve instructions for finding version info

commit a2a7f8a27debeaad430c9e198f1f1a80e733c3e9
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Jun 9 23:06:57 2015 +0100

    docs/index.html: add more information about finding the version

commit 39a1c6289842ae403b1f4b99086bf999dea1a158
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Jun 9 04:09:06 2015 +0100

    docs/gnulinux/grub_config.html: fix HTML formatting error

commit 8507c6adf8a3af268b8a7493339be253abb35c71
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Jun 9 01:52:46 2015 +0100

    docs/gnulinux/grub_cbfs.html: split GRUB config guides to new doc

commit 111a64f90b5d123ff53363c9ed683cff8b95c685
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 22:23:49 2015 +0100

    docs/gnulinux/grub_boot_installer.html: improve instructions (2)

commit 0b56a6278c4b60124c53e4480183b7614f43ef3d
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 22:20:55 2015 +0100

    docs/gnulinux/grub_boot_installer.html: improve instructions

commit e506429c2e286c26524b48cc7d6aa4145903275a
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 22:18:37 2015 +0100

    docs/gnulinux/grub_boot_installer.html: improve title

commit 9ef910274e706664b7495c3ff03d412235d88f13
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 22:16:31 2015 +0100

    docs/gnulinux/grub_boot_installer.html: improve description

commit 2f44f611c5baf4a826baaa164d2945befec39123
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 22:11:44 2015 +0100

    docs/gnulinux/grub_boot_installer.html: grammar (3)

commit 363f4160de902ed0b45bec98b85b670066adff68
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 22:10:52 2015 +0100

    docs/gnulinux/grub_boot_installer.html: grammar (2)

commit 04e13b99e73b5c206070cc3558115608114cebd2
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 22:10:16 2015 +0100

    docs/gnulinux/grub_boot_installer.html: grammar

commit 7f74ace8d348f6e5036893cc6c595e39a3fabf1d
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 22:09:37 2015 +0100

    docs/gnulinux/grub_boot_installer.html: improve instructions

commit 6ca942c236967bde26c97830cf8b216f61245461
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 22:06:10 2015 +0100

    docs/gnulinux/grub_boot_installer.html: idiot-proofing (2)

commit e7dfbab5d64fbb56dc32b1470fde187db4d3ccc1
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 22:02:10 2015 +0100

    docs/gnulinux/grub_boot_installer.html: idiot-proofing

commit e4e18a1d725593960867c164950a0671390c508d
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 21:59:59 2015 +0100

    docs/tasks.html: clean up

commit 9db428edfd95c10defb9e050391ae9302f13707d
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 20:48:24 2015 +0100

    docs/index.html#version: improve explanation (2)

commit 230b05f13a7de3dc39544f81a6876876596135d6
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 20:47:01 2015 +0100

    docs/index.html#version: improve explanation

commit e70fadbdc939d1bfc6f4d5117264d5d6c51a7358
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 20:43:26 2015 +0100

    build/roms/helper: add version information to CBFS

commit f06e2d27b99f7180b97511693cac8616bee97a9f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 20:33:34 2015 +0100

    coreboot-libre: don't build cbmem/nvramtool
    
    They aren't included in the _util release archive anymore, and
    they don't need to be built either.

commit a8c6e84f6ac7599712153ddcab136326cf872eb2
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 17:56:52 2015 +0100

    build/release/src: delete build/release/docs in the _src archive

commit ce852d2f14dca419ba304042de8aeaf5f9ddced8
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 17:54:50 2015 +0100

    build/release/src: remove redundant exclusions from the list
    
    These no longer appear in the root of the tree.

commit 7f8ce1953a8acbc596877d599769c7a8c5300d0b
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 17:50:43 2015 +0100

    docs/git/index.html: Update notes about building release archives

commit b213fa3f27da6e640d083639239e91c8b8de1dae
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 17:33:50 2015 +0100

    build/release/sha512sums: rename sha512sums.txt to SHA512SUMS

commit f10523b3ef75c7974407efd3b1a2f001e0c4984a
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 16:50:47 2015 +0100

    download/coreboot: don't trim the coreboot source code
    
    It saved only a few MiB, and makes maintenance a pain in the ass.

commit dd25423e56610c44fcfb59b44eca772015a1a287
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 16:44:59 2015 +0100

    build/release/src: don't delete the build/release/* scripts
    
    The scripts now re-use an existing version file, if that version
    file exists, so they are now safe to use in the release archives.

commit 7d4a259c9efbc2e6c5006e0d965e4a4976b54383
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 16:42:33 2015 +0100

    build/release/*: if version file already exists, re-use it

commit 75d714f5500d88bf9f6ed5c89a5ae29b32955563
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 16:40:55 2015 +0100

    build/release/sha512sums: add error checking and verbosity

commit 6e2f64b68f427f7560737415283024ba2b07fd60
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 16:22:44 2015 +0100

    build/release/tobuild: add line break

commit d8944cd778be683dfd4b1fb89101e019b875729a
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 16:20:38 2015 +0100

    build/release/util: proper directory notation

commit d569d06e1164b00f7e50fb3b07d540a7bec33fd1
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 15:42:34 2015 +0100

    delete resources/scripts/misc/grub-background
    
    Useless script. Will replace with a tutorial instead.

commit 75aa2dc81fcf5630535bc29eeccfdbfb14d85c2a
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 15:17:26 2015 +0100

    build/release/util: Make it actually work
    
    Update it to reflect changes in the other scripts.

commit babc1932b47ef5f05d25074d953bf0e62630cab6
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 14:27:53 2015 +0100

    build/release/tobuild: include version file

commit 80a4af4503318f48cb8ef2736112f58060006866
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 14:25:21 2015 +0100

    build/release/util: don't delete the 'tobuild' archive
    
    This is already handled by a separate script.

commit a1f4f22a0dc01872153c2a23a217df142a6644e2
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 14:23:55 2015 +0100

    build/release/util: don't include nvramtool and cbmem
    
    These utilities are unnecessary for most people. The kinds of
    people that would need them can just as easily build them from
    source.

commit 8f9e414149ff76151f71cf5eef33e53c4f99ca61
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 13:57:23 2015 +0100

    build/release/util: don't generate changelog (not needed)

commit 0024f35d02682b0da51664ecbc169658100be99f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 13:54:50 2015 +0100

    update gitignore

commit 628c3d7d9ebeba2fd6345153e2b3eba493b56b9a
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 13:44:03 2015 +0100

    build/release/tobuild: intergrate it with current methods

commit e846db194ea06a189cb8b2d51548463c9641720d
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 12:52:57 2015 +0100

    build/release/sha512sums: clean up

commit 2a0b3f33325ee1e30005e9f039a30eb7de621688
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 12:48:52 2015 +0100

    build/release/sha512sums: only create sums in ${versiondir}/

commit 5c6c9806f35878215e11b26c7e6d56357363778b
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 12:40:33 2015 +0100

    build/release/util: split sha512sum into build/release/sha512sums

commit 2ababd6422821e17ff28f84155e65ac81a160ca5
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 12:35:13 2015 +0100

    build/external/source moved to build/release/tobuild
    
    build/release/util no longer runs it

commit 04ac27a7d25ea7396b7b84d662bff063d2f56b47
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 11:36:28 2015 +0100

    build/release/docs: fix typo

commit 9d59354f68374584d135f8883ccc9270ca2b3885
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 11:35:13 2015 +0100

    build/release/crossgcc: improve output

commit f663223735e014df952b3d36aa0d0ee71b21bdef
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 11:34:36 2015 +0100

    build/release/docs: improve output (2)

commit 8c792d47390bf48a58176a9254b5d25212c62403
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 11:33:52 2015 +0100

    build/release/docs: improve output

commit 883bbeb621ea646212271a06a18b3f44820a652b
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 11:32:08 2015 +0100

    build/release/src: improve output (2)

commit 73783d6783e3a5c76197762991ba8cfa6e21cb6f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 11:31:28 2015 +0100

    build/release/src: improve output

commit 71ae5707577b9ac93b8b5b9273d985ea897d53c7
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 11:24:34 2015 +0100

    build/release/roms: use printf properly

commit 33f9f124b58c78d7e3614d04810dbfa323734e4f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 02:12:49 2015 +0100

    build/release/crossgcc: don't add version file

commit 11c96dc100199286fbe9dd986a247166e4584926
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 01:57:07 2015 +0100

    build/release/roms: improve output of resulting directory path

commit 4886c9a8807211511209feeafc2fcec9788b0bfd
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 01:47:50 2015 +0100

    build/release/src: create a directory for the release

commit 17f72436f5a798aafee4afdf1f1a3fedf085cd01
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 01:40:59 2015 +0100

    build/release/roms: create a directory for the release

commit f5255dc457a6299e36f1498e6a5ac0692bd2a9ea
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 01:25:12 2015 +0100

    build/release/docs: create a directory for the release

commit 0f63bb853825db67ed2fbdfff3fcc9b1d01fb11d
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 01:19:48 2015 +0100

    build/release/crossgcc: Create directory for release version

commit 9a0842427ea9775525371e82c0b661f3c61a2639
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 01:12:40 2015 +0100

    update gitignore

commit df57ef3af60d0e89a094b4225d5a985f8e8effbb
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 01:10:48 2015 +0100

    build/release/src: simplify directory reference

commit 1eb0d901227b99c8dad56762a20487da93e856cb
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 01:05:37 2015 +0100

    build/release/docs: simplify directory reference

commit 0c1c2b3f1a2fe4da25acd476406c77ad5463778c
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 8 00:29:16 2015 +0100

    build/release/crossgcc: simplify directory reference

commit a455ead469e67471015b1d7dd1e71befb95b9f33
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 22:07:33 2015 +0100

    for pehjota: use British date format
    
    To prove a point, from an IRC chat.

commit 65faaed6608ea1201b9b599bd1771e497a3a9d6f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 21:35:07 2015 +0100

    build/release/*: version in file names no longer optional
    
    (also, rename archives to util)

commit 8f18ccde00d293fab46c2b0721c121ad0e6f5898
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 20:29:10 2015 +0100

    build/release/crossgcc: add version file

commit a0cdd42dd51becc69117abc99789abdccfd2cfb4
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 20:24:48 2015 +0100

    build/release/crossgcc: support version in filename

commit f4516730b0fa85fd6f1a97d820cb7f5aaada82f6
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 20:19:28 2015 +0100

    build/release/roms: improve error output

commit 35f1035c399d4e8903a85a51566a423d64f89c5c
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 20:17:40 2015 +0100

    build/release/roms: only delete the current archive build built

commit 05c18356ba6f81d1ad50960822b124967e2859c2
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 20:12:26 2015 +0100

    build/release/src: re-introduce old behaviour for deletion

commit e0dff0a3dffacf99a74ae7f67b4a2c9d47cd59af
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 20:09:40 2015 +0100

    Revert "build/release/docs: delete all old archives"
    
    This reverts commit 3a7209550c6ffe2f8989c5868b12810c31d31a50.

commit 3a7209550c6ffe2f8989c5868b12810c31d31a50
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 19:38:27 2015 +0100

    build/release/docs: delete all old archives
    
    Not just the set that is currently being built

commit 32c385df09ebc4dca2aa11078bff7d8dfbe5684a
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 19:33:25 2015 +0100

    build/release/roms: remove redundant check for directory

commit 822951bc25a0760431f355bdfd08ba0ab9dcf00f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 19:29:59 2015 +0100

    build/release/src: don't check for release/
    
    Just mkdir -p release/dir/

commit cd625291319b366f092decdfab61c0da80a5055e
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 19:25:09 2015 +0100

    build/release/roms: support version in filenames

commit 02c161bf0bc9945cd6e99ee6b8d5b91540304637
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 19:18:27 2015 +0100

    gitignore: add docs/version

commit 66c33c016e067622cae1c7ba6a3b3215a1373b98
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 19:15:58 2015 +0100

    build/release/docs: simplify the instructions

commit 655a333a87ba48009616b554784132d4679b1665
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 18:53:31 2015 +0100

    build/release/src: Use rm -Rf not -f for deleting release/*_src*
    
    Without the -R, deleting the directory (*_src/) would result in
    confirmation dialogues for every file.

commit b96b6b4fa18c06c327d3287465cb8ae3899e3a7a
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 18:52:15 2015 +0100

    build/release/src: remove quotes from *_src rm -Rf commands
    
    The quotes meant that it was literally trying to delete a file
    with * in the file name, while this is not what we want.

commit 1645670d88de665904d7c40d32dda29e51853f48
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 17:12:46 2015 +0100

    build/release/src: Delete *all* old src archives
    
    Currently, if you set version in filenames, old archives without
    a version in the filename are not being deleted. (and vice versa).
    This patch fixes that.

commit 74f1cd611e72d4ec1e733801cde1098fc435e7c7
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 16:21:43 2015 +0100

    build/release/src: create "release/${distdir}/"
    
    Accidentally forgot to add this.

commit 17014e3d84513f6b609932f9b9ad337d22274347
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 07:48:52 2015 +0100

    build/release/roms: copy straight to release/

commit bd68a8334607ac59f362f9c960375475fbd9ea55
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 07:34:38 2015 +0100

    build/release/roms: exit violently if no bin/ directory exists

commit cbe8c559cdb275200a68e1075094b455cfae6155
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 07:33:45 2015 +0100

    update gitignore

commit 5b9d716e14195bc4e6dcbc118f282dc57c4ec17a
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 07:29:48 2015 +0100

    build/release/src: copy straight to release/

commit 37c69e34ff90da3df1194a2b8bf19402437c9d4d
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 07:16:07 2015 +0100

    build/release/docs: fix archive

commit 5fb0e4119447fedee5cd4a6eb2e11256225931e4
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 07:05:57 2015 +0100

    build/release/roms: mkdir -p

commit 22c48fcb4eebaac0e2bb3f3edcea4999852416d6
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 07:03:40 2015 +0100

    update gitignore

commit c4798b5c78fe5b0c95ef23416eb73b44dfc0534c
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 07:01:24 2015 +0100

    build/release/docs: update license header (forgot to do it)

commit 926ffa53e2034f867034bfe0aa771a502bfc1391
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 07:00:15 2015 +0100

    build/release/docs: copy straight to release/

commit c019457769d5beb47e3f11c353a26afcb61eadfd
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 06:53:12 2015 +0100

    build/release/archives: header: use tab, not spaces

commit 0d22182921cfd7d0c60bb80b1036c962dbad0e38
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 06:49:50 2015 +0100

    build/release/crossgcc: move archive directly to release/

commit 20b967f3f5e3cf7dd0bcab91d68ba2dfdf9daa1b
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 03:28:45 2015 +0100

    reminder

commit f94fb1b5226781551051daa3761919346e8c4b3e
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 03:05:02 2015 +0100

    Replace rm -r with rm -R

commit 52b05b1595415f60cf8a73931db23cf500f0956b
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 02:58:19 2015 +0100

    Replace cp -r with cp -R
    
    Today I learned that -R is portable, -r is not.

commit 061518cfbefb15e123536db2aaed289fea78b89e
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 01:28:53 2015 +0100

    check-trailing-newline: note about guile 2

commit 2ae328f31417129d5ab290a02195950f3cb3a812
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 01:27:55 2015 +0100

    new script: check-trailing-newline
    
    simple guile script for checking for files that lack a new line
    at EOF

commit b8f7af99374a15c86e6ad1a65de11a3858d1f51e
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Jun 7 01:24:28 2015 +0100

    fix lack of line breaks in some files

commit f7b11456f4f9fd47ce4693a73fd0a0e673b6e042
Author: P. J. McDermott <pj@pehjota.net>
Date:   Mon Jun 1 00:22:00 2015 -0400

    .gitignore: Remedy a disturbing lack of Vim file patterns

commit 8ae25d938f7a137cacc06e9e3bbf34110e28e1e5
Author: P. J. McDermott <pj@pehjota.net>
Date:   Mon Jun 1 01:26:16 2015 -0400

    build/release/roms: New script

commit 51582a64954bcb1e09a14c382da3918e9f47db55
Author: P. J. McDermott <pj@pehjota.net>
Date:   Mon Jun 1 00:18:56 2015 -0400

    build/release/archives: Remove removal of libreboot_bin

commit 1a92b1b84e09956ad262587dc21209531c43665e
Author: P. J. McDermott <pj@pehjota.net>
Date:   Sun May 31 17:21:37 2015 -0400

    build/release/src: New script
    
    This new script:
    
      * Doesn't generate a manifest.
      * Changes directories as little as possible.
      * Uses git-describe to generate a version string instead of getting
        the HEAD commit ID from the master branch (which assumed the release
        was being made from master).
      * Optionally includes a version string in the archive file name.

commit ca2fc96ab3d24c372dd902b23eb10c330db3c995
Author: P. J. McDermott <pj@pehjota.net>
Date:   Sun May 31 15:20:58 2015 -0400

    build/release/crossgcc: New script

commit 968f715167388afcf426fc5202e6c321579803ed
Author: P. J. McDermott <pj@pehjota.net>
Date:   Sun May 31 14:29:40 2015 -0400

    build/release/docs: New script
    
    This new script:
    
      * Uses git-describe to generate a version string instead of getting
        the HEAD commit ID from the master branch (which assumed the release
        was being made from master).
      * Optionally includes a version string in the archive file name.
      * Puts documentation files in the release archive under
        libreboot(_$version)_docs/ instead of libreboot_docs/docs/.

commit 7824eb7a272a8bea7305337fa2925fdf3c72e956
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Jun 5 00:38:11 2015 +0100

    grub.cfg: also look for /boot/vmlinuz and /boot/initrd.img

commit 698e6ea2df1f04a46b3cc3621734bb49652a61c5
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Jun 4 14:14:47 2015 +0100

    docs/gnulinux/grub_boot_installer.html: confirmation (dd)

commit 617fb5a93e79d47c0e813dc2d662920a6a441761
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Jun 4 11:00:24 2015 +0100

    docs/gnulinux/grub_boot_installer.html: Links to top of page

commit 85c5795bf31558779af07fbd50b11c275b5b1ed6
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Jun 4 10:58:02 2015 +0100

    docs/gnulinux/grub_boot_install.html: Remove bad apostrophe
    
    sgsit burned this bad habit out of me. This patch removes one of
    the apostrophes that I didn't notice, when purging them before.

commit ffb21d328035402643a9941dd59968e4139f67eb
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Jun 4 10:53:17 2015 +0100

    docs/gnulinux/grub_boot_instal*.html: Add index, improve usability

commit f21bfa8d7d5b3755519e51ef9ed0552628eec85d
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Jun 4 10:45:55 2015 +0100

    docs/gnulinux/g_*installer.html: Notes about Trisquel net install

commit b38e577fc2c63c9b388825e4035a69c4f09ae4e3
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Jun 4 10:42:57 2015 +0100

    docs/gnulinux/grub_boot_installer.html: encrypted GNU/Linux links

commit 7d1e1ae75e62920c3349a87a69eab712452a8fba
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Jun 4 10:24:45 2015 +0100

    docs/install/r400_external.html: Annotate pinouts for SOIC-8

commit 85a0ecdf5ddf5924d5c2c4a7cde42cadc3a12c8b
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Jun 4 10:20:24 2015 +0100

    docs/install/r400_external.html: Photos of flash chip pinouts

commit 3669bb0d1a8c1a82fa9c441b3bc783714a5a0286
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Jun 4 10:13:29 2015 +0100

    docs/install/t400_external.html: Fix typo

commit 876f250106c0526e7a52a363bf833f7d7ab50b1b
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Jun 4 10:08:00 2015 +0100

    docs/install/*.html: More clearly define example output

commit 27a02a349f822e386ad11e73df2e310e23777201
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Jun 4 10:06:15 2015 +0100

    docs/install/index.html: Fix typo

commit 60ace3bab80c4e6d020d88552356732e05da0478
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Jun 4 10:04:55 2015 +0100

    docs/install/*.html: Update notes about finding flash chip size

commit 76aedf1486703f2136af579d6fc069568a5c1ffe
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Jun 4 10:01:40 2015 +0100

    docs/install/index.html: How to find flash chip size (GM45 users)

commit 2036c02bf739c7a0117bfbbdd9b80a2863350301
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Jun 4 09:54:06 2015 +0100

    docs/*_external.html: Instructions for identifying flash chip size

commit e47d06ba47fb1e48aa47fb0e21d8ccccb2b9687a
Author: Chris Ryder <cdkr00@gmail.com>
Date:   Thu Jun 4 02:34:29 2015 +0100

    Photo of T400 soic-8 chip

commit 533c46d5eac9721ddb0de4776189a09440397b00
Author: Chris Ryder <cdkr00@gmail.com>
Date:   Thu Jun 4 02:33:00 2015 +0100

    Added photo of T400 SOIC-8 Chip

commit cc563f6544a4a944f408da14d6bc1a19416319a0
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Jun 1 20:46:10 2015 +0100

    tasks.html: update kgpe-d16 notes

commit 80c9dcb77f86e52317f8aaa566ed5ef07f3e6fbd
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 31 12:44:20 2015 +0100

    docs/tasks.html: clean up

commit 921098e7cdb2cd7cb31373a353862496013ac5a4
Author: P. J. McDermott <pj@pehjota.net>
Date:   Sat May 30 23:00:15 2015 -0400

    docs/install/bbb_setup.html: Clarify that motherboards also use PS_ON#

commit f15d48c9b0f7e0467468afd10320278959397b15
Author: P. J. McDermott <pj@pehjota.net>
Date:   Sat May 30 22:55:07 2015 -0400

    docs/tasks.html: Battery drain might be from WoL

commit 05f974046fdf9635d9c73473fd6d63f808ccdadc
Author: P. J. McDermott <pj@pehjota.net>
Date:   Sat May 30 22:46:23 2015 -0400

    docs/release.html: Remove stray <li> element

commit ce9d35aa07d23397a846b82d71e39fb9b1af588e
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu May 28 10:15:11 2015 +0100

    docs/tasks.html: Remove notes about non-coreboot systems
    
    Waste of time.

commit 32021538a50f1b3f994b1a9d18653d057473fe17
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu May 28 09:02:25 2015 +0100

    docs/tasks.html: info about ioports

commit f35bff1c85d49dc3b46c7dc22edfdf5e84728625
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu May 28 08:31:03 2015 +0100

    docs/tasks.html: notes about igd.asl re-write

commit e26d2a794298a3537e05f35f793aa8c4a9bbd4f7
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 25 19:19:07 2015 +0100

    docs/install/index.html: Improve anchortext

commit acf97bf543e28519e10cdf1e89b5b0570fc5a234
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 25 19:16:31 2015 +0100

    docs/install/index.html: say what external gm45 guides are for

commit a2db4eb3b6a4d4eba09b4a2a014ab17f0b7fa457
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 25 19:10:42 2015 +0100

    docs/install/index.html: Update the instructions for updating

commit 4c5c3c8d8ab94a73a0e7d332dc192ff04d231a74
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 25 16:31:52 2015 +0100

    GRUB: move logo to the centre of the background

commit de0f0cfce902360222e4f19dda29038374f44eb7
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 25 02:44:24 2015 +0100

    remove accidentally submitted grub.cfg
    
    I'm an idiot.

commit 95c971e91ed549d968bcd5bbe0fcfe41d87d6af7
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 25 01:15:31 2015 +0100

    GRUB: change background to libreboot logo, with grey background

commit 01e7d5a145ce279ef43785ea949a893235db39ec
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat May 23 21:27:20 2015 +0100

    docs/install/x200_external.html: notes about demefactory

commit 1e07d74d562d72247af3a5567c2902a8ac1e418d
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat May 23 21:24:06 2015 +0100

    docs/install/x200_external: update notes about GPIO33

commit 51b72961868aeec5081d5f49b531229b97747183
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat May 23 11:34:11 2015 +0100

    docs/tasks.html: notes about gm45 docking station

commit 28cbae7e4f545263c623fda85fb4798dada671b6
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat May 23 10:35:29 2015 +0100

    docs/tasks.html: update notes

commit a2616e852ba1d861209f66ce4afc8728117a1acd
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed May 20 10:25:31 2015 +0100

    docs/gnulinux/encrypted_*.html: Remove notes about --unrestricted
    
    These instructions were dangerous. I was provided with them by a
    user who found them, and I thought that it would be safe to allow
    access to boot the HDD so long as the OS was encrypted. However,
    this is not the point. With that option unrestricted, anyone with
    physical access could replace the HDD with another LUKS-encrypted
    one with the same set up (just a different system, different key,
    different passphrase, etc) and now they are able to run their own
    code on that laptop. This *is* dangerous. There is a lot that an
    attacker can do to the laptop if they are able to boot an OS on it!
    
    Basically, Francis Rowe was being foolish to add these instructions.
    Now he's wised up a bit.

commit c8ecf72a8b46f1367a8165d7066b7f39cd44d71f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue May 19 20:05:15 2015 +0100

    docs/tasks.html: update notes about rockchip

commit d23f9fbcf78b4f7c381eeda61376e90c7509257d
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue May 19 19:32:14 2015 +0100

    docs/tasks.html: new candidates

commit 617e63e1d2e97a87d2e9d2e81b4b58a15a616888
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue May 19 11:27:22 2015 +0100

    docs/hcl/index.html: Add notes about IDtech N150U3-L01 panel (T60)

commit c2949829494f89283ec58564b7db763e29ada457
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 18 23:54:23 2015 +0100

    docs/release.html: Old Releases changed to Old releases

commit 1795a027c48ad1dd6a4094192ef8924a00f2ef1f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 18 21:28:36 2015 +0100

    build/release/archives: include change log in the release

commit f4c212250b14156231295be18a47783d764dd366
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 18 21:23:10 2015 +0100

    docs/release.html: make the documentation references bold

commit f324da1abd3990b2037aa4ce5a489dab3bdf0fd8
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 18 21:19:38 2015 +0100

    docs/release.html: Fix HTML error.

commit bf7f1a39ae624a6f7a23ccaa365523f808d858b5
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 18 20:40:00 2015 +0100

    docs/license.txt: rename to cc-by-sa-4.txt

commit 51d0640248ae75138c10983e035ed029090b6c3c
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 18 18:57:08 2015 +0100

    docs/release.html: replace documentation links with simple refs

commit c5c01913227ae23105a198aa06bfb3f12f9cf892
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 18 08:00:53 2015 +0100

    Libreboot r20150518 (fix mistake in flashrom patch)
    
    Released on May 18th, 2015.

commit 86af7b8cb941c9ed565efbbf234458ca7ea44ab1
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 18 04:44:46 2015 +0100

    Libreboot r20150518
    
    Released on May 18th, 2015.

commit 0e43f92be4f8bfea9658e79a5b0b023d99067154
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 18 04:19:00 2015 +0100

    flashrom: add whitelist for ThinkPad R400, T400 and T500

commit 364de4be3787614d742c0a57171582a05249b2d1
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 17 19:02:59 2015 +0100

    Update flashrom and rebase patches
    
    Rebase the patch to purge unwanted flash chip definitions.
    Remove the X200 whitelist patch (merged upstream).
    Add a patch to enable X200 Tablet and X200S whitelist.

commit 7c74e5672ecc35d401a83c0ebb5c0a71bdd598b5
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 17 16:51:50 2015 +0100

    docs/tasks.html: remove note about flashrom flashchips.c purging
    
    This is a pointless task.

commit 72f5ddaf77d5a3d9a94fe5d8dfdd7ab947380929
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 17 16:40:00 2015 +0100

    docs/tasks.html: remove notes abotu X200 Tablet (job done)

commit 19810f230c90495c4f830f1e6b636bffc4b4c065
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 17 15:13:45 2015 +0100

    libreboot_util: don't include cmos layout files (not needed)
    
    They aren't needed anymore.

commit 46db54632ff334461322ecd09780610a6b3ebf6c
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 17 13:19:41 2015 +0100

    docs/install/bbb_setup.html: Fix copyright attribution notice
    
    The author of the related changes used an alias. I found out about
    it, so now his real name goes here.

commit 372850e95c03808161ae8b6db6db127452c25e75
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 17 13:16:09 2015 +0100

    docs/release.html: emphasize X200 tablet digitizer support

commit f0c1d0af377cea615d952063878ece36c7a560b9
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 17 13:14:49 2015 +0100

    docs/tasks.html: more notes about X200 Tablet

commit f0d737a2781c3e6c1c490ed074fe1ecad32721c5
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 17 13:01:28 2015 +0100

    coreboot-libre: backport patches for X200 Tablet digitizer support

commit 20a56e21fa8011086ba18fffd430fd5ad0b4de07
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 17 12:30:41 2015 +0100

    docs/tasks.html: more notes about X200 Tablet

commit 78c9cc1e1bc6ab42a642e707bcf24e39f25bc547
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 17 12:24:53 2015 +0100

    docs/tasks.html: notes about X200 Tablet patches

commit e62c8520c1c5cf6651ef2d006123cf58b57b5c26
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 17 02:19:17 2015 +0100

    build/release/archives: fix typo

commit bae3ae06b0d736101c6e2facbf0f308949002b5c
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 17 02:06:02 2015 +0100

    build/release/archives: create SHA512 sum manifest

commit 85d2699b2db28c21ecbbae662ea09d0fbd967d6e
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 17 01:00:01 2015 +0100

    build/release/archives: don't compress crossgcc
    
    It's already compressed. Compressing it more didn't save any space
    and just increased the time taken for the build to finish.

commit c368508ac286cb3e8d8e1274f6b243667a300923
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 17 00:35:40 2015 +0100

    build/release/archives: put commitid files in crossgcc archive

commit 32fb97377d5cfa117e5e392d085f0811ce718b23
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 17 00:32:33 2015 +0100

    build/release/archives: fix typo

commit ac08113ec30e5a59b2376bd8c0dd335807e24ee2
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 17 00:29:00 2015 +0100

    build/release/archives: separate crossgcc into a new archive

commit 7b4450efab0ad8e91af36c811c12e6bc1f127005
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat May 16 22:40:50 2015 +0100

    coreboot-libre: don't delete src/cpu/qemu-x86

commit b4877475a78fb5cf8d3353cceed91e86dd371cd9
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat May 16 21:42:10 2015 +0100

    disable generation of txtmode ROM images (temporarily)
    
    I wanted to get a release done as quickly as possible (within 24
    hours after pushing this commit). That release will most likely
    be short-lived; as soon as it's out, the plan is to work as fast
    as possible fixing as many bugs as possible (there are a lot)
    and make a new release again as soon as possible.

commit 99d226cca1bd66d7b3c74cb42f8d36a779fa3ff4
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat May 16 18:44:44 2015 +0100

    coreboot-libre: delete unused code (reduce size of src archive)

commit de98e951e7dfd43a419f8d5cc557851d69acb117
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat May 16 13:58:54 2015 +0100

    docs/install/bbb_setup.html: fix grammar

commit ea041127d77ee1961738b49f107dc981dbfca816
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat May 16 13:57:34 2015 +0100

    docs/install/bbb_setup.html: explain what PS_ON# is for

commit 265ae4bf55e7477efdadbfdee4fbab5e7f8f5b38
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat May 16 13:55:49 2015 +0100

    docs/install/bbb_setup.html: Fix grammar

commit 620c2ce2355f7de772d3604b1bd6f6296da02582
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat May 16 13:50:49 2015 +0100

    docs/install/bbb_setup.html: re-add red colour reference for 5V
    
    Colourblind people still have pinouts to fall back on, while
    non-colourblind people will have an easier time just knowing
    "avoid red". Everyone wins.

commit 4b2adcb75d404f24cd7847858435a2460ef28509
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat May 16 13:49:28 2015 +0100

    docs/install/bbb_setup.html: re-add orange/green references
    
    Pin numbers are still mentioned. Colour coding is easier for
    non-colourblind people, but colourblind people still have pinouts
    to fall back on. Everyone wins.

commit 22df99e21d4dbb38d9b01fde6db925ba371f9b61
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat May 16 13:46:22 2015 +0100

    docs/install/bbb_setup.html: remove reference to ATX pin 12
    
    It's dangerous to recommend this, because if the user has a 20-pin
    ATX PSU, they might use pin 12 on that which is -12V.

commit dfe8336774c58970951448955b1747fff737cc80
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat May 16 13:43:56 2015 +0100

    docs/install/bbb_setup.html: emphasize "barrel connector" for 5V

commit 16049cb82c0bc7fab2e7d9a35dd58c427f50cc36
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat May 16 13:41:07 2015 +0100

    docs/install/bbb_setup.html: Warn user not to use the 5V ATX pins

commit 58386a3231a48821ecdf7110b852f89f13059856
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat May 16 13:35:54 2015 +0100

    docs/install/bbb_setup: don't say green. colour blindness is real
    
    Refer to pinouts instead.

commit 979dfd8e68f01e7d2b827588ae1c3b779ef72801
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat May 16 13:30:04 2015 +0100

    External flashing guides: don't refer to red.
    
    Colour blindness is real, and quite common.
    
    What's worse, 3.3V on an ATX PSU is an orange wire, not a red
    wire. Someone looking at "red" in the documentation might not
    think that you mean 3.3V live/hot (red is the standard colour),
    but instead they might connect the red wire from the ATX PSU
    which is 5V; this will destroy the flash chip. Also, red and
    orange look the same to most colour blind people.

commit e058d319491703168280cfa50239a56193ee5d23
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat May 16 01:26:42 2015 +0100

    docs/tasks.html: translations are needed

commit 9d12d0fc04dc7f06242ac230a7c5c525ebc3d2d7
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri May 15 12:47:47 2015 +0100

    docs/gnulinux/encrypted_*.html: Remove mention of password length
    
    It just scared people, and wasn't very useful advice.

commit 71222e8a78574a7f2c3f3e62d7a535e775cd4f61
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri May 15 09:47:25 2015 +0100

    docs/tasks.html: more notes about x200 tablet

commit 5f9e03c7a035993d81f695dcc54a8ca0471db1a8
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri May 15 00:38:29 2015 +0100

    docs/release.html: Fix bad HTML

commit 1f0bc535eeb5776b8d95b0df362f28baa3f1b57e
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu May 14 23:51:21 2015 +0100

    docs/release.html: update the change log. new release is imminent.

commit a95714b5536fae9bd1df117b019a7939f20959fe
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu May 14 22:43:43 2015 +0100

    docs/future/index.html is now indexed from docs/tasks.html
    
    It just Makes More Sense

commit fbc3b2f691f72a1deca203461de5fd0582168a56
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu May 14 17:08:55 2015 +0100

    docs/tasks.html: T61

commit 43a60eb0e1e7290c176b2024773c57ba9c8eabfe
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu May 14 12:42:22 2015 +0100

    docs/tasks.html: more notes about X61 (2)

commit 969145d2a532b2b4e5fda7d807fcb0653495ee35
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu May 14 12:37:53 2015 +0100

    docs/tasks.html: more notes about X61

commit 6ed66f0214050c79b5d65a68283050533f8e60fe
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu May 14 12:35:07 2015 +0100

    docs/tasks.html: X61

commit 71116bed0221bb845b3882ed216ed711cd284a8e
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue May 12 22:40:00 2015 +0100

    docs/tasks.html: new tasks

commit 567596c40281b8dd43a354e7ecb481736f0a3096
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue May 12 00:56:59 2015 +0100

    docs/tasks.html: Fix grammar

commit 5f975f6e1070408ea9bc1d6bad51c9fa990a0734
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue May 12 00:54:28 2015 +0100

    docs/tasks.html: clean up (3)

commit 22b8fac15e86fee084602bcbb732b043b2f9a416
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue May 12 00:48:52 2015 +0100

    docs/tasks.html: clean up (2)

commit fac3b80ade752bf9622ee988265e146be1736acf
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue May 12 00:36:32 2015 +0100

    docs/tasks.html: clean up

commit c6b52523cfa788bb6efa79abb90d1fd0747eeb19
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue May 12 00:23:27 2015 +0100

    docs/install/bbb_setup.html: clean up notes about stability

commit ff064cd650e7690dd393c9fb0a56dd3e473eada4
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue May 12 00:20:20 2015 +0100

    docs/install/bbb_setup.html: improve notes about stability

commit 1bef0283dbaabb7d303a3b94247ac99f01c95ab1
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue May 12 00:14:38 2015 +0100

    docs/misc/index.html: more notes about EDID dumping

commit eb591e36b59d15575e5d0bb5f24ada1558502236
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 11 23:59:15 2015 +0100

    docs/maintain/index.html: Clean up the overview

commit e6ec96515870d64929bde0cc78fa86cc6a03cd2e
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 11 23:30:50 2015 +0100

    docs/maintain/index.html: Tidy up the introduction

commit 98157f3b7152d0601cd5fe99c086a820170f2b9f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 11 23:24:52 2015 +0100

    docs/tasks.html: remove completed task

commit 70290e12d0ef3e5348097ae97c21800d3c9f12d7
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 11 23:23:55 2015 +0100

    docs/maintain/index.html: clean up links menu

commit 0272c5f2b4bf0cb4de8356f38be0b11decdd39fc
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 11 23:19:12 2015 +0100

    docs/maintain/index.html: notes about adding new boards

commit cade5d761378db4cfb0c92f2cb2315fcb10ae0a8
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 11 23:14:58 2015 +0100

    docs/maintain/index.html: notes about MemTest86+

commit 7fcaa0165691a29daf50030d0f04ab1787e5aba2
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 11 23:07:48 2015 +0100

    docs/maintain/index.html: notes about bucts

commit 5ed504d2b16e3d63663d70c11d0c682a714059d7
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 11 23:05:00 2015 +0100

    docs/maintain/index.html: notes about flashrom

commit 229d06a63a255c36016d5c39cf07426799e4e001
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 11 22:55:30 2015 +0100

    docs/maintain/index.html: Fix missing line break

commit 469aa5b66b2d335e6054ec9bef348daefce806a8
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 11 22:49:14 2015 +0100

    docs/maintain/index.html: notes about tests after hacking coreboot

commit be30d9d9169b4a610e2e82733cb366741c32eced
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 11 22:46:19 2015 +0100

    docs/maintain/index.html: notes about modifying the GRUB config

commit 7c1f3f276af2577afd3877dfd06f89920627aab1
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 11 22:36:16 2015 +0100

    docs/maintain/index.html: notes about modifying the GRUB payload

commit 8105b08285e706b4c0f0db5bed2058c9211bf0a7
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 11 22:27:28 2015 +0100

    docs/maintain/index.html: notes about updating GRUB

commit 6a4b5965d14ec3676ada1601c10e2454d19b34a1
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 11 22:08:30 2015 +0100

    docs/maintain/index.html: notes about updating coreboot patches

commit 94b1df3e33427b6686b91e14c7bbe33b61c8fe7e
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 11 21:14:51 2015 +0100

    build/release/archives: Delete coreboot patches (not needed)
    
    These are not needed in libreboot_src (release archives), where
    it is already merged.

commit 22a9c421c7ac80c3523d0dc9ddaf52ecc49be214
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 11 20:44:09 2015 +0100

    docs/tasks.html: remove TODO (finished task)

commit 99acc1a92ca50b861da4406f0e8dd6c8af4c7e62
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 11 20:39:41 2015 +0100

    scripts/download/coreboot: use diffs, not gerrit
    
    Solves the problem where coreboot.org down down makes
    libreboot.git useless. Now if coreboot.org goes down,
    you can just use a backup coreboot repository and then
    run the script.

commit dc322fb4521a4088c3f5ec41825c2508740ef8c1
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 11 13:01:15 2015 +0100

    docs/install/bbb_setup.html: Fix formatting error

commit 0751832f55922bc9a463997b121713dbed907b36
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 11 12:59:18 2015 +0100

    docs/install/bbb_setup.html: Add info about wp/hold and pinouts

commit c3ed03fffee2327c2f80762a8b019989237e75aa
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 11 03:38:02 2015 +0100

    docs/tasks.html: new candidate: Dell OptiPlex 755

commit 57d00cdc2b261d6268dacf762d330acaf52f0c74
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 10 14:27:56 2015 +0100

    docs/index.html: Clean up description of libreboot

commit be04d203ef6340386b7fe673cd5273b32bb2afa7
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 10 13:52:15 2015 +0100

    docs/index.html: Move practical benefits list from libreboot.org

commit 622c1281bad8402d9fa68ef910034b9059d03c82
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 10 13:42:41 2015 +0100

    docs/tasks.html: clean up (2)

commit d72f033252ee325741ffc71c8e90fbcc730fd210
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 10 13:16:47 2015 +0100

    docs/tasks.html: Remove unterminated HTML tag.

commit 90f74149c34d154a9c70a43225a9827f45dd9d0c
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 10 13:15:47 2015 +0100

    docs/tasks.html: Clean up

commit f2c37de41300556d4fa3db2783ee318a0845e9f4
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 10 12:40:32 2015 +0100

    docs/tasks.html: Remove more pointless tasks

commit b3cd7554d8836b392cfe58ff8740acc23337ae3c
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 10 12:36:41 2015 +0100

    docs/tasks.html: Remove pointless tasks (3)

commit 147d965425f993804638cda5c1199a1c8f8fec75
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 10 12:32:55 2015 +0100

    docs/tasks.html: Remove note about GRUB and EHCI debug
    
    Bug is fixed already.

commit c639716de4efaba11bbf07cefafc19af64332f97
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 10 12:32:02 2015 +0100

    docs/tasks.html: Remove pointless tasks (2)

commit d553dfdeb49bb7d7571fcb16fc2ccd940a6ae936
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 10 12:23:08 2015 +0100

    docs/tasks.html: Remove pointless task

commit 169fb51f4530fa9732985cb52a0c2ac8179b8751
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 10 12:22:08 2015 +0100

    docs/tasks.html: Remove note about improving the deblob scripts
    
    This was already done

commit 231698082cd79ec1531a0cb3c1ab504a34c6e22f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 10 12:08:41 2015 +0100

    docs/tasks.html: Remove note about cbfstool build issue on i686
    
    Fixed and merged upstream.

commit d415e826a4612186bc9d5023fee0b4929b6ad7fc
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 10 12:00:38 2015 +0100

    docs/tasks.html: it's systems, not machines
    
    Computers aren't just simple machines, like cars or electric drill
    motors. They are much more complex. Calling them machines is a
    massive insult. I've been killing this bad habit lately.

commit 015ab58cc08bf3427273acdb74f8f0c643aff912
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 10 11:58:37 2015 +0100

    docs/tasks.html: Remove note about linux 3.19 on i945
    
    The bug is fixed and the patch is merged upstream (kernel.org)

commit c421b9a303532577e2137000c1b18e71afd31a1b
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 10 11:55:06 2015 +0100

    docs/tasks.html: Remove non-issue
    
    It's an EC related bug, nothing can be done in coreboot.

commit b3508bfb232a475cfe7e1c99bf353a63b0d61933
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 10 11:54:11 2015 +0100

    docs/tasks.html: Remove note about linux-libre 3.13 on X60
    
    Fixed in later versions of the Linux kernel.

commit 11ed0b424a7e44814972aec9cc5fb008b7830e79
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 10 11:51:09 2015 +0100

    docs/tasks.html: remove X201 from candidate list (waste of time)
    
    Any Intel-based laptop using a chipset newer than GM45 is a waste
    of time, because the ME is too difficult to remove/replace and
    would likely mean that the system no longer works properly; for
    example, power management will probably stop working, which is
    bad for laptops generally.
    
    The ME is signed, so replacing it simply isn't feasible.

commit 2722d448c2ccdbe947c4bbc00c1ad7e672020f81
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 10 11:40:09 2015 +0100

    docs/tasks.html: add todo

commit 69501f4f52d8272fa0acb35e40e31d942b4d5b54
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat May 9 14:07:51 2015 +0100

    update gitignore and delete useless files in release archives

commit 85b27c371fd0316fcdfefcc55e7b56255d019491
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu May 7 17:36:46 2015 +0100

    tpearson wants more (not a problem, just documenting it)

commit 969ac353569c8f9f29a7a97e4d24203b04d7d8c2
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu May 7 17:13:44 2015 +0100

    docs/hcl/gm45_remove_me.html: notes about the demefactory util

commit 97d04f9ebf40c1691dad369fb6d70c84068694c0
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu May 7 16:21:00 2015 +0100

    docs/tasks.html: TODO: port libre distros to BBB

commit 1557180d3e5cab6a1a09ca632950c90856a844d7
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu May 7 16:11:06 2015 +0100

    docs/install/bbb_setup.html: Fix bad HTML formatting

commit b7d3d4cd2dd1d73722c091d38563c4df50fa1e75
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu May 7 16:06:46 2015 +0100

    docs/install/bbb_setup.html: EHCI debug: recommend linux-libre

commit bb1e8d89b5083400b7a0e5635285d6c25114762d
Author: opdecirkel <opdecirkel@gmail.com>
Date:   Thu Apr 9 04:37:55 2015 -0400

    docs/install/bbb_setup.html: EHCI Debug logging setup guide

commit 637cf59fa73b0d254c2f11161c2a61f0cc675955
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu May 7 15:58:48 2015 +0100

    docs/hcl/t500.html: Add screen compatibility report (TODO: FIX)

commit d961c350e2f38e486f611bb2211fce138c9c2cef
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 4 18:51:38 2015 +0100

    docs/git/index.html: USB dongle console output (not log output)

commit d4bee5d0fb8b8775af2a0da356fce9d3bf8104bb
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 4 14:58:54 2015 +0100

    Update coreboot + merge GM45 hybrid GPU patches
    
    Also add power_on_after_fail to X200 and others (prevents the bug
    where the system would boot when connecting the AC adapter)
    (option in menuconfig to use CMOS/nvram settings is now enabled)
    
    Also NetDCDC is now the default USB debug dongle used (compatible
    with the BBB rev C).
    
    Add two new methods for managing coreboot configs:
    ./build config corebootreplace
    ./build config corebootmodify

commit 5f69499262789d3adcb9b9422d3175a3008c6fc5
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 4 11:32:10 2015 +0100

    docs/tasks.html: remove Acer Aspire 5739 - waste of time

commit 9b6c5d449b76458618db6530405c5f6412a88d77
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon May 4 10:40:16 2015 +0100

    resources/utilities/ich9deblob/Makefile: Update copyright header
    
    Forgot to do it yesterday

commit 95ce23d6f8eff63f0b1bc91ed90da5df747e7863
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 3 17:03:23 2015 +0100

    demefactory: don't remove the ME/Platform regions
    
    (not tested on factory firmware yet, which is what this utility
    is mainly intended for)

commit f5a8733367fe80f8a172e92daa9e1b0f2e4f488b
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 3 16:58:06 2015 +0100

    build/release/archives: include demefactory in libreboot_util

commit f08d0a5a6387b9824f15b213bb861e8fc7fb312d
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 3 16:55:37 2015 +0100

    .gitignore: add file

commit 1ed5da050b065e70f16478522ad537ace6638254
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 3 16:53:19 2015 +0100

    demefactory: fix wrong copyright attribution

commit 438cc1fe58f4b65099d778596b93e8094594cb69
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 3 16:48:20 2015 +0100

    demefactory (new utility): create GM45 factory.rom without the ME

commit 2350f55533902f9f67b50a920fad2044daec03ac
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 3 16:33:33 2015 +0100

    ich9deblob: re-factor descriptor.c functions

commit 8625beb472de06aed56a03ff93a965c8b2c58e50
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 3 15:45:29 2015 +0100

    docs/hcl/t500.html: fix formatting error

commit ad2120d0e152c7976dd993a24237e796c2be73ab
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun May 3 15:44:12 2015 +0100

    docs/hcl/t500.html: add hw logs

commit c8ec82439b2597a463fcb71a7bc1f197420dff41
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Apr 30 01:23:38 2015 +0100

    docs/tasks.html: fix errors

commit 1cdf6cd7893e49eb3453ea56e53ba4ec86aacef2
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Apr 30 00:54:22 2015 +0100

    docs/tasks.html: Add link

commit 3f334d33c030205889434de72df7af6ff02a67e8
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Apr 30 00:52:04 2015 +0100

    docs/tasks.html: ASUS KGPE-D16 changed to high priority

commit ff349b578f65cf96b956c1c0183a9e3114d47dbf
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Apr 30 00:50:45 2015 +0100

    Fix mistake in previous commit.

commit febb4c219d00dede43eb496edd5f9e889185fb85
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Apr 30 00:47:25 2015 +0100

    docs/tasks.html: New candidate: ASUS KGPE-D16

commit d4a21642f8ec7c6e39a61f7313382ce33cc1478d
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Apr 27 11:33:49 2015 +0100

    docs/gnulinux/encrypted_*.html: No password for default entry

commit 33c4ef8f477f1b7f589e98dca53b34aaab1d308b
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Apr 22 12:35:36 2015 +0100

    docs/tasks.html: Compaq Presario CQ60

commit 27aed1dcd2e44f92f95ccf765bdad2c248cce162
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Apr 20 18:10:17 2015 +0100

    docs/git/index.html: Remove bad instructions.

commit 8ebab158cf3d3674a96aad83cae486ed28e7d8b6
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Apr 20 18:03:50 2015 +0100

    docs/git/index.html: Add more details about BUC.TS

commit 5c4e59e52a3ef6fbe7b0c063736430a2b9f49295
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Apr 19 16:39:51 2015 +0100

    docs/tasks.html: notes about bug (possably just Trisquel 7) for X60

commit 29d2093b6d54d1a2ce8c870f97efdf283f7d06ab
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Apr 19 14:49:59 2015 +0100

    docs/tasks.html: notes about digitizer on X200 Tablet

commit bef803eefe14ed8a8dc45fdef8a6eeb97eba04ca
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Apr 19 02:43:59 2015 +0100

    docs/tasks.html: W500: notes about PM45 chipset

commit 26e6dfe95685ca6c978a70a1642a868900249994
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Apr 19 02:42:14 2015 +0100

    docs/install/*_external.html (GM45): notes about density of RAM

commit 2ed6e1ccd871d3693f89905b9b01f56e8f65dcfd
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Apr 17 09:25:15 2015 +0100

    docs/tasks.html: Ideas for more easily maintaining flashrom

commit f4e49b4497ec982f5b003b10155d7f79c710ee7c
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Apr 14 02:33:27 2015 +0100

    docs/tasks.html: elevelate more boards to high priority

commit 52d6caa1100a2ebac7ab05e4ce2a6f12baeb1daf
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Tue Apr 14 02:24:51 2015 +0100

    docs/tasks.html: Add ASUS KFSN4-DRE to candidates list (AMD)

commit 0e5a33346bca2a23893551fa03f32de8558c8bd5
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Apr 11 20:30:01 2015 +0100

    docs/hcl/t400.html: Fix anchor text on flashrom write log

commit 0c3fada29a1ad914d3bb0f34817526f19ee569c4
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Apr 11 20:23:58 2015 +0100

    docs/hcl/{t400,t500}.html: Fix incorrect reference to the R400

commit dd96f9d76ec9369aeb38d8e6658d0d4d0473e141
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Apr 11 17:52:56 2015 +0100

    grub.cfg: Also scan for grub2/grub.cfg, not just grub/grub.cfg
    
    A Fedora 21 user had issues. This should make them happy.

commit 2d45902fecb937d84cc2e4d9ed36999779516032
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Apr 11 17:49:34 2015 +0100

    docs/tasks.html: New task (show how to boot an installed OS)

commit 5f2e25c88ae14c323b04cc60d50143bbe01e2dc0
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Apr 11 17:06:51 2015 +0100

    docs/maintain/index.html: Notes about libreboot systems

commit 557e49bd0ed280d591ce0ecc0e0e06668b4c4df6
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Apr 11 17:04:45 2015 +0100

    docs/maintain/index.html: Notes about testing coreboot-libre

commit e37829f669504bd510842766af7a7fba66fc915f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Apr 11 16:55:24 2015 +0100

    docs/maintain/index.html: Be more specific about grub.elf payload

commit 3f9efe6ff96754cc93d9d45986770c709ca57a12
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Apr 11 16:48:02 2015 +0100

    docs/maintain/index.html: Add more sections (empty, for now)

commit ffd7cd4389fc7c38aeef6f9933e0f62058cb1ea9
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Apr 11 14:22:00 2015 +0100

    docs/tasks.html: BioStar AM1ML added to candidates list

commit 1d21ed807727332dee803db5aec0ba087621b651
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Apr 11 13:08:54 2015 +0100

    docs/maintain/index.html(coreboot): Tell user to delete coreboot/

commit e8be9265d623181893c1e81d41b39b3f0b185c4b
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Apr 11 13:06:30 2015 +0100

    docs/maintain/ (new section. WIP!): Maintaining libreboot

commit 7e14c8e8954b8c1eb1626d87b8f2a37bbd3a64b0
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Apr 11 12:01:49 2015 +0100

    docs/tasks.html: Notes about sha512sum checking on downloads

commit 2cb111719e0a6f8d8ca31a0ac65571c318be1708
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Apr 11 09:34:11 2015 +0100

    docs/tasks.html: Notes about text-mode graphics on GM45

commit 8966a54ce05049dac37b0de5659be51e97a18c05
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Apr 11 09:21:34 2015 +0100

    docs/tasks.html: More notes about G505S

commit 9e3dd70b4d88b1d03834d6427efd213e2be2f2bf
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Apr 11 09:19:09 2015 +0100

    download (script): "./download all" not "./download everything"
    
    For consistency with "./build module all"

commit e47635e8eda564aa1adfc75fde1e88e3dd0a38d4
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Apr 11 09:10:10 2015 +0100

    docs/tasks.html: Guidelines for contributors

commit 3bf15d456d09e4261d1c3a49a870255647fbf5fa
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Apr 11 08:18:32 2015 +0100

    docs/tasks.html: Add more notes about dock beep issue on X200

commit 4199ef8120aa859e17b4fd56e04b4da3d3c0431e
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Apr 11 08:15:55 2015 +0100

    docs/tasks.html: Fix mistake

commit 592610afc44807632c5720c0ab4446be2f2a20b4
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sat Apr 11 07:51:44 2015 +0100

    docs/tasks.html: more notes about wp/hold

commit 1360aae9a0caae69fe468a0832c01dfaa2563faa
Author: Joseph Michael Thompson <jmt@josepht.me>
Date:   Fri Apr 10 15:15:07 2015 -0400

    trim a few long lines, eliminate/add trailing newlines for consistency

commit 57444b1c8bbe6169cd536c67591e276ad4910b71
Author: Joseph Michael Thompson <jmt@josepht.me>
Date:   Fri Apr 10 10:34:13 2015 -0400

    Add "-z" for properly gunzipping a .tar.gz file

commit 1e9f5fbb97d7ea9db8c34d92cc5fed9c3709f11f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Apr 10 14:50:26 2015 +0100

    docs/tasks.html: Remove wrong board (HM55 chipset is impossible)

commit f04fe8dfd1549e472d39a2a59668beabc96eb13a
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Apr 10 14:47:51 2015 +0100

    docs/tasks.html: More GM45 candidates

commit 374b9adfcbf4d2bc5f547d7ff265497a9a1d6458
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Fri Apr 10 02:48:27 2015 +0100

    docs/tasks.html: info about HOLD# and WP# on SPI flash chips

commit 129053883aafceb1191ad176e6e5eebf815612cc
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Apr 9 21:17:15 2015 +0100

    docs/gnulinux/grub_boot_installer.html: Fix hazardous instruction

commit 341084662cbe8ca649cf2d168d6fbf300ec067d3
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Thu Apr 9 00:38:59 2015 +0100

    docs/tasks.html: Better categorization between intel/amd/arm

commit abcd336b1f62e99f4ea104c4b8292ff08533a619
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Wed Apr 8 23:20:31 2015 +0100

    docs/hcl/gm45_remove_me.html: More links

commit a09fb840535b9f1f138b9c2574b8d98e2392d54c
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Apr 6 03:10:07 2015 +0100

    docs/release.html: Remove dead link

commit 9f18cf0d30d7e63b955e5e3b32e51d70955bf2bf
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Apr 6 03:06:52 2015 +0100

    docs/release.html: Split tasks into docs/tasks.html

commit 70f2cbddde65d7416f965c5e561fed70513859d7
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Apr 6 01:43:37 2015 +0100

    docs/install/bbb_setup.html#stability: More notes

commit 583006cde166b0386c00f06385e3b74e1d40f873
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Apr 6 01:07:38 2015 +0100

    docs/install/bbb_setup.html: notes about SPI flashing stability

commit 9f0a7c4f5d656e8ff6c18d7c928085a579a831d8
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Apr 6 00:52:17 2015 +0100

    docs/install/bbb_setup.html: even more names for 0.1" cables

commit 54d3776c307ea88ad41e67f499b731011da6ff95
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Mon Apr 6 00:49:38 2015 +0100

    docs/install/bbb_setup.html: More possible names for 0.1" cables

commit 3c3f275e3612ed4bfde0bfaf78e1334d8a8f3209
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Apr 5 21:19:13 2015 +0100

    docs/install/bbb_setup.html: more names for the 0.1" cables

commit 2db93685ddc0ca6f96a9e6ed33373a5fbd4a4f3d
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Apr 5 19:04:23 2015 +0100

    docs/install/*_external.html: add disclaimer about thermal paste

commit b05d7dbab543e1e771df2cd2a9d300a7213db3b8
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Apr 5 18:55:29 2015 +0100

    docs/install/*_external.html: CPUs: add wikipedia link

commit 2d1eada4bd936dbfb20855146fe61fa1c777cf71
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Apr 5 18:53:57 2015 +0100

    docs/install/*_external.html: Fix typo

commit 396e85d8872f7278d2443567116b58a9420b52cd
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Apr 5 18:49:49 2015 +0100

    docs/install/*_external.html: notes: quad-core CPUs

commit d0e98381f986b42ce3d01b653af090c913aa435f
Author: Francis Rowe <info@gluglug.org.uk>
Date:   Sun Apr 5 18:15:39 2015 +0100

